// Datei ArrayList01.java
/* ------------------------------------------------------------------------
Demonstriert die Benutzung eines Sammlungsobjekts namens sam01 vom Typ
ArrayList<String>. Komponenten des Typs String werden
- hinten an die Sammlung sam01 angehaengt  (mit add    ohne Index),
- an speziellen Indexpositionen eingefuegt (mit add    mit  Index),
- aus der Sammlung sam01 entfernt          (mit remove mit  Index),
- durch andere String-Objekte ersetzt      (mit set    mit  Index).

Rechts neben jedem Befehl ist der momentane Inhalt und die momentane
Groesse der Sammlung sam01 nach Ausfuehrung des Befehls als Kommentar
angegeben.

In einer Sammlung des Typs ArrayList<String> kann man nur String-
Objekte sammeln (d.h. anhaengen, einfuegen, entfernen etc.).

Die Klasse ArrayList wird in diesem Programm mit ihrem vollen Namen
"java.util.ArrayList" bezeichnet (siehe auch das Programm ArrayList02).
------------------------------------------------------------------------ */
class ArrayList01 {
   static public void main(String[] sonja) {

      // Das Sammlungs-Objekt sam01, um das es hier geht:
      java.util.ArrayList<String> sam01 =
         new java.util.ArrayList<String>();

                                  // +------------------------+
                                  // |sam01, die Sammlung     |
                                  // |Inhalt:        |Groesse:|
                                  // +---------------+--------+
                                  // |[]             |0 Kompos|
      sam01.add("aaa");           // |[aaa]          |1 Kompo |
      sam01.add("ccccc");         // |[aaa, cccc]    |2 Kompos|
      sam01.add(1, "bb");         // |[aaa, bb, cccc]|3 Kompos|
                                  // |               |        |
      String sc = sam01.get(2);   // | "    "    "   |"   "   |
      String sa = sam01.get(0);   // | "    "    "   |"   "   |
                                  // |               |        |
      sam01.remove(1);            // |[aaa, cccc]    |2 Kompos|
      sam01.set(0, "xxxxx");      // |[xxxxx, cccc]  |2 Kompos|

      pln("-----------------------------------------");
      pln("A String            sc   : " + sc);
      pln("B String            sa   : " + sa);
      pln("C ArrayList<String> sam01: " + sam01);
      pln("-----------------------------------------");
      pln("D ArrayList01: Das war's erstmal!");

   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
} // class ArrayList01
/* ------------------------------------------------------------------------
Ausgabe des Programms ArrayList01:

-----------------------------------------
A String            sc   : ccccc
B String            sa   : aaa
C ArrayList<String> sam01: [xxxxx, ccccc]
-----------------------------------------
D ArrayList01: Das war's erstmal!
------------------------------------------------------------------------ */