// Datei Ausnahmen07.java
/* ------------------------------------------------------------------------
In einem try-Block und in einem catch-Block duerfen geschachtelte
try/catch-Bloecke stehen.
------------------------------------------------------------------------ */
class myErr01 extends Error {};
class myErr02 extends Error {};
class myErr03 extends Error {};

class Ausnahmen07 {
   // ---------------------------------------------------------------------
   static public void main(String[] susi) {
      try {
         pln("--------------------------------");
         pln("A   try-Block                TB!");
         // ---------------------------------------------------------------
         // try/catch-Block in einem try-Block:
         try {
            pln("B   try-Block im   try-Block TB!");
            throw new myErr01();
         } catch (myErr01 me) {
            pln("C catch-Block im   try-Block TB!");
         } // try/catch
         // ---------------------------------------------------------------
         throw new myErr02();
      } catch (myErr02 me2) {
         pln("--------------------------------");
         pln("D catch-Block                CB!");
         // ---------------------------------------------------------------
         // try/catch-Block in einem catch-Block:
         try {
            pln("E   try-Block im catch-Block CB!");
            throw new myErr03();
         } catch (myErr03 me3) {
            pln("F catch-Block im catch-Block CB!");
         } // try/catch
         // ---------------------------------------------------------------
      } // try/catch
         pln("--------------------------------");
         pln("Ausnahmen07: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static public void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // Ausnahmen07
/* ------------------------------------------------------------------------
Ausgabe des Programms Ausnahmen07:

--------------------------------
A   try-Block                TB!
B   try-Block im   try-Block TB!
C catch-Block im   try-Block TB!
--------------------------------
D catch-Block                CB!
E   try-Block im catch-Block CB!
F catch-Block im catch-Block CB!
--------------------------------
Ausnahmen07: Das war's erstmal!
------------------------------------------------------------------------ */