// Datei Autolog01.java
/* ------------------------------------------------------------------------
Im folgenden Satz sollen die Ausdruecke soll[0], soll[1], ... so
durch Zahlen zwischen 1 und 9 ersetzt werden, dass der Satz zutrifft:

"Dieser Satz enthaelt
 genau soll[0] mal die Ziffer 0,
 genau soll[1] mal die Ziffer 1,
 genau soll[2] mal die Ziffer 2,
 genau soll[3] mal die Ziffer 3,
 genau soll[4] mal die Ziffer 4,
 genau soll[5] mal die Ziffer 5,
 genau soll[6] mal die Ziffer 6,
 genau soll[7] mal die Ziffer 7,
 genau soll[8] mal die Ziffer 8,
 genau soll[9] mal die Ziffer 9"

Dieses Programm ermittelt geeignete Zahlen fuer soll[0], soll[1], ... etc.,
indem es alle Moeglichkeiten durchprobiert (mit Hilfe von 9 geschachtelten
for-Schleifen, siehe auch Autolog02).

Hinweis: Jede Zahl zwischen 0 und 9 kommt in diesem Satz mindestens
einmal vor, naemlich nach "Ziffer". Also muessen alle gesuchten
Zahlen soll[0], soll[1], ... etc. mindestens gleich 1 sein. Also
kommt die Zahl 0 in dem Satz genau einmal vor (nach "Ziffer") und
soll[0] muss deshalb gleich 1 sein.
------------------------------------------------------------------------ */
import java.util.Arrays; // fuer Arrays.equals

class Autolog01 {
   // ---------------------------------------------------------------------
   static public void main(String [] sonja) {
      pln("Autolog01: Jetzt geht es los!");

      int[] soll = new int[10];

      final int VON = 1;
      final int BIS = 9;

      soll[0]    = 1; // Die 0 kommt 1 Mal vor

      aeussersteSchleife:
      for (soll[9]=VON; soll[9]<=BIS; soll[9]++) {
         for (soll[8]=VON; soll[8]<=BIS; soll[8]++) {
            for (soll[7]=VON; soll[7]<=BIS; soll[7]++) {
               for (soll[6]=VON; soll[6]<=BIS; soll[6]++) {
                  for (soll[5]=VON; soll[5]<=BIS; soll[5]++) {
                     for (soll[4]=VON; soll[4]<=BIS; soll[4]++) {
                        for (soll[3]=VON; soll[3]<=BIS; soll[3]++) {
                           for (soll[2]=VON; soll[2]<=BIS; soll[2]++) {
                              for (soll[1]=VON; soll[1]<=BIS; soll[1]++) {

                                 // Jede Zahl zwischen 0 und 9 kommt
                                 // mindestens einmal vor (naemlich
                                 // nach dem Wort "Ziffer"):
                                 int[] ist = {1, 1, 1, 1, 1, 1, 1, 1, 1, 1};

                                 // Wie oft kommt jede Zahl i zwischen
                                 // 0 und 9 in der Reihung soll vor? Die
                                 // Antworten werden zu den Komponenten
                                 // ist[i] addiert:
                                 for (int i=0; i<=9; i++) {
                                    ist[soll[i]]++;
                                 }

                                 // Wenn die Reihungen soll und ist gleich
                                 // sind, haben wir eine Loesung gefunden:
                                 if (Arrays.equals(soll, ist)) {
                                    gibLoesungAus(soll);
                                     // Wenn wir nur *eine* Loesung suchen:
                                    break aeussersteSchleife;
                                 }

                              } // for soll[1]
                           } // for soll[2]
                        } // for soll[3]
                     } // for soll[4]
                  } // for soll[5]
               } // for soll[6]
            } // for soll[7]
         } // for soll[8]
      } // for soll[9]

      pln("---------------------------------------");
      pln("Autolog01: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   static void gibLoesungAus(int[] ir) {
      pln("---------------------------------------");
      p("\"Dieser Satz enthaelt");

      for (int i=0; i<=9; i++) {
         p("\n genau " + ir[i] + " mal die Ziffer " + i);
      }
      pln("\"");
   } // gibLoesungAus
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   static void pln()          {System.out.println();  }
   // ---------------------------------------------------------------------
} // class Autolog01
/* ------------------------------------------------------------------------
Ausgabe des Programms Autolog01:

Autolog01: Jetzt geht es los!
---------------------------------------
"Dieser Satz enthaelt
 genau 1 mal die Ziffer 0
 genau 7 mal die Ziffer 1
 genau 3 mal die Ziffer 2
 genau 2 mal die Ziffer 3
 genau 1 mal die Ziffer 4
 genau 1 mal die Ziffer 5
 genau 1 mal die Ziffer 6
 genau 2 mal die Ziffer 7
 genau 1 mal die Ziffer 8
 genau 1 mal die Ziffer 9"
---------------------------------------
Autolog01: Das war's erstmal!
------------------------------------------------------------------------ */
