// Datei Beenden.java
/* ------------------------------------------------------------------------
Eine break-Anweisung         beendet eine switch- oder Schleifenanweisung.
Eine return-Anweisung        beendet eine Methode.
Eine System.exit()-Anweisung beendet das gesamte Programm.

Dieses Programm demonstriert die Wirkung der verschiedenen "beende-
Befehle" break, return und System.exit.
------------------------------------------------------------------------ */
class Beenden {
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      pln("main: Die Methode  met1 wird aufgerufen (1)!");
      met1();
      pln("main: Die Methode  met1 wird aufgerufen (2)!");
      met1();
      pln("main: Die Methode  met1 wird aufgerufen (3)!");
      met1();
      pln("main: Alles fertig ausgefuehrt!");
   } // main
   // ---------------------------------------------------------------------
   static void met1() {
      ws01: while (true) {
         pln("met1: --------------------------------------------------");
         p  ("ws01: Bitte w, b, r, oder e eingeben:                  ");

         char ein = (char) EM.liesChar();

         switch (ein) {
            case 'b':
               pln("ws01: Die Schleife ws01    wird mit break  beendet!");
               break ws01;
            case 'r':
               pln("ws01: Die Methode  met1    wird mit return beendet!");
               return;
            case 'e':
               pln("ws01: Das Programm Beenden wird mit exit   beendet!");
               System.exit(0);
            default:
               pln("ws01: Es wird weiter gemacht, nichts wird  beendet!");
         } // switch
      } // ws01: while

      pln("met1: Die Schleife ws01 wurde beendet!");

   } // met1
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   // ---------------------------------------------------------------------
} // Beenden
/* ------------------------------------------------------------------------
Ein Dialog mit dem Programm Beenden:

main: Die Methode  met1 wird aufgerufen (1)!
met1: --------------------------------------------------
ws01: Bitte w, b, r, oder e eingeben:                  w
ws01: Es wird weiter gemacht, nichts wird  beendet!
met1: --------------------------------------------------
ws01: Bitte w, b, r, oder e eingeben:                  b
ws01: Die Schleife ws01    wird mit break  beendet!
met1: Die Schleife ws01 wurde beendet!
main: Die Methode  met1 wird aufgerufen (2)!
met1: --------------------------------------------------
ws01: Bitte w, b, r, oder e eingeben:                  r
ws01: Die Methode  met1    wird mit return beendet!
main: Die Methode  met1 wird aufgerufen (3)!
met1: --------------------------------------------------
ws01: Bitte w, b, r, oder e eingeben:                  e
ws01: Das Programm Beenden wird mit exit   beendet!
------------------------------------------------------------------------ */