// Datei BigDecimal01.java
/* ------------------------------------------------------------------------
Liest wiederholt ein float-Literal (z.B. 0.1F oder -12.0624F oder
0.5E-2F etc.) von der Standardeingabe ein und gibt den wahren Wert
des Literals zur Standardausgabe aus. Beendet sich, wenn der Benutzer
q eingibt.

Siehe auch BigDecimal02.
------------------------------------------------------------------------ */
import java.math.BigDecimal;

class BigDecimal01 {
   // ---------------------------------------------------------------------
   static public void main(String [] sonja) {
      pln("Beispiele fuer float-Literale:");
      pln("0.1F oder -12.0624F oder 0.5E-2F oder ...");
      while (true) {
         pln("----------------------------------------------------------");
         p("Ein float-Literal (q zum Beenden): ");
         String     einString     = EM.liesString();
         if (einString.startsWith("q")) break;
         float      einFloat      = Float.parseFloat(einString);
         BigDecimal einBigDecimal = new BigDecimal(einFloat);
         pln("Das float-Literal " + einString + " hat den Wert");
         pln(einBigDecimal);
      } // while
      pln("Das Programm BigDecimal01 beendet sich!");
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   // ---------------------------------------------------------------------
} // BigDecimal01
/* ------------------------------------------------------------------------
Ein Dialog mit dem Programm BigDecimal01:

Beispiele fuer float-Literale:
0.1 oder -123.4567 oder 65.43E21 oder 12.34E-56 oder ...
----------------------------------------------------------
Ein float-Literal (q zum Beenden): 0.1F
Das float-Literal 0.1F hat den Wert
0.100000001490116119384765625
----------------------------------------------------------
Ein float-Literal (q zum Beenden): 0.5E-2F
Das float-Literal 0.5E-2F hat den Wert
0.004999999888241291046142578125
----------------------------------------------------------
Ein float-Literal (q zum Beenden): 0.0624F
Das float-Literal 0.0624F hat den Wert
0.06239999830722808837890625
----------------------------------------------------------
Ein float-Literal (q zum Beenden): 0.0625F
Das float-Literal 0.0625F hat den Wert
0.0625
----------------------------------------------------------
Ein float-Literal (q zum Beenden): q
Das Programm BigDecimal01 beendet sich!
------------------------------------------------------------------------ */