// Datei BigDecimal02.java
/* ------------------------------------------------------------------------
Liest wiederholt ein double-Literal (z.B. 0.1 oder -12.0624 oder
0.5E-2 etc.) von der Standardeingabe ein und gibt den wahren Wert des
Literals zur Standardausgabe aus. Beendet sich, wenn der Benutzer q eingibt.

Siehe auch BigDecimal01.
------------------------------------------------------------------------ */
import java.math.BigDecimal;

class BigDecimal02 {
   // ---------------------------------------------------------------------
   static public void main(String [] sonja) {
      pln("Beispiele fuer double-Literale:");
      pln("0.1 oder -12.0624 oder 0.5E-2 oder ...");
      while (true) {
         pln("----------------------------------------------------------");
         p("Ein double-Literal (q zum Beenden): ");
         String     einString     = EM.liesString();
         if (einString.startsWith("q")) break;
         double     einDouble     = Double.parseDouble(einString);
         BigDecimal einBigDecimal = new BigDecimal(einDouble);
         pln("Das double-Literal " + einString + " hat den Wert");
         pln(einBigDecimal);
      } // while
      pln("Das Programm BigDecimal02 beendet sich!");
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   // ---------------------------------------------------------------------
} // BigDecimal02
/* ------------------------------------------------------------------------
Ein Dialog mit dem Programm BigDecimal02:

Beispiele fuer double-Literale:
0.1 oder -123.4567 oder 65.43E21 oder 12.34E-56 oder ...
----------------------------------------------------------
Ein double-Literal (q zum Beenden): 0.1
Das double-Literal 0.1 hat den Wert
0.1000000000000000055511151231257827021181583404541015625
----------------------------------------------------------
Ein double-Literal (q zum Beenden): 0.5E-2
Das double-Literal 0.5E-2 hat den Wert
0.005000000000000000104083408558608425664715468883514404296875
----------------------------------------------------------
Ein double-Literal (q zum Beenden): 0.0624
Das double-Literal 0.0624 hat den Wert
0.06239999999999999713562459646709612570703029632568359375
----------------------------------------------------------
Ein double-Literal (q zum Beenden): 0.0625
Das double-Literal 0.0625 hat den Wert
0.0625
----------------------------------------------------------
Ein double-Literal (q zum Beenden): q
Das Programm BigDecimal02 beendet sich!
------------------------------------------------------------------------ */