// Datei BreakContinue01.java
/* ------------------------------------------------------------------------
Drei while-Schleifen, eine mit continue und eine mit break.
------------------------------------------------------------------------ */
class BreakContinue01 {
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      pln("------------------------------------------------");
      // ------------------------------------------------------------------
      // Eine while-Schleife ohne ein break- oder continue-Anweisung darin.
      int einA   = 1;
      int summeA = 0;
      while (einA != 0) {
         p("A Eine Ganzzahl (0 zum Beenden)? ");
         einA   = EM.liesInt();
         summeA = summeA + einA;
      }
      pln("B Summe: " + summeA);
      pln("------------------------------------------------");
      // ------------------------------------------------------------------
      // Eine while-Schleife mit einer continue-Anweisung darin.
      int einB   = 1;
      int summeB = 0;
      while (einB != 0) {
         p("C Eine positive Ganzzahl (0 zum Beenden)? ");
         einB = EM.liesInt();
         if (einB < 0) {
            pln("D Die Zahl " + einB + " wird nicht summiert!");
            continue;
         }
         summeB = summeB + einB;
      }
      pln("E Summe: " + summeB);
      pln("------------------------------------------------");
      // ------------------------------------------------------------------
      // Eine while-Schleife mit einer break-Anweisung darin.
      int einC;
      int summeC = 0;
      while (true) {
         p("F Eine Ganzzahl (0 zum Beenden)? ");
         einC = EM.liesInt();
         if (einC == 0) break;
         summeC = summeC + einC;
      }
      pln("G Summe: " + summeC);
      pln("------------------------------------------------");
      // ------------------------------------------------------------------
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   // ---------------------------------------------------------------------
} // BreakContinue01
/* ------------------------------------------------------------------------
Ein Dialog mit dem Programm BreakContinue01:

------------------------------------------------
A Eine Ganzzahl (0 zum Beenden)? 3
A Eine Ganzzahl (0 zum Beenden)? -2
A Eine Ganzzahl (0 zum Beenden)? 5
A Eine Ganzzahl (0 zum Beenden)? 0
B Summe: 6
------------------------------------------------
C Eine positive Ganzzahl (0 zum Beenden)? 3
C Eine positive Ganzzahl (0 zum Beenden)? -2
D Die Zahl -2 wird nicht summiert!
C Eine positive Ganzzahl (0 zum Beenden)? 5
C Eine positive Ganzzahl (0 zum Beenden)? 0
E Summe: 8
------------------------------------------------
F Eine Ganzzahl (0 zum Beenden)? 3
F Eine Ganzzahl (0 zum Beenden)? -2
F Eine Ganzzahl (0 zum Beenden)? 5
F Eine Ganzzahl (0 zum Beenden)? 0
G Summe: 6
------------------------------------------------
------------------------------------------------------------------------ */