// Datei E02Anwendung01.java
/* ------------------------------------------------------------------------
Da die Klasse E02GeoFigur abstrakt ist, kann man sie nicht zum Erzeugen
von Objekten benutzen, d.h. ein Befehl wie new E02GeoFigur(...)  ist
verboten (siehe die Variable g01).

Eine E02GeoFigur-Variable kann aber auf ein Objekt der Unterklassen
E02Rechteck, E02Quadrat, E02Ellipse oder E02Kreis zeigen (siehe
die Variablen g02 bis g05).

Eine E02Rechteck-Variable kann nicht nur auf E02Rechteck-Objekte zeigen,
sondern auch auf Objekte der Unterklasse E02Quadrat (siehe r01 und r02).

Eine E02Ellipse-Variable kann nicht nur auf E02Ellipse-Objekte zeigen,
sondern auch auf Objekte der Unterklasse E02Kreis (siehe e01 und e02).
------------------------------------------------------------------------ */
class E02Anwendung01 {
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      // Objekte verschiedener Klassen werden erzeugt und ausgegeben:

//    E02GeoFigur g01 = new E02GeoFigur(1.0, 2.0);
      E02GeoFigur g02 = new E02Rechteck(2.0, 3.0, 4.0, 5.0);
      E02GeoFigur g03 = new E02Quadrat (3.0, 4.0, 5.0);
      E02GeoFigur g04 = new E02Ellipse (4.0, 5.0, 6.0, 7.0);
      E02GeoFigur g05 = new E02Kreis   (5.0, 6.0, 7.0);

      E02Rechteck r01 = new E02Rechteck(6.0, 7.0, 8.0, 9.0);
      E02Rechteck r02 = new E02Quadrat (7.0, 8.0, 9.0);

      E02Ellipse  e01 = new E02Ellipse (8.0, 9.0, 1.0, 2.0);
      E02Ellipse  e02 = new E02Kreis   (9.0, 1.0, 2.0);

      // Statt      g01.toString() kann man im Folgenden auch
      // einfach    g01            schreiben
      pln("-------------------------------------------------------------");
      pln("g02: " + g02.toString());
      pln("g03: " + g03.toString());
      pln("g04: " + g04.toString());
      pln("g05: " + g05.toString());
      pln("-------------------------------------------------------------");
      pln("r01: " + r01.toString());
      pln("r02: " + r02.toString());
      pln("-------------------------------------------------------------");
      pln("e01: " + e01.toString());
      pln("e02: " + e02.toString());
      pln("-------------------------------------------------------------");
      pln("E02Anwendung01: Das war's erstmal!");

   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class E02Anwendung01
/* ------------------------------------------------------------------------
Fehlermeldung des Compilers jikes von IBM, wenn die betreffende Zeile
kein Kommentar ist:

    28.       E02GeoFigur g01 = new E02GeoFigur(1.0, 2.0);
                                    <--------->
*** Error: Attempt to instantiate an abstract class "E02GeoFigur".
---------------------------------------------------------------------------
Ausgabe des Programms E02Anwendung01:

-------------------------------------------------------------
g02: Rechteck, Mittelpunkt: (2.0, 3.0), Seiten: 4.0|5.0
g03: Quadrat,  Mittelpunkt: (3.0, 4.0), Seite:  5.0
g04: Ellipse,  Mittelpunkt: (4.0, 5.0), Radien: 6.0|7.0
g05: Kreis,    Mittelpunkt: (5.0, 6.0), Radius: 7.0
-------------------------------------------------------------
r01: Rechteck, Mittelpunkt: (6.0, 7.0), Seiten: 8.0|9.0
r02: Quadrat,  Mittelpunkt: (7.0, 8.0), Seite:  9.0
-------------------------------------------------------------
e01: Ellipse,  Mittelpunkt: (8.0, 9.0), Radien: 1.0|2.0
e02: Kreis,    Mittelpunkt: (9.0, 1.0), Radius: 2.0
-------------------------------------------------------------
E02Anwendung01: Das war's erstmal!
------------------------------------------------------------------------ */