// Datei Erreichbarkeit01Tst.java
/* ------------------------------------------------------------------------
Hier wird auf die erreichbaren Elemente des Moduls Erreichbarkeit01
(n1 und inkrementA) zugegriffen.

Mit dem erreichbaren Konstruktor Erreichbarkeit01 wird
ein Objekt ob01 erzeugt.

Dann wird auf die erreichbaren Elemente des Moduls ob01
(m1 und dekrementA) zugegriffen.
------------------------------------------------------------------------ */
class Erreichbarkeit01Tst {
   // -----------------------------------------------------------
   static public void main(String[] sonja) {

      // Auf die Elemente des Moduls Erreichbarkeit01 zugreifen:
      pln("A Erreichbarkeit01.n1: " + Erreichbarkeit01.n1);
//    pln("B Erreichbarkeit01.n2: " + Erreichbarkeit01.n2);

      Erreichbarkeit01.inkrementA();
//    Erreichbarkeit01.inkrementB();
      pln("C Erreichbarkeit01.n1: " + Erreichbarkeit01.n1);

      // Auf die Konstruktoren Erreichbarkeit01 zugreifen:
      Erreichbarkeit01 ob01 = new Erreichbarkeit01();
//    Erreichbarkeit01 ob02 = new Erreichbarkeit01(33);

      // Auf die Elemente des Moduls ob01 zugreifen:
      pln("D ob01.m1: " + ob01.m1);
//    pln("E ob01.m2: " + ob01.m2);

      ob01.dekrementA();
//    ob01.dekrementB();
      pln("F ob01.m1: " + ob01.m1);

   } // main
   // -----------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // -----------------------------------------------------------
} // class Erreichbarkeit01Tst
/* ------------------------------------------------------------------------
Ausgabe des Programms Erreichbarkeits01Tst:

A Erreichbarkeit01.n1: 17
C Erreichbarkeit01.n1: 18
D ob01.m1: 17
F ob01.m1: 16
---------------------------------------------------------------------------
Fehlermeldungen eines Compilers (jikes von IBM) wenn die betreffenden
Zeilen nicht auskommentiert sind:

    18.     pln("B Erreichbarkeit01.n2: " + Erreichbarkeit01.n2);
                                                             <>
*** Error: The field "n2" in type "Erreichbarkeit01" is private and
not accessible here.


    21.     Erreichbarkeit01.inkrementB();
            <--------------------------->
*** Error: Method "void inkrementB();" in class "Erreichbarkeit01"
has private access. Therefore, it is not accessible
in class "Erreichbarkeit01Tst".


    26.     Erreichbarkeit01 ob02 = new Erreichbarkeit01(33);
                                        <------------------>
*** Error: The constructor "Erreichbarkeit01(int $1);" in
type "Erreichbarkeit01" is private. Therefore, it is not accessible here.


    30.     pln("E ob01.m2: " + ob01.m2);
                                     <>
*** Error: The field "m2" in type "Erreichbarkeit01" is private and
not accessible here.


    33.     ob01.dekrementB();
            <--------------->
*** Error: Method "void dekrementB();" in class "Erreichbarkeit01"
has private access. Therefore, it is not accessible
in class "Erreichbarkeit01Tst".
------------------------------------------------------------------------ */