// Datei Ersetzen06.java
/* ------------------------------------------------------------------------
Drei Klassen sind durch Beerbung verbunden: (Ober <--- Mittel <--- Unter).
In der Klasse Ober werden zwei Objektmethoden met01 und met02 verein-
bart, wobei met02 in met01 aufgerfuen wird.

Die Klassen Mittel und Unter erben die Methode met01 von Ober.
Ausserdem erben sie auch die Methode met02, ueberschreiben diese aber
mit eigenen Methoden. Insgesamt werden in den drei Klassen also drei
Methoden namens met02, aber nur eine namens met01 vereinbart.

Frage: Welche met02-Methode wird in der met01-Methode aufgerufen?
Immer die aus der Klasse Ober (weil dort ja auch die met01-Methode
vereinbart wurde)? Oder manchmal auch die aus Mittel bzw. Unter?
------------------------------------------------------------------------ */
class Ober {
   // Welche met02-Methode wird im Rumpf der met02-Methode aufgerufen?
   // Die aus Ober? Die aus Mittel? Oder die aus Unter?
   public String met01() {return "met01 rief auf: " + met02();}
   public String met02() {return "met02 aus Ober!";}
} // class Ober

class Mittel extends Ober {
   public String met02() {return "met02 aus Mittel!";}
} // class Mittel

class Unter  extends Mittel{
   public String met02() {return "met02 aus Unter!";}
} // class Unter
// ------------------------------------------------------------------------
class Ersetzen06 {
   static public void main(String [] sonja) {

      Ober   oOb = new   Ober();
      Mittel mOb = new Mittel();
      Unter  uOb = new  Unter();

      pln("-----------------------------------");
      pln("A " +           oOb .met01());
      pln("B " +           mOb .met01());
      pln("C " +           uOb .met01());
      pln("-----------------------------------");
      pln("D " + ((  Ober) oOb).met01());
      pln("-----------------------------------");
      pln("E " + ((  Ober) mOb).met01());
      pln("F " + ((Mittel) mOb).met01());
      pln("-----------------------------------");
      pln("G " + ((  Ober) uOb).met01());
      pln("H " + ((Mittel) uOb).met01());
      pln("I " + (( Unter) uOb).met01());
      pln("-----------------------------------");
      oOb = uOb;
      mOb = uOb;
      pln("J " +           uOb .met01());
      pln("K " +           oOb .met01());
      pln("L " +           uOb .met01());
      pln("-----------------------------------");
      pln("Ersetzen06: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class Ersetzen06
/* ------------------------------------------------------------------------
Ausgabe des Programms Ersetzen06:

-----------------------------------
A met01 rief auf: met02 aus Ober!
B met01 rief auf: met02 aus Mittel!
C met01 rief auf: met02 aus Unter!
-----------------------------------
D met01 rief auf: met02 aus Ober!
-----------------------------------
E met01 rief auf: met02 aus Mittel!
F met01 rief auf: met02 aus Mittel!
-----------------------------------
G met01 rief auf: met02 aus Unter!
H met01 rief auf: met02 aus Unter!
I met01 rief auf: met02 aus Unter!
-----------------------------------
J met01 rief auf: met02 aus Unter!
K met01 rief auf: met02 aus Unter!
L met01 rief auf: met02 aus Unter!
-----------------------------------
Ersetzen06: Das war's erstmal!
------------------------------------------------------------------------ */