// Datei Ersetzen07.java
/* ------------------------------------------------------------------------
Eine (nicht-private) Methode zu erben und zu ueberschreiben ist
in bestimmten Situationen gefaehrlich.

Die Klasse AK (wie "alte und beaehrte Klasse") enthaelt eine private
Methode plus3, die eine oeffentliche Methode inkr dreimal aufruft.

Die Klasse NK (wie "neue Klasse") beerbt AK und ueberschreibt die
Methode inkr. Dadurch wird die Wirkung der Methode plus3 veraendert,
obwohl plus3 (als private Methode der Klasse AK) in NK nicht einmal
sichtbar ist und nicht ueberschrieben wurde.
------------------------------------------------------------------------ */
class AK {
   public  int machWas(int n) {return plus3(n);}
   private int plus3  (int n) {return inkr(inkr(inkr(n)));}
   public  int inkr   (int n) {return n+1;}
} // class AK
// ========================================================================
class NK extends AK {
//   public  int inkr   (int n) {return n+2;}
} // class NK
// ========================================================================
class Ersetzen07 {
   static public void main(String [] sonja) {
      pln("------------------------------");
      AK a01  = new AK();
      pln("a01.machWas(0): " + a01.machWas(0));
      pln("a01.machWas(1): " + a01.machWas(1));
      pln("a01.machWas(5): " + a01.machWas(5));
      pln("------------------------------");
      NK n01 = new NK();
      pln("n01.machWas(0): " + n01.machWas(0));
      pln("n01.machWas(1): " + n01.machWas(1));
      pln("n01.machWas(5): " + n01.machWas(5));
      pln("------------------------------");
      pln("Ersetzen07: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class Ersetzen07
/* ------------------------------------------------------------------------
Ausgabe des Programms Ersetzen07 (wenn Zeile 21 kein Kommentar ist):

------------------------------
a01.machWas(0): 3
a01.machWas(1): 4
a01.machWas(5): 8
------------------------------
n01.machWas(0): 6
n01.machWas(1): 7
n01.machWas(5): 11
------------------------------
Ersetzen07: Das war's erstmal!
---------------------------------------------------------------------------
Ausgabe des Programms Ersetzen07 (wenn Zeile 21 ein Kommentar ist):

------------------------------
a01.machWas(0): 3
a01.machWas(1): 4
a01.machWas(5): 8
------------------------------
n01.machWas(0): 3
n01.machWas(1): 4
n01.machWas(5): 8
------------------------------
Ersetzen07: Das war's erstmal!
------------------------------------------------------------------------ */
