// Datei GanzZahl01.java
/* ------------------------------------------------------------------------
Objekte dieser Klasse sind vergroesserbare Ganzzahlen (intern dargestellt
durch eine int-Variable).
------------------------------------------------------------------------ */
class GanzZahl01 implements Vergroesserbar {
   private int groesse;

   public GanzZahl01(int groesse) {
      this.groesse = groesse;
   } // Konstruktor GanzZahl01

   // Die 2 Methoden der Schnittstelle Vergroesserbar (verdopple
   // und verdreifache) werden hier implementiert:
   public void verdopple()    {groesse *= 2;}
   public void verdreifache() {groesse *= 3;}

   // 2 zusaetzliche ("freiwillig programmierte") Methoden:
   public void halbiere()     {groesse /= 2;}

   public String toString() {
      return "GanzZahl01  mit Groesse " + groesse;
   } // toString
} // class GanzZahl01
/* ------------------------------------------------------------------------
Fehlermeldung des Compilers jikes von IBM, wenn die Vereinbarung der
Methode verdreifache in Zeile 16 auskommentiert wird:

     6. class GanzZahl01 implements Vergroesserbar {
                     <-------->
*** Error: The abstract method "void verdreifache();", inherited from type
"Vergroesserbar", is not implemented in the non-abstract class "GanzZahl01".
---------------------------------------------------------------------------
Fehlermeldung des Compilers javac von Sun, wenn die Vereinbarung der
Methode verdreifache in Zeile 16 auskommentiert wird (leicht irrefuehrend?):

D:\Quellen\GanzZahl01.java:6: GanzZahl01 should be declared abstract; it
does not define verdreifache() in GanzZahl01
class GanzZahl01 implements Vergroesserbar {
       ^
------------------------------------------------------------------------ */