// Datei GanzZahl02.java
/* ------------------------------------------------------------------------
Objekte dieser Klasse sind vergroesserbare Ganzzahlen (intern dargestellt
durch eine long-Variable).
------------------------------------------------------------------------ */
class GanzZahl02 implements Vergroesserbar, Verkleinerbar {
   private long groesse;

   public GanzZahl02(int groesse) {
      this.groesse = groesse;
   } // Konstruktor GanzZahl02

   // Die 2 Methoden der Schnittstelle Vergroesserbar (verdopple,
   // und verdreifache) werden hier implementiert:
   public void verdopple()    {groesse *= 2;}
   public void verdreifache() {groesse *= 3;}

   // 2 zusaetzliche ("freiwillig programmierte") Methoden:
   public void halbiere()     {groesse /= 2;}

   public String toString() {
      return "GanzZahl02  mit Groesse " + groesse;
   } // toString
} // class GanzZahl02