// Datei GleitRech01.java
/* ------------------------------------------------------------------------
Ein Programm zum Rechnen mit ganzen Zahlen vom Typ float. Anstelle einer
Zahl koennen Sie diesem Programmen auch Namen wie min, max etc. eingeben,
die fuer den groessten bzw. kleinsten float-Wert stehen.
------------------------------------------------------------------------ */
class GleitRech01 {
   static public void main(String[] sonja) {
      printf(
         "----------------------------------------------------------\n" +
         "Diesem Programm koennen Sie Bruchzahlen eingeben, z.B. 1.5\n" +
         "oder -12.34 oder 123 oder +0 oder -0. Ausserdem wandelt   \n" +
         "das Programm die folgenden Namen in die entsprechenden    \n" +
         "Extremwerte des Typs float um:                            \n" +
         "min, -min, minn, -minn, max, -max, nan, -nan, nann, -nann \n" +
         "inf, -inf, infinity, -infinity. Dabei bezeichnet          \n" +
         "min  die kleinste positive normalisierte Zahl,            \n" +
         "minn die kleinste positive nicht-normalisierte Zahl,      \n" +
         "max  die groesste positive Zahl,                          \n" +
         "nan  (oder -nan)  eine        'Unzahl' (not a number)     \n" +
         "nann (oder -nann) eine andere 'Unzahl' (not a number) und \n" +
         "inf  (oder infinity) plus unendlich.                      \n" +
         "                                                          \n" +
         "Sie koennen jede Zahl mit Return abschliessen, oder auch  \n" +
         "mehrere Zahlen, durch Blanks getrennt, eingeben und dann  \n" +
         "erst die Return-Taste druecken.                           \n" +
         "----------------------------------------------------------\n"
      );

      while (true) {
         printf("Zwei Ganzzahlen a und b (999 zum Beenden): ");
         float a = EM.liesFloat();
         if (a == 999) break;
         float b = EM.liesFloat();

         // Alle float-Werte werden als Strings der Laenge 15 ausgegeben
         // (damit sie "rechtsbuendig" untereinander stehen)

         printf("a     ist gleich %15g\n", a);
         printf("b     ist gleich %15g\n", b);
         printf("a + b ist gleich %15g\n", a + b);
         printf("a - b ist gleich %15g\n", a - b);
         printf("a * b ist gleich %15g\n", a * b);
         printf("a / b ist gleich %15g\n", a / b);
         printf("a %% b ist gleich %15g\n\n", a % b);
      } // while
      printf("GleitRech01: Das war's erstmal!\n");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   // ---------------------------------------------------------------------
} // class GleitRech01
/* ------------------------------------------------------------------------
Ein Dialog mit dem Programm GleitRech01:

----------------------------------------------------------
Diesem Programm koennen Sie Bruchzahlen eingeben, z.B. 1.5
oder -12.34 oder 123 oder +0 oder -0. Ausserdem wandelt
das Programm die folgenden Namen in die entsprechenden
Extremwerte des Typs float um:
min, -min, minn, -minn, max, -max, nan, -nan, nann, -nann
inf, -inf, infinity, -infinity. Dabei bezeichnet
min  die kleinste positive normalisierte Zahl,
minn die kleinste positive nicht-nomalisierte Zahl,
max  die groesste positive Zahl,
nan  (oder -nan)  eine        'Unzahl' (not a number)
nann (oder -nann) eine andere 'Unzahl' (not a number)
und inf (oder infinity) plus unendlich.

Sie koennen jede Zahl mit Return abschliessen, oder auch
mehrere Zahlen, durch Blanks getrennt, eingeben und dann
erst die Return-Taste druecken.
----------------------------------------------------------
Zwei Ganzzahlen a und b (999 zum Beenden): 12.5 3
a     ist gleich            12.5
b     ist gleich             3.0
a + b ist gleich            15.5
a - b ist gleich             9.5
a * b ist gleich            37.5
a / b ist gleich       4.1666665
a % b ist gleich             0.5

Zwei Ganzzahlen a und b (999 zum Beenden): minn max
a     ist gleich  1.17549435E-38
b     ist gleich    3.4028235E38
a + b ist gleich    3.4028235E38
a - b ist gleich   -3.4028235E38
a * b ist gleich       3.9999998
a / b ist gleich             0.0
a % b ist gleich  1.17549435E-38

Zwei Ganzzahlen a und b (999 zum Beenden): 1 +0
a     ist gleich             1.0
b     ist gleich             0.0
a + b ist gleich             1.0
a - b ist gleich             1.0
a * b ist gleich             0.0
a / b ist gleich        Infinity
a % b ist gleich             NaN

Zwei Ganzzahlen a und b (999 zum Beenden): 1 -0
a     ist gleich             1.0
b     ist gleich            -0.0
a + b ist gleich             1.0
a - b ist gleich             1.0
a * b ist gleich            -0.0
a / b ist gleich       -Infinity
a % b ist gleich             NaN

Zwei Ganzzahlen a und b (999 zum Beenden): 999
GleitRech01: Das war's erstmal!
------------------------------------------------------------------------ */