// Datei GleitRech02.java
/* ------------------------------------------------------------------------
Ein Programm zum Rechnen mit ganzen Zahlen vom Typ double. Anstelle einer
Zahl koennen Sie diesem Programmen auch Namen wie min, max etc. eingeben,
die fuer den groessten bzw. kleinsten double-Wert stehen.
------------------------------------------------------------------------ */
class GleitRech02 {
   static public void main(String[] sonja) {
      printf(
         "----------------------------------------------------------%n" +
         "Diesem Programm koennen Sie Bruchzahlen eingeben, z.B. 1.5%n" +
         "oder -12.34 oder 123 oder +0 oder -0. Ausserdem wandelt   %n" +
         "das Programm die folgenden Namen in die entsprechenden    %n" +
         "Extremwerte des Typs double um:                           %n" +
         "min, -min, minn, -minn, max, -max, nan, -nan, nann, -nann %n" +
         "inf, -inf, infinity, -infinity. Dabei bezeichnet          %n" +
         "min  die kleinste positive normalisierte Zahl,            %n" +
         "minn die kleinste positive nicht-normalisierte Zahl,      %n" +
         "max  die groesste positive Zahl,                          %n" +
         "nan  (oder -nan)  eine        'Unzahl' (not a number)     %n" +
         "nann (oder -nann) eine andere 'Unzahl' (not a number) und %n" +
         "inf  (oder infinity) plus unendlich.                      %n" +
         "                                                          %n" +
         "Sie koennen jede Zahl mit Return abschliessen, oder auch  %n" +
         "mehrere Zahlen, durch Blanks getrennt, eingeben und dann  %n" +
         "erst die Return-Taste druecken.                           %n" +
         "----------------------------------------------------------%n"
      );

      while (true) {
         printf("Zwei Ganzzahlen a und b (999 zum Beenden): ");
         double a = EM.liesDouble();
         if (a == 999) break;
         double b = EM.liesDouble();

         // Alle double-Werte werden als Strings der Laenge 22 ausgegeben

         printf("a     ist gleich %22s%n", a    );
         printf("b     ist gleich %22s%n", b    );
         printf("a + b ist gleich %22s%n", a + b);
         printf("a - b ist gleich %22s%n", a - b);
         printf("a * b ist gleich %22s%n", a * b);
         printf("a / b ist gleich %22s%n", a / b);
         printf("a %% b ist gleich %22s%n", a % b);
         printf("%n");
      } // while
      printf("GleitRech02: Das war's erstmal!%n");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   // ---------------------------------------------------------------------
} // class GleitRech02
/* ------------------------------------------------------------------------
Ein Dialog mit dem Programm GleitRech02:

----------------------------------------------------------
Diesem Programm koennen Sie Bruchzahlen eingeben, z.B. 1.5
oder -12.34 oder 123 oder +0 oder -0. Ausserdem wandelt
das Programm die folgenden Namen in die entsprechenden
Extremwerte des Typs double um:
min, -min, minn, -minn, max, -max, nan, -nan, nann, -nann
inf, -inf, infinity, -infinity. Dabei bezeichnet
min  die kleinste positive normalisierte Zahl,
minn die kleinste positive nicht-nomalisierte Zahl,
max  die groesste positive Zahl,
nan  (oder -nan)  eine        'Unzahl' (not a number)
nann (oder -nann) eine andere 'Unzahl' (not a number)
und inf (oder infinity) plus unendlich.

Sie koennen jede Zahl mit Return abschliessen, oder auch
mehrere Zahlen, durch Blanks getrennt, eingeben und dann
erst die Return-Taste druecken.
----------------------------------------------------------
Zwei Ganzzahlen a und b (999 zum Beenden): 12.5 3
a     ist gleich                   12.5
b     ist gleich                    3.0
a + b ist gleich                   15.5
a - b ist gleich                    9.5
a * b ist gleich                   37.5
a / b ist gleich      4.166666666666667
a % b ist gleich                    0.5

Zwei Ganzzahlen a und b (999 zum Beenden): minn max
a     ist gleich 1.1754943508222875E-38
b     ist gleich  3.4028234663852886E38
a + b ist gleich  3.4028234663852886E38
a - b ist gleich -3.4028234663852886E38
a * b ist gleich      3.999999761581421
a / b ist gleich  3.454467627940094E-77
a % b ist gleich 1.1754943508222875E-38

Zwei Ganzzahlen a und b (999 zum Beenden): 1 +0
a     ist gleich                    1.0
b     ist gleich                    0.0
a + b ist gleich                    1.0
a - b ist gleich                    1.0
a * b ist gleich                    0.0
a / b ist gleich               Infinity
a % b ist gleich                    NaN

Zwei Ganzzahlen a und b (999 zum Beenden): 1 -0
a     ist gleich                    1.0
b     ist gleich                   -0.0
a + b ist gleich                    1.0
a - b ist gleich                    1.0
a * b ist gleich                   -0.0
a / b ist gleich              -Infinity
a % b ist gleich                    NaN

Zwei Ganzzahlen a und b (999 zum Beenden): 999
GleitRech02: Das war's erstmal!
------------------------------------------------------------------------ */