// Datei Grabo00Tst.java
/* ------------------------------------------------------------------------
Zwei JFrame-Objekte mr1 und mr2 ("mein Rahmen 1 und 2") werden erzeugt
und auf dem Bildschirm als Fenster sichtbar gemacht. Jedes JFrame-
Fenster besteht aus einem Rahmen mit drei kleinen Knoepfche darin
(oben rechts). Einer davon ist der Fenster-Schliessen-Knopf.

Das Fenster von mr1 hat keine Ueberschrift, das von mr2 hat die
Ueberschrift ("--> MR2 <--").

Die Fenster von mr1 und mr2 werden auf verschiedenen Stellen des
Bildschirms platziert, mit der linken oberen Ecke bei x=40, y=40 bzw.
bei x=330, y=40 Pixel, sind aber gleich gross: 250 mal 80 Pixel.

Wenn der Benutzer den Fenster-Schliessen-Knopf von mr1 anklickt,
wird das Fenster geschlossen und das Objekt mr1 weggeworfen
(DISPOSE_ON_CLOSE).

Wenn der Benutzer den Fenster-Schliessen-Knopf von mr2 anklickt,
wird das umgebende Programm Grabo00Tst beendet (EXIT_ON_CLOSE).

Ein JFrame-Fenster wie mr1 wird erst dann auf dem Bildschirm sichtbar,
nachdem der Befehl mr1.setVisible(true) ausgefuehrt wurde.
------------------------------------------------------------------------ */
import javax.swing.JFrame;
import javax.swing.WindowConstants;

class Grabo00Tst implements WindowConstants {
   // ---------------------------------------------------------------------
   static public void main(String [] sonja) {
      pln("Grabo00Tst: Jetzt geht es los!");

      JFrame mr1 = new JFrame();              // Ohne Ueberschrift
      JFrame mr2 = new JFrame("--> MR2 <--"); // Mit  Ueberschrift

      mr1.setBounds( 40, 40, 250, 80);        // x, y, Breite, Hoehe
      mr2.setBounds(330, 40, 250, 80);        // x, y, Breite, Hoehe

      mr1.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
      mr2.setDefaultCloseOperation(EXIT_ON_CLOSE);

      mr1.setVisible(true);
      mr2.setVisible(true);

      pln("Grabo00Tst: Die main-Methode ist schon fertig!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class Grabo00Tst