// Datei Grabo04Tst.java
/* ------------------------------------------------------------------------
Dieses Programm erzeugt zwei Grabo04-Objekte und stattet sie mit zwei ver-
schiedenen WindowListener-Objekten aus. Der Fenster-Schliessen-Knopf des
ersten Fensters beendet das Programm, der Fenster-Schliessen-Knopf des
zweiten Fensters gibt nur eine Meldung zur Stadardausgabe aus.
------------------------------------------------------------------------ */
import javax.swing.JFrame;

class Grabo04Tst {
   static public void main(String [] sonja) {
      // Erzeugt zwei Grabo04-Objekte und ruestet sie mit verschiedenen
      // WindowListener-Objekten aus:

      pln("Grabo04: Klicken Sie auf die Fenster-Schliessen-Knoepfe!!");
      // ------------------------------------------------------------------
      // Das Objekt meinRahmen3 erzeugen, ausruesten und sichtbar machen:
      Grabo04 mr3 = new Grabo04("Grabo04-Objekt Nr.1");
      mr3.addWindowListener(new java.awt.event.WindowAdapter() {
         public void windowClosing(java.awt.event.WindowEvent e) {
            System.out.println("Der letzte Klick war endgueltig!");
            System.exit(0);
         } // windowClosing
      });
      mr3.setSize(260, 100); // Breite, Hoehe
      mr3.setVisible(true);
      // ------------------------------------------------------------------
      // Das Objekt mr4 erzeugen, ausruesten und sichtbar machen:
      Grabo04 mr4 = new Grabo04("Grabo04-Objekt Nr 2");
      mr4.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
      mr4.addWindowListener(new java.awt.event.WindowAdapter() {
         public void windowClosing(java.awt.event.WindowEvent e) {
            System.out.println("Der letzte Klick war wirkungslos!");
         } // windowClosing
      });
      mr4.setBounds(270, 0, 320, 120); // x, y, Breite, Hoehe
      mr4.setVisible(true);
      // ------------------------------------------------------------------
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class Grabo04Tst