// Datei Hallo11.java
/* --------------------------------------------------------------
Zusammenfassung verschiedener Konstrukte und Befehle. Was dieses
Programm macht wird im Kommentar zur main-Methode beschrieben.
-------------------------------------------------------------- */
class Hallo11 {
   // -----------------------------------------------------------
   static boolean istEinstellig(int n) {
      // Liefert true, wenn n einstellig ist, und sonst false.
      return -9 <= n && n <= +9;
   } // istEinstellig
   // -----------------------------------------------------------
   static int liesEinstelligenIntWert() {
      // Liest (eventuell wiederholt) eine Ganzzahl von der
      // Standardeingabe ein, bis der Benutzer eine einstellige
      // Zahl eingibt. Liefert diese Zahl als Ergebnis.

      while (true) {
         p("Eine einstellige Ganzzahl (0 zum Beenden)? ");
         int eingabe = Hallo06.liesInt();
         if (istEinstellig(eingabe)) return eingabe;
         pln("Die Zahl " + eingabe + " ist nicht einstellig!");
      } // while
   } // liesEinstelligenIntWert
   // -----------------------------------------------------------
   static public void main(String[] sonja) {
      // Liest wiederholt einstellige Zahlen von der Standard-
      // eingabe, bis der Benutzer eine 0 eingibt. Summiert alle
      // eingelesenen Zahlen und gibt am Schluss ihre Summe aus.

      int einstellig;
      int summe = 0;

      while (true) {
         einstellig = liesEinstelligenIntWert();
         if (einstellig == 0) break; // Beendet die Schleife
         summe = summe + einstellig;
      } // while

      pln("Die Summe der Zahlen ist gleich ---------> " + summe);
      // --------------------------------------------------------
   } // main
   // -----------------------------------------------------------
   // Zwei Methoden mit kurzen Namen:
   static void p  (Object ob) {System.out.print  (ob);}
   static void pln(Object ob) {System.out.println(ob);}
   // -----------------------------------------------------------
} // class Hallo11
/* --------------------------------------------------------------
Ein Dialog mit dem Programm Hallo11:

Eine einstellige Ganzzahl (0 zum Beenden)? 6
Eine einstellige Ganzzahl (0 zum Beenden)? -3
Eine einstellige Ganzzahl (0 zum Beenden)? 10
Die Zahl 10 ist nicht einstellig!
Eine einstellige Ganzzahl (0 zum Beenden)? -123456789
Die Zahl -123456789 ist nicht einstellig!
Eine einstellige Ganzzahl (0 zum Beenden)? 9
Eine einstellige Ganzzahl (0 zum Beenden)? 0
Die Summe der Zahlen ist gleich ---------> 12
-------------------------------------------------------------- */