// Datei Layout02.java
/* ------------------------------------------------------------------------
Den Layout-Manager eines Behaelters entfernen und dann Komponenten mit
ausdruecklich angegebener Position und Groesse in den Behaelter tun.
------------------------------------------------------------------------ */
import javax.swing.JFrame;
import javax.swing.JButton;
import java .awt  .Component;
import java .awt  .Container;

class Layout02 {
   // ---------------------------------------------------------------------
   static public void main(String [] sonja) {
      pln("Layout02: Jetzt geht es los!");

      JFrame r01 = new JFrame("Rahmen ohne Layout-Manager!");
      r01.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      // Da die ContentPane des Rahmens r01 mehrmals gebraucht wird:
      Container copa = r01.getContentPane();

      // Den Layout-Manager des Behaelters copa entfernen:
      copa.setLayout(null);

      // Drei Component-Objekte vereinbaren:
      Component b01 = new JButton("Knopf1");
      Component b02 = new JButton("Knopf2");
      Component b03 = new JButton("Knopf3");

      // Die Position und Groesse der Component-Objekte festlegen:
      b01.setBounds( 20, 20, 100, 30);
      b02.setBounds(150, 20,  60, 30);
      b03.setBounds( 20, 70, 100, 50);

      // Die Component-Objekte in den Behaelter copa tun:
      copa.add(b01);
      copa.add(b02);
      copa.add(b03);

      // Position und Groesse des Rahmens r01 festlegen und den
      // Rahmen sichtbar machen:
      r01.setBounds(100, 50, 300, 150);
      r01.setVisible(true);

      // Erst nach einer Eingabe des Benutzers weitermachen:
      p("Bitte irgend ein Zeichen eingeben: ");
      String s = EM.liesString();

      // Die Position und Groesse der Component-Objekte veraendern:
      b01.setBounds(  0,  0, 80, 30);
      b02.setBounds( 80, 30, 80, 30);
      b03.setBounds(160, 60, 80, 30);

      pln("Layout02: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
//   static void pln()          {System.out.println();  }
   // ---------------------------------------------------------------------
} // class Layout02