// Datei Layout03.java
/* ------------------------------------------------------------------------
Zwei JFrame-Objekte werden mit einem BoxLayout bzw. einem FlowLayout ver-
sehen und dann mit Knoepfen gefuellt.
------------------------------------------------------------------------ */
import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.BoxLayout;
import java .awt  .FlowLayout;
import java .awt  .Component;
import java .awt  .Container;
//import de.tfh_berlin.einaus.AM01;

class Layout03 {
   // ---------------------------------------------------------------------
   static public void main(String [] sonja) {
      pln("Layout03: Jetzt geht es los!");

      JFrame r01 = new JFrame("Prog. Layout03: Mit  BoxLayout!");
      JFrame r02 = new JFrame("Prog. Layout03: Mit FlowLayout!");

      r01.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      r02.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      Component[] knopfReihung01 = new JButton[9];
      Component[] knopfReihung02 = new JButton[9];

      for (int i=0; i<knopfReihung01.length; i++) {
         knopfReihung01[i] = new JButton("Knopf" + i);
         knopfReihung02[i] = new JButton("Knopf" + i);
      }

      Container copa01 = r01.getContentPane();
      Container copa02 = r02.getContentPane();

      // Der BoxLayout-Konstruktor erwartet als ersten Parameter den
      // betreffenden Behaelter (dessen setLayout-Methode aufgerufen wird):
      copa01.setLayout(new BoxLayout(copa01, BoxLayout.X_AXIS));
      copa02.setLayout(new FlowLayout());

      for (int i=0; i<knopfReihung01.length; i++) {
         copa01.add(knopfReihung01[i]);
      }

      for (int i=0; i<knopfReihung02.length; i++) {
         copa02.add(knopfReihung02[i]);
      }

      r01.setBounds(200, 200, 500, 100);
      r02.setBounds(200, 320, 500, 100);
      r01.setVisible(true);
      r02.setVisible(true);

      pln("Layout03: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class Layout03