// Datei Layout06.java
/* ------------------------------------------------------------------------
Ein Knopf wird in einen Behaelter ohne LayoutManager getan, man sieht ihn
aber nicht, weil seine Groesse gleich (0, 0) ist. Wenn man ihm eine ver-
nuenftige Groesse gibt, wird er sichtbar.
------------------------------------------------------------------------ */
import javax.swing.JFrame;
import javax.swing.JButton;
import java .awt  .Container;
import java .awt  .Point;
import java .awt  .Dimension;

class Layout06 {
   // ---------------------------------------------------------------------
   static public void main(String[] susi) {
      pln("Layout06: Jetzt geht es los!");
      pln("----------------------------");

      JFrame r01 = new JFrame("JFrame-Objekt ohne LayoutManager!");
      r01.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      Container copa = r01.getContentPane();

      copa.setLayout(null);

      r01.setBounds(0,   0, 300, 120);
      r01.setVisible(true);

      JButton knopf1 = new JButton("Knopf1");
      copa.add(knopf1);

      Point rechteObereEcke = knopf1.getLocation();
      pln("A  vorher Size: " + knopf1.getSize());
      pln("B  vorher Loca: " + rechteObereEcke);

      pln("----------------------------");
      pln("Weiter mit Return!");
      p  ("----------------------------");
      String s = EM.liesString();

      knopf1.setSize    (new Dimension(100, 30));
      knopf1.setLocation(new Point    (100, 50));

      rechteObereEcke = knopf1.getLocation();
      pln("C nachher Size: " + knopf1.getSize());
      pln("D nachher Loca: " + rechteObereEcke);

      pln("----------------------------");
      pln("Layout06: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   // ---------------------------------------------------------------------
} // class Layout06
/* ------------------------------------------------------------------------
Ausgabe des Programms Layout06 zur Standardausgabe:

Layout06: Jetzt geht es los!
----------------------------
A  vorher Size: java.awt.Dimension[width=0,height=0]
B  vorher Loca: java.awt.Point[x=0,y=0]
----------------------------
Weiter mit Return!
----------------------------
C nachher Size: java.awt.Dimension[width=100,height=30]
D nachher Loca: java.awt.Point[x=100,y=50]
----------------------------
Layout06: Das war's erstmal!
------------------------------------------------------------------------ */
