// Datei Methoden02.java
/* ------------------------------------------------------------------------
Eine Prozedur namens druckeStrich mit 2 Parametern wird vereinbart und
in der main-Methode mehrmals aufgerurfen.
------------------------------------------------------------------------ */
class Methoden02 {
   // -----------------------------------------------------------
   // Eine Prozedur ("void-Methode") mit 2 Parametern:
   static void druckeStrich(String s, int soHaeufig) {
      // Gibt den String s soHaeufig-Mal aus (und schiebt danach
      // den Cursor an den Anfang der naechsten Zeile vor):
      int laenge = 0;
      while (laenge++ < soHaeufig) p(s);
      pln();
   } // druckeStrich
   // -----------------------------------------------------------
   static public void main(String[] sonja) {
      // Gibt (zwischen zwei "Strichen") ein paar Textzeilen aus,
      // die genau "in ihrer vollen Laenge unterstrichen sind":
      String text1 = "Hallo, wie geht's?";
      String text2 = "Danke, gut!";
      int    anz   = 5;
      String s1    = "/\\"; // Das sind nur 2 Zeichen, nicht 3!
      String s2    = "\\/"; // Das sind nur 2 Zeichen, nicht 3!

      p("A "); druckeStrich("=",   8*anz);
      p("B "); pln(text1);
      p("C "); druckeStrich("-",   text1.length());
      p("D "); pln(text2);
      p("E "); druckeStrich("-",   text2.length());
      p("F "); druckeStrich(s1+s2, anz+5);
      pln("------------------------------");
      pln("Methoden02: Das war's erstmal!");
   } // main
   // -----------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   static void pln()          {System.out.println();  }
   // -----------------------------------------------------------
} // class Methoden02
/* ------------------------------------------------------------------------
Ausgabe des Programms Methoden02:

A ========================================
B Hallo, wie geht's?
C ------------------
D Danke, gut!
E -----------
F /\\//\\//\\//\\//\\//\\//\\//\\//\\//\\/
------------------------------
Methoden02: Das war's erstmal!
------------------------------------------------------------------------ */
