// Datei Methoden07.java
/* ------------------------------------------------------------------------
Diese Klasse enthaelt keine main-Methode, aber einen statischen Initiali-
sierer und 2 Klassen-Methoden (static methods). Wenn der Programmierer
diese Klasse dem Ausfuehrer uebergibt (d.h. wenn er sie compiliert) und
der Benutzer dann versucht, ein Java-Programm namens Methoden07 zu starten,
bekommt er interessante (Fehler-) Meldungen. Aus denen geht hervor, dass
der Ausfuehrer die Methoden druckeWellenlinie und pln bereits erzeugt hat
(und ausfuehren kann), ehe er merkt, dass keine main-Methode vorhanden ist.
------------------------------------------------------------------------ */
class Methoden07 {
   // ---------------------------------------------------------------------
   // Ein statischer Initialisierer wie der folgende wird ausgefuehrt,
   // nachdem eine Klasse geladen und erzeugt wurde, und noch bevor der
   // Ausfuehrer nach einer main-Methode sucht oder irgendwelche anderen
   // Schritte unternimmt.

   static {
      druckeWellenlinie();
      pln("Die Klasse Methoden07 wurde erzeugt!");
      druckeWellenlinie();
   } // statischer Initialisierer
   // ---------------------------------------------------------------------
   static void druckeWellenlinie() {
      pln("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
   } // druckeWellenlinie
   // ---------------------------------------------------------------------
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class Methoden07
/* ------------------------------------------------------------------------
Die folgenden (Fehler-) Meldungen erscheinen auf dem Bildschirm, wenn
man versucht, ein Programm namens Methoden07 zu starten:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Die Klasse Methoden07 wurde erzeugt!
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
java.lang.NoSuchMethodError: main
Exception in thread "main"
Prozess beendet mit Exit-Code 1
------------------------------------------------------------------------ */
