// Datei Person02Tst.java
/* ------------------------------------------------------------------------
Programm zum Testen der Klasse Person02.
------------------------------------------------------------------------ */
class Person02Tst {
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      // Kleiner Test der Klassen Person01 und Person02

      Person01 persA = new Person01("Anna",     "Blume");
      Person01 persB = new Person01("Florian",  "Meyerbeer");
      Person02 persC = new Person02("Virginia", "Cramer", 321);
      Person02 persD = new Person02("Fiorenzo", "Dehmel", 123);

      Person01 persE = persC;
      Object     obF = persE;

      pln("Person02Tst: Jetzt geht es los!");
      pln("-------------------------------------------");
      p("A "); Person01.druckeAnzahlPerson01(); pln();
      p("B "); Person02.druckeAnzahlPerson01(); pln();
      p("C "); Person02.druckeAnzahlPerson02(); pln();
      pln("-------------------------------------------");
      p("D "); persC.druckeName ();             pln();
      p("E "); persC.druckeAlles();             pln();

      p("F "); persD.druckeName ();             pln();
      p("G "); persD.druckeAlles();             pln();

      p("H "); persE.druckeName ();             pln();
//    p("I "); persE.druckeAlles();             pln();

//    p("J ");   obF.druckeName ();             pln();
      pln("-------------------------------------------");
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   static void pln()          {System.out.println();  }
   // ---------------------------------------------------------------------
} // Person02Tst
/* ------------------------------------------------------------------------
Ausgabe des Programms Person02Tst:

Person02Tst: Jetzt geht es los!
-------------------------------------------
A Bisher wurden 4 Person01-Objekte erzeugt!
B Bisher wurden 4 Person01-Objekte erzeugt!
C Bisher wurden 2 Person02-Objekte erzeugt!
-------------------------------------------
D Name: Virginia Cramer
E Name: Virginia Cramer, Pers.-Nr: 321
F Name: Fiorenzo Dehmel
G Name: Fiorenzo Dehmel, Pers.-Nr: 123
H Name: Virginia Cramer
-------------------------------------------
---------------------------------------------------------------------------
Fehlermeldungen (des jikes-Compilers), wenn die entsprechenden Zeilen
keine Kommentare sind:

    3!.       p("H "); persE.druckeAlles();             pln();
                       ^-----------------^
*** Semantic Error: No accessible method with signature "druckeAlles()"
was found in type "Person01".


    33.       p("I ");   obF.druckeAlles();             pln();
                         ^---------------^
*** Semantic Error: No accessible method with signature "druckeName()"
was found in type "java.lang.Object".
------------------------------------------------------------------------ */