// Datei Reihungen01.java
/* ------------------------------------------------------------------------
Eine Reihungsvariable namens v vom Typ long[] (lies: Reihung von long)
wird vereinbart. Ihre Komponenten v[i] werden mit zwei for-Schleifen
bearbeitet.
------------------------------------------------------------------------ */
class Reihungen01 {
   static public void main(String[] sonja) {

      pln("Reihungen01: Jetzt geht es los!");
      pln("-----------");

      // Eine Reihung namens v mit 100 Komponenten des Typs long
      // wird vereinbart:
      long[] v = new long[100];

      // Die Reihung v wird mit Quadratzahlen gefuellt:
      for (int i=0; i<v.length; i++) {
         v[i] = i * i;
      }

      // Die Komponenten der Reihung v werden ausgegben:
      for (int i=0; i<v.length; i++) {
         pln("v[" + i + "]: " + v[i]);
      }
      pln("-----------");

      // Die Komponenten der Reihung v werden noch mal ausgegben,
      // diesmal mit einer "einfachen und sicheren for-Schleife":
      for (long komp: v) {
         pln(komp);
      }
      pln("-----------");
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   static void pln()          {System.out.println();  }
   // ---------------------------------------------------------------------
} // Reihungen01
/* ------------------------------------------------------------------------
Auszuege aus der Ausgabe des Programms Reihungen01:

Reihungen01: Jetzt geht es los!
-----------
v[0]: 0
v[1]: 1
v[2]: 4
v[3]: 9
v[4]: 16
...
v[98]: 9604
v[99]: 9801
-----------
0
1
4
9
16
...
9604
9801
-----------
------------------------------------------------------------------------ */
