// Datei String01.java
/* ------------------------------------------------------------------------
Demonstriert einige wichtige String-Befehle.
------------------------------------------------------------------------ */
class String01 {
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      pln("String01: Jetzt geht es los!");

      pln("---------------------------------------------------------------");
      String s01 = "Hallo!";

      pln("A s01                           : " + s01);
      pln("...............................................................");
      pln("B s01.charAt(0)                 : " + s01.charAt(0));
      pln("C s01.charAt(5)                 : " + s01.charAt(5));
      pln("D s01.charAt(s01.length()-1)    : " + s01.charAt(s01.length()-1));

      p  ("E ");
      for (int i=0; i<s01.length(); i++) {
         char c = s01.charAt(i);
         p("-" + c + "- ");  // Das Zeichen c irgendwie bearbeiten
      }
      pln();
      pln("---------------------------------------------------------------");
      String s02 = "Hallo Sonja!";
      pln("F s02                           : " + s02);
      pln("...............................................................");
      pln("G s02.substring(6)              : " + s02.substring(6));
      pln("H s02.substring(6, 9)           : " + s02.substring(6, 9));
      pln("I s02.substring(0,  7)          : " + s02.substring(0,  7));
      pln("J s02.substring(7,  7)          : " + s02.substring(7,  7));
      pln("K s02.substring(0, s02.length()): " + s02.substring(0, s02.length()));

      for (int bis=7; bis<=s02.length(); bis+=2) {
         pln("L  " + s02.substring(0, bis));
      }
      pln("---------------------------------------------------------------");
      String s03 = "Hallo Sonja! Wie geht's? Gut!";

      pln("M s03                           : " + s03);
      pln("...............................................................");
      pln("N s03.startsWith(\"Hall\")        : " + s03.startsWith("Hall"));
      pln("O s03.startsWith(\"hall\")        : " + s03.startsWith("hall"));
      pln("P s03.startsWith(s02)           : "   + s03.startsWith(s02)   );
      pln("Q s03.endsWith(\"Gut!\")          : " + s03.endsWith("Gut!")  );
      pln("R s03.endsWith(s03)             : "   + s03.endsWith(s03)     );
      pln("S s03.endsWith(s02+\"XY\")        : " + s03.endsWith(s02+"XY"));
      pln("T s03.contains(\"! Wie\")         : " + s03.contains("! Wie") );
      pln("U s03.contains(s02+\" W\")        : " + s03.contains(s02+" W"));
      pln("---------------------------------------------------------------");
      String s04 = "Catamantaloedis";

      pln("V s04                           : " + s04);
      pln("...............................................................");
      pln("W s04.    indexOf('a')          : " + s04.    indexOf('a')    );
      pln("X s04.lastIndexOf('a')          : " + s04.lastIndexOf('a')    );
      pln("Y s04.    indexOf('a',  2)      : " + s04.    indexOf('a',  2));
      pln("Z s04.lastIndexOf('a',  4)      : " + s04.lastIndexOf('a',  4));
      pln("a s04.    indexOf('x')          : " + s04.    indexOf('x')    );
      pln("b s04.lastIndexOf('x')          : " + s04.lastIndexOf('x')    );

      pln("c s04.    indexOf(\"ta\")         : " + s04.    indexOf("ta")   );
      pln("d s04.lastIndexOf(\"ta\")         : " + s04.lastIndexOf("ta")   );
      pln("e s04.    indexOf(\"ta\", 3)      : " + s04.    indexOf("ta", 3));
      pln("f s04.lastIndexOf(\"ta\", 6)      : " + s04.lastIndexOf("ta", 6));
      pln("g s04.    indexOf(\"xy\")         : " + s04.    indexOf("xy")   );
      pln("h s04.lastIndexOf(\"xy\")         : " + s04.lastIndexOf("xy")   );
      pln("---------------------------------------------------------------");
      pln("i s04                           : " + s04);
      pln("...............................................................");
      pln("j s04.replace('a', 'i')         : " + s04.replace('a', 'i'));
      pln("k s04.replace('a', 'o')         : " + s04.replace('a', 'o'));
      pln("l s04.toUpperCase()             : " + s04.toUpperCase()    );
      pln("m s04.toLowerCase()             : " + s04.toLowerCase()    );
      pln("---------------------------------------------------------------");

      pln("String01: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   static void pln()          {System.out.println();  }
   // ---------------------------------------------------------------------
} // class String01
/* ------------------------------------------------------------------------
Ausgabe des Programms String01:

String01: Jetzt geht es los!
---------------------------------------------------------------
A s01                           : Hallo!
...............................................................
B s01.charAt(0)                 : H
C s01.charAt(5)                 : !
D s01.charAt(s01.length()-1)    : !
E -H- -a- -l- -l- -o- -!-
---------------------------------------------------------------
F s02                           : Hallo Sonja!
...............................................................
G s02.substring(6)              : Sonja!
H s02.substring(6, 9)           : Son
I s02.substring(0,  7)          : Hallo S
J s02.substring(7,  7)          :
K s02.substring(0, s02.length()): Hallo Sonja!
L  Hallo S
L  Hallo Son
L  Hallo Sonja
---------------------------------------------------------------
M s03                           : Hallo Sonja! Wie geht's? Gut!
...............................................................
N s03.startsWith("Hall")        : true
O s03.startsWith("hall")        : false
P s03.startsWith(s02)           : true
Q s03.endsWith("Gut!")          : true
R s03.endsWith(s03)             : true
S s03.endsWith(s02+"XY")        : false
T s03.contains("! Wie")         : true
U s03.contains(s02+" W")        : true
---------------------------------------------------------------
V s04                           : Catamantaloedis
...............................................................
W s04.    indexOf('a')          : 1
X s04.lastIndexOf('a')          : 8
Y s04.    indexOf('a',  2)      : 3
Z s04.lastIndexOf('a',  4)      : 3
a s04.    indexOf('x')          : -1
b s04.lastIndexOf('x')          : -1
c s04.    indexOf("ta")         : 2
d s04.lastIndexOf("ta")         : 7
e s04.    indexOf("ta", 3)      : 7
f s04.lastIndexOf("ta", 6)      : 2
g s04.    indexOf("xy")         : -1
h s04.lastIndexOf("xy")         : -1
---------------------------------------------------------------
i s04                           : Catamantaloedis
...............................................................
j s04.replace('a', 'i')         : Citimintiloedis
k s04.replace('a', 'o')         : Cotomontoloedis
l s04.toUpperCase()             : CATAMANTALOEDIS
m s04.toLowerCase()             : catamantaloedis
---------------------------------------------------------------
String01: Das war's erstmal!
------------------------------------------------------------------------ */
