// Datei StringBuilder01.java
/* ------------------------------------------------------------------------
Jedes StringBuilder-Objekt hat in jedem Moment eine Laenge und eine
Kapazitaet. Dieses Programm soll den Unterschied zwischen diesen beiden
Groessen deutlich machen.

Mehrere StringBuilder-Objekte werden vereinbart, eines wird mehrmals
mit append veraendert. Die Objekte werden, zusammen mit ihrer jeweiligen
Laenge und Kapazitaet, mehrmals ausgegeben.
------------------------------------------------------------------------ */
class StringBuilder01 {
   // ---------------------------------------------------------------------
   static public void main(String[] sigfried) {

      StringBuilder sb01 = new StringBuilder("Hallo!");
      StringBuilder sb02 = new StringBuilder("0123456789");
      StringBuilder sb03 = new StringBuilder();
      StringBuilder sb04 = new StringBuilder(20);

      pln("-------------------------------------------------------------");
      pln("A sb01            : -->" + sb01 + "<--");
      pln("B sb01.length  () : " + sb01.length  ());
      pln("C sb01.capacity() : " + sb01.capacity());
      pln("-------------------------------------------------------------");
      pln("D sb02            : -->" + sb02 + "<--");
      pln("E sb02.length  () : " + sb02.length  ());
      pln("F sb02.capacity() : " + sb02.capacity());
      pln("-------------------------------------------------------------");
      sb01.append(sb02);
      pln("G sb01            : -->" + sb01 + "<--");
      pln("H sb01.length  () : " + sb01.length  ());
      pln("I sb01.capacity() : " + sb01.capacity());
      sb01.append("9876543210");
      pln("J sb01            : -->" + sb01 + "<--");
      pln("K sb01.length  () : " + sb01.length  ());
      pln("L sb01.capacity() : " + sb01.capacity());
      pln("--------------------------------------------------------------");
      pln("M sb03            : -->" + sb03 + "<--");
      pln("N sb03.length  () : " + sb03.length  ());
      pln("O sb03.capacity() : " + sb03.capacity());
      pln("-------------------------------------------------------------");
      pln("P sb04            : -->" + sb04 + "<--");
      pln("Q sb04.length  () : " + sb04.length  ());
      pln("R sb04.capacity() : " + sb04.capacity());
      pln("-------------------------------------------------------------");
      pln("StringBuilder01: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class StringBuilder01
/* ------------------------------------------------------------------------
Ausgabe des Programms StringBuilder01:

-------------------------------------------------------------
A sb01            : -->Hallo!<--
B sb01.length  () : 6
C sb01.capacity() : 22
-------------------------------------------------------------
D sb02            : -->0123456789<--
E sb02.length  () : 10
F sb02.capacity() : 26
-------------------------------------------------------------
G sb01            : -->Hallo!0123456789<--
H sb01.length  () : 16
I sb01.capacity() : 22
J sb01            : -->Hallo!01234567899876543210<--
K sb01.length  () : 26
L sb01.capacity() : 46
--------------------------------------------------------------
M sb03            : --><--
N sb03.length  () : 0
O sb03.capacity() : 16
-------------------------------------------------------------
P sb04            : --><--
Q sb04.length  () : 0
R sb04.capacity() : 20
-------------------------------------------------------------
StringBuilder01: Das war's erstmal!
------------------------------------------------------------------------ */