// Datei Switch04.java
/* ------------------------------------------------------------------------
Eine switch-Anweisung in der die einzelnen Faelle nicht durch
break-Anweisungen abgeschlossen wurden.
------------------------------------------------------------------------ */
class Switch04 {
   // ---------------------------------------------------------------------
   static void pZifferAlsWort(int ziffer) {
      // Wenn ziffer zwischen 1 und 9 liegt soll das entsprechende
      // Zahlwort ausgegeben werden.
      // (aber weil die einzelnen Faelle nicht durch break-Anweisungen
      // abgeschlossen wurden, wird meistens mehr ausgegeben).

      switch (ziffer) {
         case 9: p("neun ");
         case 8: p("acht ");
         case 7: p("sieben ");
         case 6: p("sechs ");
         case 5: p("fuenf ");
         case 4: p("vier ");
         case 3: p("drei ");
         case 2: p("zwei ");
         case 1: p("ein ");
      } // switch

   } // pSwitch
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      // Die Methode pZifferAlsWort wird mit verschiedenen
      // Parametern aufgerufen.
      pln("--------------------------------------------------------");
      p("A  "); pZifferAlsWort(3); pln("Euro!");
      p("B  "); pZifferAlsWort(5); pln("Euro!");
      p("C  "); pZifferAlsWort(1); pln("Euro!");
      p("D  "); pZifferAlsWort(9); pln("Euro!");
      p("E  "); pZifferAlsWort(0); pln("Euro!");
      pln("--------------------------------------------------------");
      pln("Switch04: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   // ---------------------------------------------------------------------
} // class Switch04
/* ------------------------------------------------------------------------
Ausgabe des Programms Switch04:

--------------------------------------------------------
A  drei zwei ein Euro!
B  fuenf vier drei zwei ein Euro!
C  ein Euro!
D  neun acht sieben sechs fuenf vier drei zwei ein Euro!
E  Euro!
--------------------------------------------------------
Switch04: Das war's erstmal!
------------------------------------------------------------------------ */