// Datei TypUmwandlungen03.java
/* ------------------------------------------------------------------------
Ein aktueller Parameter eines Methodenaufrufs wird unter bestimmten
Umstaenden automatisch in den Typ des entsprechenden formalen Parameters
umgewandelt, aber nur, wenn eindeutig klar ist, welche Methode gemeint ist.
------------------------------------------------------------------------ */
class TypUmwandlungen03 {
   // ---------------------------------------------------------------------
   static void print(int n1, long n2) {
      pln("n1: " + n1 + ",  n2: " + n2 );
   }

   static void print(long n2, int n1) {
      pln("n2: " + n2 + ",  n1: " + n1 );
   }

   static public void main(String [] sonja) {
      short s01 = 17;
      short s02 = 25;

//    print(s01, s02);  // print(short, short) ist nicht eindeutig
      print(123, 456L); // print(int,   long)  ist       eindeutig

   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // TypUmwandlungen03
/* ------------------------------------------------------------------------
Fehlermeldung des Compilers, wenn die betreffende Zeile kein Kommentar ist:

D:\meineDateien\BspJaSp\TypUmwandlungen03.java:21: reference to print is
ambiguous, both method print(int,long) in TypUmwandlungen03
and             method print(long,int) in TypUmwandlungen03 match
      print(s01, s02);
---------------------------------------------------------------------------
Ausgabe des Programms TypUmwandlungen03:

n1: 123,  n2: 456
------------------------------------------------------------------------ */
