// Datei Typen01.java
/* ------------------------------------------------------------------------
Beispiele fuer Typfehler. Wenn die als "falsch" gekennzeichneten Zeilen
nicht alle auskommentiert sind, muss jeder Java-Ausfuehrer diese Datei
ablehnen. Die Fehlermeldungen, mit denen das geschieht, sind nicht fest-
gelegt und von Ausfuehrer zu Ausfuehrer verschieden. Unten sind die
Fehlermeldungen von zwei Ausfuehrern als Kommentar wiedergegeben.
------------------------------------------------------------------------ */
class Typen01 {
   static public void main(String[] sonja) {
//    int     n1 = true;        // falsch
      int     n2 = 17;          // richtig

//    boolean b1 = 17;          // falsch
      boolean b2 = false;       // richtig

//    String  s1 = true;        // falsch
      String  s2 = "Hallo!";    // richtig

//    int     n3 = n2 + b2;     // falsch
      int     n4 = n2 + 17;     // richtig

//    boolean b3 = b2 && s2;    // falsch
      boolean b4 = b2 && true;  // richtig

//    String  s3 = s2 * n2;     // falsch
      String  s4 = s2 + n2;     // richtig

      System.out.println("Typen01: Das war's erstmal!");
   } // main
} // class Typen01
/* ------------------------------------------------------------------------
Fehlermeldungen des Compilers jikes von IBM, wenn die betreffenden
Zeilen nicht auskommentiert sind:

    11.       int     n1 = true;        // falsch
                      <------->
*** Error: The type of the left-hand side in this assignment, "int", is
not compatible with the type of the right-hand side expression, "boolean".


    14.       boolean b1 = 17;          // falsch
                      <----->
*** Error: The type of the left-hand side in this assignment, "boolean", is
not compatible with the type of the right-hand side expression, "int".


    17.       String  s1 = true;        // falsch
                      <------->
*** Error: The type of the left-hand side in this assignment,
"java/lang/String", is not compatible with the type of the right-hand side
expression, "boolean".


    20.       int     n3 = n2 + b2;     // falsch
                                <>
*** Error: The type of this expression, "boolean", is not numeric.


    23.       boolean b3 = b2 && s2;    // falsch
                                 <>
*** Error: The type of this expression, "String", is not boolean.


    26.       String  s3 = s2 * n2;     // falsch
                           <>
*** Error: The type of this expression, "String", is not numeric.
---------------------------------------------------------------------------
Fehlermeldungen des Compilers javac von Sun, wenn die betreffenden
Zeilen nicht auskommentiert sind:

D:\JavaQuellen\Typen01.java:11: incompatible types
found   : boolean
required: int
      int     n1 = true;        // falsch
                   ^
D:\JavaQuellen\Typen01.java:14: incompatible types
found   : int
required: boolean
      boolean b1 = 17;          // falsch
                   ^
D:\JavaQuellen\Typen01.java:17: incompatible types
found   : boolean
required: java.lang.String
      String  s1 = true;        // falsch
                   ^
D:\JavaQuellen\Typen01.java:20: operator + cannot be
applied to int,boolean
      int     n3 = n2 + b2;     // falsch
                      ^
D:\JavaQuellen\Typen01.java:23: operator && cannot be
applied to boolean,java.lang.String
      boolean b3 = b2 && s2;    // falsch
                      ^
D:\JavaQuellen\Typen01.java:26: operator * cannot be
applied to java.lang.String,int
      String  s3 = s2 * n2;     // falsch
------------------------------------------------------------------------ */