// Datei Typen08.java
/* ------------------------------------------------------------------------
Ueber eine Tastatur kann der Benutzer eigentlich nur Zeichen und Zeichen-
ketten (Strings) eingeben. Wenn ein Programm Zahlen einlesen soll, muss
es eine Zeichenkette einlesen und in eine Zahl umwandeln. Werden auf diese
Weise dezimale Bruchzahlen eingelesen und in binaere Brueche der Typen
float bzw. double umgewandelt, dann treten beim Unwandeln in aller Regel
kleine Fehler auf. Dieses Programm macht solche Fehler sichtbar.
Dazu werden die eingelesenen float- und double-Werte in Objekte der
Klasse BigDecimal umgewandelt und die werden ausgegeben.
------------------------------------------------------------------------ */
import java.math.BigDecimal;
class Typen08 {
   // ---------------------------------------------------------------------
   static public void main(String [] sonja) {
      pln(
         "---------------------------------------------------------\n" +
         "Dieses Programm liest wiederholt ein Gleitpunktliteral   \n" +
         "ein (z.B. 0.1 oder -12.0624 oder 0.5E-2 oder ...),       \n" +
         "wandelt es  in einen double- und in einen float-Werte um \n" +
         "und gibt diese Werte (exakt und ohne irgendwelche        \n" +
         "Rundungen) wieder aus.                                   \n" +
         "---------------------------------------------------------\n"
      );

      while (true) {
         p("Ein Gleitpunktliteral (q zum Beenden)? ");
         String ein = EM.liesString();
      if (ein.startsWith("q")) break;

         double     double01 = Double.parseDouble(ein);
         float       float01 =  Float.parseFloat (ein);

         BigDecimal bdDouble = new BigDecimal(double01);
         BigDecimal bdFloat  = new BigDecimal( float01);

         pln("Als double: " + bdDouble);
         pln("Als float : " + bdFloat);
      } // while

      pln("Typen08: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   // ---------------------------------------------------------------------
} // class Typen08
/* ------------------------------------------------------------------------
Ein Dialog mit dem Programm Typen08 (die lange Ausgabe, die der Eingabe
von 0.5E-45 folgt, wurde nachtraeglich von Hand auf 4 Zeilen verteilt):

-----------------------------------------------------
Dieses Programm liest Bruchzahlen ein, wandelt sie in
double- und float-Werte um und gibt die Werte (exakt
und ohne irgendwelche Rundungen) wieder aus.
-----------------------------------------------------

Eine Bruchzahl (999 zum Beenden)? 123.0625
Als double: 123.0625
Als float : 123.0625
Eine Bruchzahl (999 zum Beenden)? 0.1
Als double: 0.1000000000000000055511151231257827021181583404541015625
Als float : 0.100000001490116119384765625
Eine Bruchzahl (999 zum Beenden)? 0.3
Als double: 0.299999999999999988897769753748434595763683319091796875
Als float : 0.300000011920928955078125
Eine Bruchzahl (999 zum Beenden)? 0.5E-45
Als double: 0.0000000000000000000000000000000000000000000004999999999
            999999920525989836405405794277806523786539925501366621639
            850791528718746108824902277825185732263737338574183938222
            3616894407314248383045196533203125
Als float : 0
Eine Bruchzahl (999 zum Beenden)? 999
Typen08: Das war's erstmal!
------------------------------------------------------------------------ */