// Datei Veraenderbar.java

interface Veraenderbar extends Vergroesserbar, Verkleinerbar {

   public abstract void aendere(int prozent);
      /* ------------------------------------------------------------------
      Falls prozent gleich 100 ist, bleibt die Groesse dieses
      Objekts unveraendert. Falls prozent positiv und groesser
      bzw. kleiner als 100 ist, wird die Groesse dieses Objekt
      auf diesen Prozentsatz vergroessert bzw. verkleinert.

      Falls prozent negativ ist, sollen Implementierungen dieser
      abstrakten Methode auf eine von 2 Weisen reagieren:

      Reaktion 1: Es soll eine Fehlermeldung ausgegeben und das
      Vorzeichen von prozent umgedreht werden (z.B. wird -10 %
      dadurch zu +10 %).

      Reaktion 2: Die Groesse dieses Objekts soll mit dem
      negativen Prozentsatz veraendert werden. Dadurch wird ihr
      Vorzeichen umgedreht (z.B. sind -120 % einer Groesse von 50
      gleich -60).
      ------------------------------------------------------------------ */
} // interface Veraenderbar