// Datei WalFisch.java
/* ------------------------------------------------------------------------
Jedes Objekt dieser Klasse beschreibt einen Walfisch. Walfische sind
vergroesserbar, aber nur bis auf maximal 100 t.
------------------------------------------------------------------------ */
class WalFisch implements Vergroesserbar {
   private int gewicht;

   public WalFisch(int gewicht) {
      this.gewicht = gewicht;
      pruefeObZuGross();
   } // Konstruktor WalFisch

   // Die 2 Methoden der Schnittstelle Vergroesserbar (verdopple,
   // und verdreifache) werden hier implementiert:
   public void verdopple()    {gewicht *= 2.0; pruefeObZuGross();}
   public void verdreifache() {gewicht *= 3.0; pruefeObZuGross();}

   // Zwei zusaetzliche ("freiwillig programmierte") Methode:
   public String toString() {
      return "WalFisch, Gewicht " + gewicht + " t";
   } // toString

   private void pruefeObZuGross() {
      if (gewicht > 100) gewicht = 100;
   } // pruefeObZuGross
} // class WalFisch