// Datei Zaehler02.java
/* ------------------------------------------------------------------------
Jedes Zaehler02-Objekt enthaelt einen wert (vom Typ int). Mit der Methode
add kann man diesen Wert beliebig erheoehen, aber hoechstens um 10.

Der Quellcode-Interpreter BeanShell (Version 2, beta 2) produziert
beim Interpretieren von Zaehler01.java einen Fehler, kann aber diese
sehr aehnliche Klasse (in der alle long durch int ersetzt wurden)
richtig bearbeiten.
------------------------------------------------------------------------ */
class Zaehler02 {
   // -----------------------------------------------------------
   // Der Modulaspekt der Klasse Zaehler02:
   static private int anzahl = 0;

   static public int getAnzahl() {return anzahl;}

   public Zaehler02(int anfangsWert) {
      add(anfangsWert);
      anzahl++;
   } // Konstruktor Zaehler02
   // -----------------------------------------------------------
   // Der Bauplanaspekt der Klasse Zaehler02:
   private int punkte = 0;

   public void add(int n) {
      if (0 < n && n < 10) punkte += n;
   } // add

   public int getPunkte() {return punkte;}
   // -----------------------------------------------------------
} // class Zaehler02