// Datei Zufall01.java
/* ------------------------------------------------------------------------
Mit der (Klassen-) Methoden Math.random werden 10 Zufallszahlen erzeugt
und zur Standardausgabe ausgegeben.

Die Methode Math.random liefert nicht-reproduzierbare Zufallszahlen vom
Typ double aus dem Intervall von 0.0 (einschliesslich) bis 1.0 (aus-
schliesslich). Wenn man eine vielseitigere Quelle von Zufallswerten
braucht, sollte man ein Objekt der Klasse java.util.Random verwenden.
------------------------------------------------------------------------ */
class Zufall01 {
   // ---------------------------------------------------------------------
   static public void main(String [] sonja) {
      printf("Zufall01: ");
      for (int i=1; i<=10; i++) {
         double z = Math.random();
         printf("%5.3g ", z);
      }
      printf("\n");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   // ---------------------------------------------------------------------
} // class Zufall01
/* ------------------------------------------------------------------------
Drei verschiedene Ausgaben des Programms Zufall01:

Zufall01: 0,749 0,293 0,344 0,408 0,811 0,731 0,823 0,559 0,412 0,560

Zufall01: 0,949 0,803 0,277 0,326 0,663 0,607 0,685 0,329 0,928 0,546

Zufall01: 0,332 0,407 0,359 0,257 0,271 0,671 0,164 0,330 0,322 0,372
------------------------------------------------------------------------ */
