// Datei Applet01.java
/* ------------------------------------------------------------------------
Ein Applet mit zwei Parametern, einem Textbereich (JTextArea) und
zwei Knoepfen (JButton). Gibt numerierte Meldungen in den Text-
bereich aus, wenn seine Methoden init, start oder stop aufgerufen
werden oder der Benutzer die Knoepfe anklickt.
------------------------------------------------------------------------ */
import javax.swing.JApplet;
import javax.swing.JButton;
import javax.swing.JTextArea;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.Font;
import java.awt.Graphics;

public class Applet01 extends JApplet {
   JTextArea jta;
   JButton   jb1;
   JButton   jb2;
   int       nr = 0;
   // ---------------------------------------------------------------------
   public void init() {
      jta = new JTextArea();
      jb1 = new JButton("Von Vorn");
      jb2 = new JButton("Nochmal");
      // ------------------------------------------------------------------
      String param1 = getParameter("Anna");
      String param2 = getParameter("Bert");
      jta.append("param1: " + param1 + "\n");
      jta.append("param2: " + param2 + "\n");
      // ------------------------------------------------------------------
      jb1.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent ae) {
            jta.setText("");
            nr = 0;
            jta.append(++nr + " Von Vorn wurde gedrueckt!\n");
         } // actionPerformed
      });
      // ------------------------------------------------------------------
      jb2.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent ae) {
            jta.append(++nr + " Noch Mal wurde gedrueckt!\n");
            repaint();
            showStatus("nr hat den Wert " + nr);
         } // actionPerformed
      });
      // ------------------------------------------------------------------
      jta.setFont(new Font("Monospaced", Font.BOLD, 18));

      jta.append(++nr + " init  wurde ausgefuehrt!\n");

      this.add(jta, "West");
      this.add(jb1, "North");
      this.add(jb2, "South");
   } // init
   // ---------------------------------------------------------------------
   public void start() {
      jta.append(++nr + " start wurde ausgefuehrt!\n");
   } // start

   public void stop() {
      jta.append(++nr + " stop  wurde ausgefuehrt!\n");
   } // stop

   public void destroy() {
      jta.append(++nr + " destroy  wurde ausgefuehrt!\n");
   } // destroy
   // ---------------------------------------------------------------------
   public void paint(Graphics g) {
      super.paint(g);
      g.drawRect(350, 30, 40, 30);
      g.drawString(++nr + "", 360, 50);
   } // paint
   // ---------------------------------------------------------------------
} // class Applet01
