// Datei RodentPlainListener.java
/* ------------------------------------------------------------------------
Jedes Objekt dieser Klasse enthaelt ein Behandlerobjekt des Typs
MouseListener und zwei Methoden namens addThisListener und
removeThisListener, mit denen man dieses Behandlerobjekt bei einem
Component-Objekt an- bzw. abmelden kann.
------------------------------------------------------------------------ */
package myja.awt.event;

import java.awt      .Component;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.event.MouseWheelListener;
import myja.awt.event.RodentListener;
// ========================================================================
public class RodentPlainListener extends RodentListener {
   public MouseListener ml;

   public void addThisListener(Component comp) {
      comp.addMouseListener(this.ml);
   } // addThisListener

   public void removeThisListener(Component comp) {
      comp.removeMouseListener(this.ml);
   } // removeThisListener

   public RodentPlainListener(MouseListener ml) {
      this.ml = ml;
   } // Konstruktor RodentPlainListener
} // class RodentPlainListener
// ========================================================================