// Datei K10.java
/* ------------------------------------------------------------------------
In dieser Klasse p00.p01.K10 werden 16 Elemente vereinbart:
4 Klassenattribute,    4 Klassenmethoden,
4  Objektattribute,    4  Objektmethoden,
4 public-Elemente,     4 protected-Elemente,
4 paketweite-Elemente, 4 private-Elemente

In den 4 Klassen
   p00.p01.K11,
   p00.p01.K12,
   p00.p20.K21,
   p00.p20.K22
wird dann versucht, auf die 16 Elemente dieser Klasse K10 zuzugreifen
(siehe dazu auch das Programm K10Tst).

Abkuerzungen: KA: Klassenattribut, KM: Klassenmethode
              OA: Objektattribut,  OM: Objektmethode
------------------------------------------------------------------------ */
package p00.p10;
// ------------------------------------------------------------------------
public class K10 {
   // Die Attribute enthalten ihren Namen (als String)
   // Die Methoden  liefern   ihren Namen (als String)

   // 8 Klassenelemente (4 Klassenattribute, 4 Klassenmethoden):
   static public    String    publicKA =            "publicKA";
   static protected String protectedKA =         "protectedKA";
   static           String paketweitKA =         "paketweitKA";
   static private   String   privateKA =           "privateKA";

   static public    String    publicKM() {return    "publicKM";}
   static protected String protectedKM() {return "protectedKM";}
   static           String paketweitKM() {return "paketweitKM";}
   static private   String   privateKM() {return   "privateKM";}


   // 8 Objektelemente  (4 Objektattribute,  4 Objektmethoden):
          public    String    publicOA =            "publicOA";
          protected String protectedOA =         "protectedOA";
                    String paketweitOA =         "paketweitOA";
          private   String   privateOA =           "privateOA";

          public    String    publicOM() {return    "publicOM";}
          protected String protectedOM() {return "protectedOM";}
                    String paketweitOM() {return "paketweitOM";}
          private   String   privateOM() {return   "privateOM";}
} // class K10
// ------------------------------------------------------------------------