// Datei K11.java
/* ------------------------------------------------------------------------
Diese Klasse K11 gehoehrt zum selben Paket wie K10, beerbt K10 und
versucht, auf alle 16 in K10 vereinbarten Elemente zuzugreifen.

Abkuerzungen: KA: Klassenattribut, KM: Klassenmethode
              OA: Objektattribut,  OM: Objektmethode
------------------------------------------------------------------------ */
package p00.p10;

public class K11 extends K10 {

   // Eine Reihung, die mit Klassenelementen der Klasse K10
   // initialisiert wird:
   public String[] ke11 = {
         publicKA,
         publicKM(),
      protectedKA,
      protectedKM(),
      paketweitKA,
      paketweitKM(),
//      privateKA,
//      privateKM(),
   };

   // Eine Reihung, die mit Objektelementen der Klasse K10
   // initialisiert wird:
   public String[] oe11 = {
         publicOA,
         publicOM(),
      protectedOA,
      protectedOM(),
      paketweitOA,
      paketweitOM(),
//      privateOA,
//      privateOM(),
   };

} // class K11
/* ------------------------------------------------------------------------
4 Fehlermeldungen des Compilers jikes von IBM, wenn die entsprechenden
Zeillen keine Kommentare sind:

    22.       privateKA,
              <------->
*** Error: No entity named "privateKA" was found in this environment.


    23.       privateKM(),
              <--------->
*** Error: Method "privateKM" in class "p00/p10/K10" has private access.
Therefore, it is not accessible in class "p00/p10/K11".


    35.       privateOA,
              <------->
*** Error: No entity named "privateOA" was found in this environment.


    36.       privateOM(),
              <--------->
*** Error: Method "privateOM" in class "p00/p10/K10" has private access.
Therefore, it is not accessible in class "p00/p10/K11".
------------------------------------------------------------------------ */