// Datei Karl.java
/* ------------------------------------------------------------------------
In der Klasse p00.p10.Karl wird auf die nur paketweit erreichbare Klasse
p00.p10.Paul (und auf die Klasse Karl selbst) zugegriffen.
---------------------------------------------------------------------------
Dieses Programm kann man in einer Dos-Eingabeaufforderung wie folgt
compilieren und ausfuehren lassen:

Schritt 1: Vorbereitungen:
1.1. Ein Verzeichnis, z.B. c:\Klassen erstellen.
1.2. Das Verzeichnis, in dem die Quelldatei Karl.java steht, zum
     Arbeitsverezeichnis machen (mit cd).

Schritt 2. Compilieren mit dem Compiler javac von Sun:
javac -d c:\Klassen Karl.java

Schritt 3: Ausfuehren mit dem Interpreter java von Sun:
java -classpath c:\Klassen p00.p10.Karl

Durch den Schritt 2 sollten eine Datei und (falls noch nicht vorhanden)
zwei Verzeichnisse erzeugt werden, naemlich:
   das Verzeichnis c:\Klassen\p00
   das Verzeichnis c:\Klassen\p00\p10
   die Datei       c:\Klassen\p00\p10\Karl.class
Durch den Schritt 3 sollte das Prgramm Karl (d.h. die Datei
c:\Klassen\p00\p10\Karl.class) ausgefuehrt werden.
------------------------------------------------------------------------ */
package p00.p10;
// ------------------------------------------------------------------------
public class Karl {

   static public void karlSagWas() {
      System.out.println("Karl: Was soll ich sagen?");
   } // karlSagWas

   static public void main(String[] sonja) {
      p00.p10.Paul.paulSagWas();
              Paul.paulSagWas();

      p00.p10.Karl.karlSagWas();
              Karl.karlSagWas();
                   karlSagWas();
   } // main

} // class Karl
// ------------------------------------------------------------------------
class Paul {
   static public void paulSagWas() {
      System.out.println("Paul: Was soll ich sagen?");
   } // paulSagWas
} // class Paul
/* ------------------------------------------------------------------------
Ausgabe des Programms Karl:

Paul: Was soll ich sagen?
Paul: Was soll ich sagen?
Karl: Was soll ich sagen?
Karl: Was soll ich sagen?
Karl: Was soll ich sagen?
------------------------------------------------------------------------ */