// Datei K21.java
/* ------------------------------------------------------------------------
Diese Klasse K21 gehoehrt nicht zum selben Paket wie K10, beerbt K10
und versucht, auf alle 16 in K10 vereinbarten Elemente zuzugreifen.

Abkuerzungen: KA: Klassenattribut, KM: Klassenmethode
              OA: Objektattribut,  OM: Objektmethode
------------------------------------------------------------------------ */
package p00.p20;

public class K21 extends p00.p10.K10 {

   // Eine Reihung, die mit Klassenelementen der Klasse K10
   // initialisiert wird:
   public String[] ke21 = {
         publicKA,
         publicKM(),
      protectedKA,
      protectedKM(),
//    paketweitKA,
//    paketweitKM(),
//      privateKA,
//      privateKM(),
   };

   // Eine Reihung, die mit Objektelementen der Klasse K10
   // initialisiert wird:
   public String[] oe21 = {
         publicOA,
         publicOM(),
      protectedOA,
      protectedOM(),
//    paketweitOA,
//    paketweitOM(),
//      privateOA,
//      privateOM(),
   };

} // class K21
/* ------------------------------------------------------------------------
8 Fehlermeldungen des Compilers jikes von IBM, wenn die entsprechenden
Zeillen keine Kommentare sind:

    20.     paketweitKA,
            <--------->
*** Error: No entity named "paketweitKA" was found in this environment.


    21.     paketweitKM(),
            <----------->
*** Error: Method "paketweitKM" in class "p00/p10/K10" has protected or
default access. Therefore, it is not accessible in class "p00/p20/K21"
which is in a different package.


    22.       privateKA,
              <------->
*** Error: No entity named "privateKA" was found in this environment.


    23.       privateKM(),
              <--------->
*** Error: Method "privateKM" in class "p00/p10/K10" has private access.
Therefore, it is not accessible in class "p00/p20/K21".


    33.     paketweitOA,
            <--------->
*** Error: No entity named "paketweitOA" was found in this environment.


    34.     paketweitOM(),
            <----------->
*** Error: Method "paketweitOM" in class "p00/p10/K10" has protected or
default access. Therefore, it is not accessible in class "p00/p20/K21"
which is in a different package.


    35.       privateOA,
              <------->
*** Error: No entity named "privateOA" was found in this environment.


    36.       privateOM(),
              <--------->
*** Error: Method "privateOM" in class "p00/p10/K10" has private access.
Therefore, it is not accessible in class "p00/p20/K21".
------------------------------------------------------------------------ */