// Datei K22.java
/* ------------------------------------------------------------------------
Diese Klasse K22 gehoehrt nicht zum selben Paket wie K10, beerbt K10 nicht
und versucht, auf alle 16 in K10 vereinbarten Elemente zuzugreifen.

Abkuerzungen: KA: Klassenattribut, KM: Klassenmethode
              OA: Objektattribut,  OM: Objektmethode
------------------------------------------------------------------------ */
package p00.p20;

public class K22 {
   p00.p10.K10 ob10 = new p00.p10.K10();

   // Eine Reihung, die mit Klassenelementen der Klasse K10
   // initialisiert wird:
   public String[] ke22 = {
      p00.p10.K10.  publicKA,
      p00.p10.K10.  publicKM(),
//    p00.p10.K10.protectedKA,
//    p00.p10.K10.protectedKM(),
//    p00.p10.K10.paketweitKA,
//    p00.p10.K10.paketweitKM(),
//    p00.p10.K10.  privateKA,
//    p00.p10.K10.  privateKM(),
   };

   // Eine Reihung, die mit Objektelementen der Klasse K10
   // initialisiert wird:
   public String[] oe22 = {
      ob10.   publicOA,
      ob10.   publicOM(),
//    ob10.protectedOA,
//    ob10.protectedOM(),
//    ob10.paketweitOA,
//    ob10.paketweitOM(),
//    ob10.  privateOA,
//    ob10.  privateOM(),
   };

} // class K22
/* ------------------------------------------------------------------------
12 Fehlermeldungen des Compilers jikes von IBM, wenn die entsprechenden
Zeillen keine Kommentare sind:

    19.     p00.p10.K10.protectedKA,
                        <--------->
*** Error: The field "protectedKA" in type "p00/p10/K10" is protected and
not accessible here.


    20.     p00.p10.K10.protectedKM(),
            <----------------------->
*** Error: Method "java.lang.String protectedKM();" in class "p00/p10/K10"
has protected or default access. Therefore, it is not accessible in class
"p00/p20/K22" which is in a different package.


    21.     p00.p10.K10.paketweitKA,
                        <--------->
*** Error: The field "paketweitKA" in type "p00/p10/K10" has default access
and is not accessible here.


    22.     p00.p10.K10.paketweitKM(),
            <----------------------->
*** Error: Method "java.lang.String paketweitKM();" in class "p00/p10/K10"
has protected or default access. Therefore, it is not accessible in class
"p00/p20/K22" which is in a different package.


    23.     p00.p10.K10.  privateKA,
                          <------->
*** Error: The field "privateKA" in type "p00/p10/K10" is private and not
accessible here.


    24.     p00.p10.K10.  privateKM(),
            <----------------------->
*** Error: Method "java.lang.String privateKM();" in class "p00/p10/K10"
has private access. Therefore, it is not accessible in class "p00/p20/K22".


    32.     ob10.protectedOA,
                 <--------->
*** Error: The field "protectedOA" in type "p00/p10/K10" is protected and
not accessible here.


    33.     ob10.protectedOM(),
            <---------------->
*** Error: Method "java.lang.String protectedOM();" in class "p00/p10/K10"
has protected or default access. Therefore, it is not accessible in class
"p00/p20/K22" which is in a different package.


    34.     ob10.paketweitOA,
                 <--------->
*** Error: The field "paketweitOA" in type "p00/p10/K10" has default access
and is not accessible here.


    35.     ob10.paketweitOM(),
            <---------------->
*** Error: Method "java.lang.String paketweitOM();" in class "p00/p10/K10"
has protected or default access. Therefore, it is not accessible in class
"p00/p20/K22" which is in a different package.


    36.     ob10.  privateOA,
                   <------->
*** Error: The field "privateOA" in type "p00/p10/K10" is private and not
accessible here.


    37.     ob10.  privateOM(),
            <---------------->
*** Error: Method "java.lang.String privateOM();" in class "p00/p10/K10"
has private access. Therefore, it is not accessible in class "p00/p20/K22".
------------------------------------------------------------------------ */