rem Datei Alle.bat
rem -----------------------------------------------------------------
rem .bat-Datei, mit der man (unter Windows) fast alle Beispiel-
rem programme zum Buch "Java ist eine Sprache" von U. Grude
rem (illustriert von B. Schaa) compilieren kann.
rem
rem Der Variablen QV sollte man den absoluten Pfadnamen des
rem "Quellverzeichnisses" (in dem alle Quelldateien, d.h.
rem .java-Dateien stehen) zuweisen.
rem
rem Der Variablen BV sollte man den absoluten Pfadnamen eines
rem anderen "Bytecodeverzeichnisses" zuweisen, in dem der
rem Compiler alle Bytecodedateien (d.h. .class-Dateien)
rem ablegen soll.
rem
rem Die mit rem (wie "remark") auskommentierten Dateien enthalten
rem Befehle, die Warnungen oder Fehlermeldungen des Compilers
rem ausloesen. Man sollte sie hoechstens einzeln compilieren.
rem -----------------------------------------------------------------

set QV=d:/meineDateien/BspJaSp
set BV=c:/meineDateien/Klassen

    javac -cp %QV%;%BV%;. -d %BV% AM.java
    javac -cp %QV%;%BV%;. -d %BV% AMTst.java
    javac -cp %QV%;%BV%;. -d %BV% Abbildungen01.java
    javac -cp %QV%;%BV%;. -d %BV% Abbildungen02.java
    javac -cp %QV%;%BV%;. -d %BV% Abbildungen03.java
    javac -cp %QV%;%BV%;. -d %BV% Anmerk01.java
    javac -cp %QV%;%BV%;. -d %BV% Anmerk02.java
    javac -cp %QV%;%BV%;. -d %BV% Anmerk03.java
    javac -cp %QV%;%BV%;. -d %BV% Anmerk04.java
    javac -cp %QV%;%BV%;. -d %BV% Anmerk05.java
    javac -cp %QV%;%BV%;. -d %BV% Anmerk06.java
    javac -cp %QV%;%BV%;. -d %BV% ArrayList01.java
    javac -cp %QV%;%BV%;. -d %BV% ArrayList02.java
    javac -cp %QV%;%BV%;. -d %BV% ArrayList03.java
    javac -cp %QV%;%BV%;. -d %BV% ArrayList04.java
    javac -cp %QV%;%BV%;. -d %BV% ArrayList05.java
    javac -cp %QV%;%BV%;. -d %BV% ArrayList06.java
    javac -cp %QV%;%BV%;. -d %BV% ArrayList07.java
    javac -cp %QV%;%BV%;. -d %BV% ArraysP.java
    javac -cp %QV%;%BV%;. -d %BV% ArraysPAnw01.java
    javac -cp %QV%;%BV%;. -d %BV% ArraysPAnw02.java
    javac -cp %QV%;%BV%;. -d %BV% ArraysPTst.java
    javac -cp %QV%;%BV%;. -d %BV% Aufzaehlungen01.java
    javac -cp %QV%;%BV%;. -d %BV% Aufzaehlungen02.java
    javac -cp %QV%;%BV%;. -d %BV% Aufzaehlungen03.java
    javac -cp %QV%;%BV%;. -d %BV% Aufzaehlungen04.java
    javac -cp %QV%;%BV%;. -d %BV% Aufzaehlungen05.java
rem javac -cp %QV%;%BV%;. -d %BV% Aufzaehlungen06.java
    javac -cp %QV%;%BV%;. -d %BV% Ausdruecke01.java
    javac -cp %QV%;%BV%;. -d %BV% Ausdruecke02.java
    javac -cp %QV%;%BV%;. -d %BV% Ausdruecke03.java
    javac -cp %QV%;%BV%;. -d %BV% Ausdruecke04.java
    javac -cp %QV%;%BV%;. -d %BV% Ausnahmen01.java
    javac -cp %QV%;%BV%;. -d %BV% Ausnahmen02.java
    javac -cp %QV%;%BV%;. -d %BV% Ausnahmen03.java
    javac -cp %QV%;%BV%;. -d %BV% Ausnahmen04.java
    javac -cp %QV%;%BV%;. -d %BV% Ausnahmen05.java
    javac -cp %QV%;%BV%;. -d %BV% Ausnahmen06.java
    javac -cp %QV%;%BV%;. -d %BV% Ausnahmen07.java
    javac -cp %QV%;%BV%;. -d %BV% Ausnahmen08.java
    javac -cp %QV%;%BV%;. -d %BV% Ausnahmen09.java
    javac -cp %QV%;%BV%;. -d %BV% Ausnahmen10.java
    javac -cp %QV%;%BV%;. -d %BV% Autolog01.java
    javac -cp %QV%;%BV%;. -d %BV% Autolog02.java
    javac -cp %QV%;%BV%;. -d %BV% Beenden.java
    javac -cp %QV%;%BV%;. -d %BV% BigDecimal01.java
    javac -cp %QV%;%BV%;. -d %BV% BigDecimal02.java
    javac -cp %QV%;%BV%;. -d %BV% BigDecimal03.java
    javac -cp %QV%;%BV%;. -d %BV% BigDecimal04.java
    javac -cp %QV%;%BV%;. -d %BV% BigDecimal05.java
    javac -cp %QV%;%BV%;. -d %BV% BigDecimal06.java
    javac -cp %QV%;%BV%;. -d %BV% BigInteger01.java
    javac -cp %QV%;%BV%;. -d %BV% BigInteger02.java
    javac -cp %QV%;%BV%;. -d %BV% BigInteger03.java
    javac -cp %QV%;%BV%;. -d %BV% Bloecke01.java
rem javac -cp %QV%;%BV%;. -d %BV% Bloecke02.java
    javac -cp %QV%;%BV%;. -d %BV% Bloecke03.java
    javac -cp %QV%;%BV%;. -d %BV% BreakContinue01.java
    javac -cp %QV%;%BV%;. -d %BV% BreakContinue02.java
    javac -cp %QV%;%BV%;. -d %BV% BruchZahl01.java
    javac -cp %QV%;%BV%;. -d %BV% BruchZahl01Tst.java
    javac -cp %QV%;%BV%;. -d %BV% E01Anwendung.java
    javac -cp %QV%;%BV%;. -d %BV% E01Anwendung01.java
    javac -cp %QV%;%BV%;. -d %BV% E01Anwendung02.java
    javac -cp %QV%;%BV%;. -d %BV% E01Anwendung03.java
    javac -cp %QV%;%BV%;. -d %BV% E01Ellipse.java
    javac -cp %QV%;%BV%;. -d %BV% E01Kreis.java
    javac -cp %QV%;%BV%;. -d %BV% E01KreisTst.java
    javac -cp %QV%;%BV%;. -d %BV% E01Punkt.java
    javac -cp %QV%;%BV%;. -d %BV% E01Quadrat.java
    javac -cp %QV%;%BV%;. -d %BV% E01Rechteck.java
    javac -cp %QV%;%BV%;. -d %BV% E02Anwendung.java
    javac -cp %QV%;%BV%;. -d %BV% E02Anwendung01.java
    javac -cp %QV%;%BV%;. -d %BV% E02Anwendung02.java
    javac -cp %QV%;%BV%;. -d %BV% E02Ellipse.java
    javac -cp %QV%;%BV%;. -d %BV% E02GeoFigur.java
    javac -cp %QV%;%BV%;. -d %BV% E02GeoFigurMitFarbe.java
    javac -cp %QV%;%BV%;. -d %BV% E02Kreis.java
    javac -cp %QV%;%BV%;. -d %BV% E02KreisTst.java
    javac -cp %QV%;%BV%;. -d %BV% E02Quadrat.java
    javac -cp %QV%;%BV%;. -d %BV% E02Rechteck.java
    javac -cp %QV%;%BV%;. -d %BV% E02RechteckMitFarbe.java
    javac -cp %QV%;%BV%;. -d %BV% E02RechteckMitFarbeTst.java
    javac -cp %QV%;%BV%;. -d %BV% EM.java
    javac -cp %QV%;%BV%;. -d %BV% EMTst.java
    javac -cp %QV%;%BV%;. -d %BV% Erreichbarkeit01.java
    javac -cp %QV%;%BV%;. -d %BV% Erreichbarkeit01Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Ersetzen01.java
    javac -cp %QV%;%BV%;. -d %BV% Ersetzen02.java
    javac -cp %QV%;%BV%;. -d %BV% Ersetzen03.java
    javac -cp %QV%;%BV%;. -d %BV% Ersetzen04.java
    javac -cp %QV%;%BV%;. -d %BV% Ersetzen05.java
    javac -cp %QV%;%BV%;. -d %BV% Ersetzen06.java
    javac -cp %QV%;%BV%;. -d %BV% Ersetzen07.java
    javac -cp %QV%;%BV%;. -d %BV% Ersetzen08.java
    javac -cp %QV%;%BV%;. -d %BV% Ersetzen09.java
    javac -cp %QV%;%BV%;. -d %BV% Ersetzen11.java
    javac -cp %QV%;%BV%;. -d %BV% Faden01Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Faden02Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Faden03Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Faden04Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Faden05Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Faden06Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Faden07Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Faden08Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Faden09Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Faden10Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Faden11Tst.java
    javac -cp %QV%;%BV%;. -d %BV% FarbeAK.java
    javac -cp %QV%;%BV%;. -d %BV% FarbeAS.java
    javac -cp %QV%;%BV%;. -d %BV% FarbeAS_Tst.java
    javac -cp %QV%;%BV%;. -d %BV% FloatBits03.java
    javac -cp %QV%;%BV%;. -d %BV% For01.java
    javac -cp %QV%;%BV%;. -d %BV% For02.java
    javac -cp %QV%;%BV%;. -d %BV% For03.java
    javac -cp %QV%;%BV%;. -d %BV% For04.java
    javac -cp %QV%;%BV%;. -d %BV% For05.java
    javac -cp %QV%;%BV%;. -d %BV% For06.java
    javac -cp %QV%;%BV%;. -d %BV% Format01.java
    javac -cp %QV%;%BV%;. -d %BV% Format02.java
    javac -cp %QV%;%BV%;. -d %BV% Format03.java
    javac -cp %QV%;%BV%;. -d %BV% Format04.java
    javac -cp %QV%;%BV%;. -d %BV% Format05.java
    javac -cp %QV%;%BV%;. -d %BV% Format06.java
    javac -cp %QV%;%BV%;. -d %BV% Format07.java
    javac -cp %QV%;%BV%;. -d %BV% Format08.java
    javac -cp %QV%;%BV%;. -d %BV% Format09.java
    javac -cp %QV%;%BV%;. -d %BV% Format10.java
    javac -cp %QV%;%BV%;. -d %BV% Format11.java
    javac -cp %QV%;%BV%;. -d %BV% GanzRech01.java
    javac -cp %QV%;%BV%;. -d %BV% GanzRech02.java
    javac -cp %QV%;%BV%;. -d %BV% GanzRech03.java
    javac -cp %QV%;%BV%;. -d %BV% GanzZahl01.java
    javac -cp %QV%;%BV%;. -d %BV% GanzZahl01Tst.java
    javac -cp %QV%;%BV%;. -d %BV% GanzZahl02.java
    javac -cp %QV%;%BV%;. -d %BV% GanzZahl02Tst.java
    javac -cp %QV%;%BV%;. -d %BV% GanzZahl03.java
    javac -cp %QV%;%BV%;. -d %BV% GanzZahl03Tst.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen00.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen01.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen02.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen03.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen04.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen05.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen06.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen07.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen08.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen09.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen10.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen11.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen12.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen13.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen14.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen15.java
    javac -cp %QV%;%BV%;. -d %BV% GenTypen16.java
    javac -cp %QV%;%BV%;. -d %BV% GleitRech01.java
    javac -cp %QV%;%BV%;. -d %BV% GleitRech02.java
    javac -cp %QV%;%BV%;. -d %BV% GleitRech03.java
    javac -cp %QV%;%BV%;. -d %BV% GleitRech04.java
    javac -cp %QV%;%BV%;. -d %BV% GleitRech05.java
    javac -cp %QV%;%BV%;. -d %BV% GleitRech06.java
    javac -cp %QV%;%BV%;. -d %BV% GleitRech07.java
    javac -cp %QV%;%BV%;. -d %BV% GleitRech08.java
    javac -cp %QV%;%BV%;. -d %BV% GleitRech09.java
    javac -cp %QV%;%BV%;. -d %BV% GleitRech10.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo00Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo01.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo01Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo02.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo02Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo03.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo03Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo04.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo04Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo05.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo05Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo06.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo06Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo07.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo07Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo20Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo22.java
    javac -cp %QV%;%BV%;. -d %BV% Grabo22Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo01.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo01A.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo01B.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo02.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo03.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo04.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo05.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo06.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo07.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo08.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo09.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo10.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo11.java
    javac -cp %QV%;%BV%;. -d %BV% Hallo12.java
    javac -cp %QV%;%BV%;. -d %BV% Huellen01.java
    javac -cp %QV%;%BV%;. -d %BV% Huellen02.java
    javac -cp %QV%;%BV%;. -d %BV% If01.java
    javac -cp %QV%;%BV%;. -d %BV% If02.java
    javac -cp %QV%;%BV%;. -d %BV% If03.java
    javac -cp %QV%;%BV%;. -d %BV% Init01Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Init02.java
    javac -cp %QV%;%BV%;. -d %BV% Init02Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Init03Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Int.java
    javac -cp %QV%;%BV%;. -d %BV% IntTst.java
    javac -cp %QV%;%BV%;. -d %BV% Iterable01.java
    javac -cp %QV%;%BV%;. -d %BV% Iterable02.java
    javac -cp %QV%;%BV%;. -d %BV% Iterable03.java
    javac -cp %QV%;%BV%;. -d %BV% JavaNamen01.java
    javac -cp %QV%;%BV%;. -d %BV% Katze.java
    javac -cp %QV%;%BV%;. -d %BV% KlassenBrowser.java
    javac -cp %QV%;%BV%;. -d %BV% Kommerziell01.java
    javac -cp %QV%;%BV%;. -d %BV% Kommerziell02.java
    javac -cp %QV%;%BV%;. -d %BV% Konstruktor01.java
    javac -cp %QV%;%BV%;. -d %BV% Kovarianz01.java
    javac -cp %QV%;%BV%;. -d %BV% Kovarianz02.java
    javac -cp %QV%;%BV%;. -d %BV% Layout01.java
    javac -cp %QV%;%BV%;. -d %BV% Layout02.java
    javac -cp %QV%;%BV%;. -d %BV% Layout03.java
    javac -cp %QV%;%BV%;. -d %BV% Layout04.java
    javac -cp %QV%;%BV%;. -d %BV% Layout05.java
    javac -cp %QV%;%BV%;. -d %BV% Layout06.java
    javac -cp %QV%;%BV%;. -d %BV% Layout09.java
    javac -cp %QV%;%BV%;. -d %BV% Locale01.java
    javac -cp %QV%;%BV%;. -d %BV% Markierung01.java
    javac -cp %QV%;%BV%;. -d %BV% MeineKonstanten.java
    javac -cp %QV%;%BV%;. -d %BV% MeineKonstantenTst.java
    javac -cp %QV%;%BV%;. -d %BV% Methoden01.java
    javac -cp %QV%;%BV%;. -d %BV% Methoden02.java
    javac -cp %QV%;%BV%;. -d %BV% Methoden03.java
    javac -cp %QV%;%BV%;. -d %BV% Methoden04.java
    javac -cp %QV%;%BV%;. -d %BV% Methoden05.java
    javac -cp %QV%;%BV%;. -d %BV% Methoden06.java
    javac -cp %QV%;%BV%;. -d %BV% Methoden07.java
    javac -cp %QV%;%BV%;. -d %BV% Methoden08.java
    javac -cp %QV%;%BV%;. -d %BV% Methoden09.java
    javac -cp %QV%;%BV%;. -d %BV% Objects.java
    javac -cp %QV%;%BV%;. -d %BV% Operatoren01.java
    javac -cp %QV%;%BV%;. -d %BV% Operatoren02.java
    javac -cp %QV%;%BV%;. -d %BV% Operatoren03.java
    javac -cp %QV%;%BV%;. -d %BV% Operatoren04.java
    javac -cp %QV%;%BV%;. -d %BV% Operatoren05.java
    javac -cp %QV%;%BV%;. -d %BV% Operatoren06.java
    javac -cp %QV%;%BV%;. -d %BV% Operatoren07.java
    javac -cp %QV%;%BV%;. -d %BV% Operatoren08.java
    javac -cp %QV%;%BV%;. -d %BV% P01Haupt.java
    javac -cp %QV%;%BV%;. -d %BV% P02Haupt.java
    javac -cp %QV%;%BV%;. -d %BV% Permutationen.java
    javac -cp %QV%;%BV%;. -d %BV% Person00.java
    javac -cp %QV%;%BV%;. -d %BV% Person00Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Person01.java
    javac -cp %QV%;%BV%;. -d %BV% Person01Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Person02.java
    javac -cp %QV%;%BV%;. -d %BV% Person02Anw01.java
    javac -cp %QV%;%BV%;. -d %BV% Person02Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Punkt2D.java
    javac -cp %QV%;%BV%;. -d %BV% Punkt2D_Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Punkt3D_Erb.java
    javac -cp %QV%;%BV%;. -d %BV% Punkt3D_ErbTst.java
    javac -cp %QV%;%BV%;. -d %BV% Punkt3D_Ins.java
    javac -cp %QV%;%BV%;. -d %BV% Punkt3D_InsTst.java
    javac -cp %QV%;%BV%;. -d %BV% RandomAccessDatei01.java
    javac -cp %QV%;%BV%;. -d %BV% RandomAccessDatei02.java
    javac -cp %QV%;%BV%;. -d %BV% Reflekt01.java
    javac -cp %QV%;%BV%;. -d %BV% Reflekt02.java
    javac -cp %QV%;%BV%;. -d %BV% Reflekt03.java
    javac -cp %QV%;%BV%;. -d %BV% Reflekt04.java
    javac -cp %QV%;%BV%;. -d %BV% Reflekt05.java
    javac -cp %QV%;%BV%;. -d %BV% Reflekt06.java
    javac -cp %QV%;%BV%;. -d %BV% Reflekt06Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Reflekt07.java
    javac -cp %QV%;%BV%;. -d %BV% Reihungen01.java
    javac -cp %QV%;%BV%;. -d %BV% Reihungen02.java
    javac -cp %QV%;%BV%;. -d %BV% Reihungen03.java
    javac -cp %QV%;%BV%;. -d %BV% Reihungen04.java
    javac -cp %QV%;%BV%;. -d %BV% Reihungen05.java
    javac -cp %QV%;%BV%;. -d %BV% Reihungen10.java
    javac -cp %QV%;%BV%;. -d %BV% Reihungen11.java
    javac -cp %QV%;%BV%;. -d %BV% Reihungen12.java
    javac -cp %QV%;%BV%;. -d %BV% Reihungen13.java
    javac -cp %QV%;%BV%;. -d %BV% Reihungen14.java
    javac -cp %QV%;%BV%;. -d %BV% Reihungen15.java
    javac -cp %QV%;%BV%;. -d %BV% Reihungen16.java
    javac -cp %QV%;%BV%;. -d %BV% Return01.java
    javac -cp %QV%;%BV%;. -d %BV% Return02.java
    javac -cp %QV%;%BV%;. -d %BV% Return03.java
    javac -cp %QV%;%BV%;. -d %BV% ReturnAnweisungen.java
    javac -cp %QV%;%BV%;. -d %BV% RodentListenerTst.java
    javac -cp %QV%;%BV%;. -d %BV% Sammlungen01.java
    javac -cp %QV%;%BV%;. -d %BV% Sammlungen02.java
    javac -cp %QV%;%BV%;. -d %BV% Sammlungen03.java
    javac -cp %QV%;%BV%;. -d %BV% Sammlungen04.java
    javac -cp %QV%;%BV%;. -d %BV% Sammlungen05.java
    javac -cp %QV%;%BV%;. -d %BV% Sammlungen06.java
rem javac -cp %QV%;%BV%;. -d %BV% Sammlungen07.java
    javac -cp %QV%;%BV%;. -d %BV% Schleifen01.java
    javac -cp %QV%;%BV%;. -d %BV% Schleifen02.java
    javac -cp %QV%;%BV%;. -d %BV% Schleifen03.java
    javac -cp %QV%;%BV%;. -d %BV% Schleifen04.java
    javac -cp %QV%;%BV%;. -d %BV% Schleifen05.java
    javac -cp %QV%;%BV%;. -d %BV% Schleifen30.java
    javac -cp %QV%;%BV%;. -d %BV% SeitenFormat.java
    javac -cp %QV%;%BV%;. -d %BV% SeitenFormatTst.java
    javac -cp %QV%;%BV%;. -d %BV% SelbstAusfuehren01.java
    javac -cp %QV%;%BV%;. -d %BV% Serial01.java
    javac -cp %QV%;%BV%;. -d %BV% Serial02.java
    javac -cp %QV%;%BV%;. -d %BV% Serial03.java
    javac -cp %QV%;%BV%;. -d %BV% Serial04.java
    javac -cp %QV%;%BV%;. -d %BV% Serial05.java
    javac -cp %QV%;%BV%;. -d %BV% Sieb01.java
    javac -cp %QV%;%BV%;. -d %BV% SimpleClassLoader.java
    javac -cp %QV%;%BV%;. -d %BV% Sint.java
    javac -cp %QV%;%BV%;. -d %BV% Stapel01.java
    javac -cp %QV%;%BV%;. -d %BV% String01.java
    javac -cp %QV%;%BV%;. -d %BV% String02.java
    javac -cp %QV%;%BV%;. -d %BV% String03.java
    javac -cp %QV%;%BV%;. -d %BV% String04.java
    javac -cp %QV%;%BV%;. -d %BV% String05.java
    javac -cp %QV%;%BV%;. -d %BV% String06.java
    javac -cp %QV%;%BV%;. -d %BV% StringBuffer01.java
    javac -cp %QV%;%BV%;. -d %BV% StringBuffer02.java
    javac -cp %QV%;%BV%;. -d %BV% StringBuffer03.java
    javac -cp %QV%;%BV%;. -d %BV% StringBuffer04.java
    javac -cp %QV%;%BV%;. -d %BV% StringBuilder01.java
    javac -cp %QV%;%BV%;. -d %BV% StringBuilder02.java
    javac -cp %QV%;%BV%;. -d %BV% StringBuilder03.java
    javac -cp %QV%;%BV%;. -d %BV% StringBuilder04.java
    javac -cp %QV%;%BV%;. -d %BV% Stroeme01.java
    javac -cp %QV%;%BV%;. -d %BV% Stroeme02.java
    javac -cp %QV%;%BV%;. -d %BV% Stroeme03.java
    javac -cp %QV%;%BV%;. -d %BV% Stroeme04.java
    javac -cp %QV%;%BV%;. -d %BV% Stroeme05.java
    javac -cp %QV%;%BV%;. -d %BV% Stroeme06.java
    javac -cp %QV%;%BV%;. -d %BV% Stroeme07.java
    javac -cp %QV%;%BV%;. -d %BV% Stroeme08.java
    javac -cp %QV%;%BV%;. -d %BV% Stroeme09.java
    javac -cp %QV%;%BV%;. -d %BV% Stroeme10.java
    javac -cp %QV%;%BV%;. -d %BV% Switch01.java
    javac -cp %QV%;%BV%;. -d %BV% Switch02.java
    javac -cp %QV%;%BV%;. -d %BV% Switch03.java
    javac -cp %QV%;%BV%;. -d %BV% Switch04.java
    javac -cp %QV%;%BV%;. -d %BV% Switch05.java
    javac -cp %QV%;%BV%;. -d %BV% Switch06.java
    javac -cp %QV%;%BV%;. -d %BV% Switch07.java
    javac -cp %QV%;%BV%;. -d %BV% TypUmwandlungen01.java
    javac -cp %QV%;%BV%;. -d %BV% TypUmwandlungen02.java
    javac -cp %QV%;%BV%;. -d %BV% TypUmwandlungen03.java
    javac -cp %QV%;%BV%;. -d %BV% Typen01.java
    javac -cp %QV%;%BV%;. -d %BV% Typen02.java
    javac -cp %QV%;%BV%;. -d %BV% Typen03.java
    javac -cp %QV%;%BV%;. -d %BV% Typen04.java
    javac -cp %QV%;%BV%;. -d %BV% Typen05.java
    javac -cp %QV%;%BV%;. -d %BV% Typen06.java
    javac -cp %QV%;%BV%;. -d %BV% Typen07.java
    javac -cp %QV%;%BV%;. -d %BV% Typen08.java
    javac -cp %QV%;%BV%;. -d %BV% Typen09.java
    javac -cp %QV%;%BV%;. -d %BV% Typen10.java
    javac -cp %QV%;%BV%;. -d %BV% Typen11.java
rem javac -cp %QV%;%BV%;. -d %BV% Typen12.java
    javac -cp %QV%;%BV%;. -d %BV% Ueberladen01.java
    javac -cp %QV%;%BV%;. -d %BV% Unicode00.java
rem javac -cp %QV%;%BV%;. -d %BV% Unicode01.java
rem javac -cp %QV%;%BV%;. -d %BV% Unicode02.java
rem javac -cp %QV%;%BV%;. -d %BV% Unicode03.java
    javac -cp %QV%;%BV%;. -d %BV% Unicode04.java
rem javac -cp %QV%;%BV%;. -d %BV% Unicode05.java
    javac -cp %QV%;%BV%;. -d %BV% Unicode06.java
    javac -cp %QV%;%BV%;. -d %BV% VarPar01.java
    javac -cp %QV%;%BV%;. -d %BV% Veraenderbar.java
    javac -cp %QV%;%BV%;. -d %BV% Vereinbarungen01.java
    javac -cp %QV%;%BV%;. -d %BV% Vergleichen01.java
    javac -cp %QV%;%BV%;. -d %BV% Vergleichen02.java
    javac -cp %QV%;%BV%;. -d %BV% Vergroesserbar.java
    javac -cp %QV%;%BV%;. -d %BV% VergroesserbarAnwendung01.java
    javac -cp %QV%;%BV%;. -d %BV% VergroesserbarAnwendung.java
    javac -cp %QV%;%BV%;. -d %BV% Verkleinerbar.java
    javac -cp %QV%;%BV%;. -d %BV% WalFisch.java
    javac -cp %QV%;%BV%;. -d %BV% WalFischTst.java
    javac -cp %QV%;%BV%;. -d %BV% Wettlauf01.java
    javac -cp %QV%;%BV%;. -d %BV% Wettlauf02.java
    javac -cp %QV%;%BV%;. -d %BV% Wettlauf02Panel.java
    javac -cp %QV%;%BV%;. -d %BV% Wettlauf03.java
    javac -cp %QV%;%BV%;. -d %BV% While01.java
    javac -cp %QV%;%BV%;. -d %BV% While02.java
    javac -cp %QV%;%BV%;. -d %BV% While03.java
    javac -cp %QV%;%BV%;. -d %BV% While04.java
    javac -cp %QV%;%BV%;. -d %BV% YoyoTst.java
    javac -cp %QV%;%BV%;. -d %BV% Zaehler01.java
    javac -cp %QV%;%BV%;. -d %BV% Zaehler01Tst.java
    javac -cp %QV%;%BV%;. -d %BV% Zaehler01Tst02.java
    javac -cp %QV%;%BV%;. -d %BV% Zaehler02.java
    javac -cp %QV%;%BV%;. -d %BV% Zaehler03.java
    javac -cp %QV%;%BV%;. -d %BV% Zufall01.java
    javac -cp %QV%;%BV%;. -d %BV% Zufall02.java
    javac -cp %QV%;%BV%;. -d %BV% Zufall03.java
    javac -cp %QV%;%BV%;. -d %BV% Zufall04.java
    javac -cp %QV%;%BV%;. -d %BV% Zufall05.java
    javac -cp %QV%;%BV%;. -d %BV% Zufall06.java
    javac -cp %QV%;%BV%;. -d %BV% Zusicherung01.java
    javac -cp %QV%;%BV%;. -d %BV% Zuweisungen01.java
    javac -cp %QV%;%BV%;. -d %BV% Zuweisungen02.java
    javac -cp %QV%;%BV%;. -d %BV% p00/K10Tst.java
