// Datei ArrayList05.java
/* ------------------------------------------------------------------------
In eine Sammlung samO werden drei Objekte eingefuegt:
1. Eine Sammlung samS von String-Objekten.
2. Eine Sammlung samB von StringBuffer-Objekten.
3. Die  Sammlung samO selbst.

Alle drei Sammlungen werden zum Bildschirm ausgegeben. Ob das gut geht?
------------------------------------------------------------------------ */
import java.util.ArrayList;

class ArrayList05 {
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {

      // String-Objekte fuer die Sammlung samS:
      String                  s01  = new String("Hi ");
      String                  s02  = new String("Su!");
      String                  s03  = new String("Wie geht's?");

      // StringBuffer-Objekte fuer die Sammlung samB:
      StringBuffer            b01  = new StringBuffer("Danke!");
      StringBuffer            b02  = new StringBuffer("Geht so!");

      // Die drei Sammlungsobjekte:
      ArrayList<String>       samS = new ArrayList<String>();
      ArrayList<StringBuffer> samB = new ArrayList<StringBuffer>();
      ArrayList<Object>       samO = new ArrayList<Object>();

      // Die Sammlung samS fuellen:
      samS.add(s01);
      samS.add(s02);
      samS.add(s03);

      // Die Sammlung samB fuellen:
      samB.add(b01);
      samB.add(b02);

      // Die Sammlung samO fuellen:
      samO.add(samS);
      samO.add(samB);
      samO.add(samO); // Kann man sich selbst an den Haaren in einen
                      // Sumpf, aeh, in eine Sammlung hineinziehen?

      pln("A samS : " + samS);
      pln("B samB : " + samB);
      pln("C samO : " + samO);
      pln("---------------------------------");
      pln("ArrayList05: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Ein Unterprogramm mit kurzem Namen:
   static void pln(String s) {System.out.println(s);}
   // ---------------------------------------------------------------------
} // class ArrayList05
/* ------------------------------------------------------------------------
Ausgabe des Programms ArrayList05:

A samS : [Hi , Su!, Wie geht's?]
B samB : [Danke!, Geht so!]
C samO : [[Hi , Su!, Wie geht's?], [Danke!, Geht so!], (this Collection)]
---------------------------------
ArrayList05: Das war's erstmal!
------------------------------------------------------------------------ */