// Datei ArraysPAnw02.java
/* ------------------------------------------------------------------------
Eine Anwendung der  Schnittstelle ArraysP.CharList und einer Methode
ArraysP.asList. Die Schnittstelle ArraysP.CharList ist eine Erweiterung
der Schnittstelle java.util.List.
------------------------------------------------------------------------ */
import java.util.List;
import java.util.ArrayList;

class ArraysPAnw02 {
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {

      // Eine Reihung mit primitiven Komponenten
      // (die 21 Konsonanten als Kleinbuchstaben):
      char[] cRei = {'b', 'c', 'd', 'f', 'g', 'h', 'j',
                     'k', 'l', 'm', 'n', 'p', 'q', 'r',
                     's', 't', 'v', 'w', 'x', 'y', 'z'
                    };

      // Eine Liste von Character-Objekten wird mit Hilfe
      // der Reihung cRei initialisiert:
      List<Character> cLst = new ArrayList<Character>(ArraysP.asList(cRei));

      pln("ArraysPAnw02: Jetzt geht es los!");
      pln("---------------------------------------------------------------");
      pln("cLst, alle Konsonanten als Character-Objekte: \n" + cLst);
      pln("---------------------------------------------------------------");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class ArraysPAnw02
/* ------------------------------------------------------------------------
Ausgabe des Programms ArraysPAnw02:

ArraysPAnw02: Jetzt geht es los!
---------------------------------------------------------------
cLst, alle Konsonanten als Character-Objekte:
[b, c, d, f, g, h, j, k, l, m, n, p, q, r, s, t, v, w, x, y, z]
---------------------------------------------------------------
------------------------------------------------------------------------ */