// Datei Bloecke03.java
/* --------------------------------------------------------------
In zwei Bloecken, die *nacheinander* liegen (und nicht
"ineinander"), darf man lokale Variablen mit gleichen Namen
vereinbaren. Denn wenn der Ausfuehrer zum "spaeteren" Block
kommt, hat er die Variablen des "frueheren" Blocks schon wieder
zerstoert. Variablen die direkt in der umgebenden Klasse
(ausserhalb von allen Methoden) vereinbart werden, sind in den
Methoden normalerweise sichtbar, koennen aber durch gleichnamige
lokale Variablen der Methoden verdeckt werden.
-------------------------------------------------------------- */
class Bloecke03 {
   static String sonja1 = "Mmh?? ";
   // -----------------------------------------------------------
   static public void main(String[] sonja)
   {                                        // Beginn main-Block
      {                                     // Beginn Block1
         String sonja1 = "Hallo ";
         String sonja2 = "Sarah! ";
         p(sonja1 + sonja2);
      }                                     // Ende   Block1

      p(sonja1);

      {                                     // Begin  Block2
         String sonja1 = "Wie geht es ";
         String sonja2 = "noch so?";
         pln(sonja1 + sonja2);
      }                                     // Ende   Block2
   } // main                                // Ende   main-Block
   // -----------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   // -----------------------------------------------------------
} // Bloecke03
/* --------------------------------------------------------------
Ausgabe des Programms Bloecke03:

Hallo Sarah! Mmh?? Wie geht es noch so?
-------------------------------------------------------------- */