// Datei E01KreisTst.java
/* ------------------------------------------------------------------------
Formel UE zur naeherungsweisen Berechnung des Umfangs einer Ellipse mit
den Hauptradien rx und ry: PI*(1.5 * (rx + ry) - sqrt(rx * ry))
Formel UK zur Berechnung des Umfang eines Kreises mit Radius r: 2*PI*r

Den Umfang eines Kreises kann man wahlweise mit der Formel UE oder der
Formel UK berechnen. Dieses Programm demonstriert, dass die Ergebnisse
in bestimmten Faellen nicht genau gleich sind.
------------------------------------------------------------------------ */
class E01KreisTst {
   static public void main(String [] sonja) {
      double     d01 = 0.11111;
      E01Ellipse e01 = new E01Ellipse (1.0, 2.0, d01, d01);
      E01Kreis   k01 = new E01Kreis   (1.0, 2.0, d01);

      printf("e01.getUmfang(): " + e01.getUmfang());
      printf("k01.getUmfang(): " + k01.getUmfang());
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   // ---------------------------------------------------------------------
} // E01KreisTst
/* ------------------------------------------------------------------------
Ausgabe des Programms E01KreisTst:

e01.getUmfang(): 0.698124719480724
k01.getUmfang(): 0.6981247194807239
------------------------------------------------------------------------ */