// Datei E01Quadrat.java
/* ------------------------------------------------------------------------
Jedes Objekt dieser Klasse repraesentiert ein Quadrat auf einer zwei-
dimensionalen Ebene. Das Quadrat hat achsenparallele Seiten.

Diese Klasse gehoert zu folgendem Beerbungsbaum:

Object
 |
 +----E01Punkt
        |
        +---E01Rechteck
        |     |
        |     +---E01Quadrat
        |
        +---E01Ellipse
------------------------------------------------------------------------ */
class E01Quadrat extends E01Rechteck {

   public E01Quadrat(double x, double y, double seite) {
      super(x, y, seite, seite);
   } // Konstruktor E01Quadrat

   public String toString() {
      // Liefert eine String-Repraesentation dieses Objekts:
      return new String("Quadrat,  Mittelpunkt: " +
         text() + ", Seite:  " + getSeiteX());
   } // toString

} // class E01Quadrat