// Datei Ersetzen11.java
/* ------------------------------------------------------------------------
Die Klasse Ersetzen11 erbt von ihrer direkten Oberklasse Ersetzen10
zwei Methoden namens methodeA und methodeB und versucht, beide zu
ueberschreiben. Bei der methodeB gelingt das nicht, weil sie als
final Methode ("endgueltige, unveraenderbare Methode) vereinbart wurde.
------------------------------------------------------------------------ */
class Ersetzen10 {
   // -------------------------------------------
   void methodeA() {
      pln("methodeA aus der Klasse Ersetzen10!");
   } // methodeA
   // -------------------------------------------
   final void methodeB() {
      pln("methodeB aus der Klasse Ersetzen10!");
   } // methodeB
   // -------------------------------------------
   static void methodeC() {
      pln("methodeC aus der Klasse Ersetzen10!");
   } // methodeA
   // -------------------------------------------
   static final void methodeD() {
      pln("methodeD aus der Klasse Ersetzen10!");
   } // methodeB
   // -------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
} // class Ersetzen10
// ========================================================================
class Ersetzen11 extends Ersetzen10 {
   // -------------------------------------------
   void methodeA() {
      pln("methodeA aus der Klasse Ersetzen11!");
   } // methodeA
   // -------------------------------------------
// final void methodeB() {
//    pln("methodeB aus der Klasse Ersetzen11!");
// } // methodeB
   // -------------------------------------------
   static void methodeC() {
      pln("methodeC aus der Klasse Ersetzen11!");
   } // methodeA
   // -------------------------------------------
// static final void methodeD() {
//    pln("methodeD aus der Klasse Ersetzen11!");
// } // methodeB
   // -------------------------------------------
   static public void main(String [] sonja) {
      pln("-----------------------------------");
      Ersetzen11 ob = new Ersetzen11();
      ob.methodeA();
      ob.methodeB();
      Ersetzen11.methodeC();
      Ersetzen11.methodeD();
      pln("-----------------------------------");
      pln("Ersetzen11: Das war's erstmal!");
   } // main
   // -------------------------------------------
} // class Ersetzen11
/* ------------------------------------------------------------------------
Fehlermeldungen des Compilers, wenn die entsprechenden Zeilen keine
Kommentare sind:

D:\Java\Ersetzen11.java:36: methodeB() in Ersetzen11 cannot override
methodeB() in Ersetzen10; overridden method is final
   final void methodeB() {
              ^
D:\Java\Ersetzen11.java:44: methodeD() in Ersetzen11 cannot override
methodeD() in Ersetzen10; overridden method is static final
   static final void methodeD() {
                     ^
---------------------------------------------------------------------------
Ausgabe des Programms Ersetzen11:

-----------------------------------
methodeA aus der Klasse Ersetzen11!
methodeB aus der Klasse Ersetzen10!
methodeC aus der Klasse Ersetzen11!
methodeD aus der Klasse Ersetzen10!
-----------------------------------
Ersetzen11: Das war's erstmal!
------------------------------------------------------------------------ */
