// Datei Faden07Tst.java
/* ------------------------------------------------------------------------
Bestimmte Variablen werden unabhngig von der Anzahl der erzeugten
Faeden nur einmal erzeugt und alle Faeden "in der Naehe" haben dann
Zugriff auf diese eine Variable. Dazu gehoeren die Klassenattribute
einer Fadenklassen.

Andere Variablen werden einmal pro Faden erzeugt und jeder Faden
kann nur auf seine Variablen (aber nicht auf die seiner Nachbarfaeden)
zugreifen. Das sind die Objektattribute einer Fadenklasse und die
lokalen Variablen, die innerhalb von Methoden vereinbart wurden.
------------------------------------------------------------------------ */
class Faden07 extends Thread {
   // ---------------------------------------------------------------------
   static int kAtt = 1;        // Ein Klassenattribut
          int oAtt = 1;        // Ein  Objektattribut
   // ---------------------------------------------------------------------
   public void run() {
      int    loca = 1;         // Eine lokale Variable
      String name = getName(); // Eine lokale Variable

      for (int i=1; i<=4; i++) {
         System.out.println(
           name + ".kAtt: " +   kAtt++  + ", " +
           name + ".oAtt: " +   oAtt++  + ", " +
                   "loca: " +   loca++);
      } // for
   } // run
   // ---------------------------------------------------------------------
   Faden07(String name) {super(name);}
   // ---------------------------------------------------------------------
} // class Faden07
// ========================================================================
class Faden07Tst {
   static public void main(String [] sonja) {
      Faden07 f1 = new Faden07("f1");
      Faden07 f2 = new Faden07("f2");
      f1.start();
      f2.start();
   } // main
   // ---------------------------------------------------------------------
} // class Faden07Tst
/* ------------------------------------------------------------------------
Eine Ausgabe des Programms Faden07Tst:

f1.kAtt: 1, f1.oAtt: 1, loca: 1
f1.kAtt: 2, f1.oAtt: 2, loca: 2
f1.kAtt: 3, f1.oAtt: 3, loca: 3
f1.kAtt: 4, f1.oAtt: 4, loca: 4
f2.kAtt: 5, f2.oAtt: 1, loca: 1
f2.kAtt: 6, f2.oAtt: 2, loca: 2
f2.kAtt: 7, f2.oAtt: 3, loca: 3
f2.kAtt: 8, f2.oAtt: 4, loca: 4
------------------------------------------------------------------------ */
