// Datei Faden10Tst.java
/* ------------------------------------------------------------------------
Bestimmte Variablen werden unabhngig von der Anzahl der erzeugten
Faeden nur einmal erzeugt und alle Faeden "in der Naehe" haben dann
Zugriff auf diese eine Variable. Dazu gehoeren die Klassenattribute
einer Fadenklassen.

Andere Variablen werden pro Faden einmal erzeugt und jeder Faden
kann nur auf seine Variablen (aber nicht auf die seiner Nachbarfaeden)
zugreifen. Das sind die Objektattribute einer Fadenklasse und die
lokalen Variablen, die innerhalb von Methoden vereinbart wurden.
------------------------------------------------------------------------ */
class Faden10 extends Thread {
   // ---------------------------------------------------------------------
   static int kAtt = 1;        // Ein Klassenattribut
          int oAtt = 1;        // Ein  Objektattribut
   // ---------------------------------------------------------------------
   public void run() {
      int    loca = 1;         // Eine lokale Variable
      String name = getName(); // Eine lokale Variable

      for (int i=1; i<=3; i++) {
         System.out.println(name
            + ", kAtt: " +  kAtt++
            + ", oAtt: " +  oAtt++
            + ", loca: " +  loca++);
      } // for
   } // run
   // ---------------------------------------------------------------------
} // class Faden10
// ========================================================================
class Faden10Tst {
   static public void main(String [] sonja) {
      Faden10 f1 = new Faden10();
      Faden10 f2 = new Faden10();
      f1.start();
      f2.start();
   } // main
   // ---------------------------------------------------------------------
} // class Faden10Tst
/* ------------------------------------------------------------------------
Eine Ausgabe des Programms Faden10Tst:

Thread-0, kAtt: 1, oAtt: 1, loca: 1
Thread-0, kAtt: 2, oAtt: 2, loca: 2
Thread-0, kAtt: 3, oAtt: 3, loca: 3
Thread-1, kAtt: 4, oAtt: 1, loca: 1
Thread-1, kAtt: 5, oAtt: 2, loca: 2
Thread-1, kAtt: 6, oAtt: 3, loca: 3
------------------------------------------------------------------------ */
