// Datei FarbeAS.java
/* ------------------------------------------------------------------------
Diese Schnittstelle deutet an, wie man *vor* der Java-Version 5.0
Konstanten zusammenfassen und verwendenden Klassen auf besonders
bequeme Weise zur Verfuegung stellen konnte. "AS" soll an "alte
Schnittstelle" erinnern. Ab der Java-Version 5.0 kann man die
Konstanten auch als Klassenelemente einer Klasse vereinbaren und
in den verwendenden Klassen mit static import bequem darauf zu-
greifen.

Die Schnittstelle FarbeAS enthaelt keine (abstrakten) Methoden, sondern
nur Klassenkonstanten (static final fields). In einer Klasse K, die
diese Schnittstelle implementiert, kann man diese Konstanten mit ihren
einfachen Namen (RED, GREEN, BLUE) bezeichnen. Die Klasse K wird durch
die Klausel ... implements FarbeAS ...   nicht zu irgendwelchen Implemen-
tierungsarbeiten verpflichtet.

Siehe auch die Klasse FarbeAK.
---------------------------------------------------------------------------
Von folgenden Klassen ist bekannt, dass sie diese Schnittstelle
implementieren: FarbeAS_Tst.
------------------------------------------------------------------------ */
interface FarbeAS {

   public static final FarbeAK RED   = FarbeAK.ROT;
   public static final FarbeAK GREEN = FarbeAK.GRUEN;
   public static final FarbeAK BLUE  = FarbeAK.BLAU;

} // interface FarbeAS