// Datei FarbeAS_Tst.java
/* ------------------------------------------------------------------------
Diese Klasse implementiert die Schnittstelle FarbeAS. Deshalb kann man
in dieser Klasse die einfachen Variablennamen RED, GREEN und BLAU
(anstelle der zusammengesetzten Namen FarbeAK.RED, FarbeAK.GREEN und
FarbeAK.BLAU) benutzen.
------------------------------------------------------------------------ */
class FarbeAS_Tst implements FarbeAS {

   static public void main(String [] sonja) {
      // Die Konstanten RED, GREEN und BLAU werden auf
      // verschiedene Weisen benutzt und ausgegeben.

      FarbeAK deineFarbe = GREEN;
      FarbeAK meineFarbe = GREEN;
      FarbeAK seineFarbe = BLUE;

      String eure   = deineFarbe == seineFarbe ? "gleich" : "ungleich";
      String unsere = deineFarbe == meineFarbe ? "gleich" : "ungleich";

      pln("-----------------------------");
      pln("A FarbeAK.ROT:       " + FarbeAK.ROT);
      pln("B FarbeAK.GRUEN:     " + FarbeAK.GRUEN);
      pln("C FarbeAK.BLAU:      " + FarbeAK.BLAU);
      pln("-----------------------------");
      pln("D RED:               " + RED);
      pln("E GREEN:             " + GREEN);
      pln("F BLUE:              " + BLUE);
      pln("-----------------------------");
      pln("G meineFarbe:        " + meineFarbe);
      pln("H deineFarbe:        " + deineFarbe);
      pln("I seineFarbe:        " + seineFarbe);
      pln("-----------------------------");
      pln("J Eure   Farben sind " + eure);
      pln("K Unsere Farben sind " + unsere);
      pln("-----------------------------");
      pln("FarbeAS_Tst: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class FarbeAS_Tst
/* ------------------------------------------------------------------------
Ausgabe des Programms FarbeAS_Tst:

-----------------------------
A FarbeAK.ROT:       rot
B FarbeAK.GRUEN:     gruen
C FarbeAK.BLAU:      blau
-----------------------------
D RED:               rot
E GREEN:             gruen
F BLUE:              blau
-----------------------------
G meineFarbe:        gruen
H deineFarbe:        gruen
I seineFarbe:        blau
-----------------------------
J Eure   Farben sind ungleich
K Unsere Farben sind gleich
-----------------------------
FarbeAS_Tst: Das war's erstmal!
------------------------------------------------------------------------ */