// Datei For01.java
/* ------------------------------------------------------------------------
Einfache for-Schleifen, die deutlich machen sollen, wie for-Schleifen
funktionieren (darueberhinaus machen sie nichts besonders Nuetzliches).
------------------------------------------------------------------------ */
class For01 {
   // ---------------------------------------------------------------------
   static void schleife1() {
      // Gibt die Zahlenfolge  1 2 3 4 5 6 7 8 9 10 11 12  aus.

      for (int i=1; i<=12; i++) {
         p(i + " ");
      }
      pln(" <-- von Schleife1");
   } // schleife1
   // ---------------------------------------------------------------------
   static void schleife2() {
      // Gibt die Zahlenfolge  -7 -3 1 5 9 13 17 21 25 29  aus.

      for (int i=-7; i<30; i=i+4) {
         p(i + " ");
      }
      pln(" <-- von Schleife2");
   } // schleife2
   // ---------------------------------------------------------------------
   static void schleife3() {
      // Gibt die Zahlenfolge  2 4 8 16 32 64 128 256 512  aus.

      for (int i=2; i<=512; i=2*i) {
         p(i + " ");
      }
      pln(" <-- von Schleife3");
   } // schleife3
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      // Die oben vereinbarten Methoden schleife1, schleife2 etc. werden
      // aufgerufen.

      pln("---------------------------------------------");
      schleife1();
      schleife2();
      schleife3();
      pln("---------------------------------------------");
      pln("For01: Das war's erstmal!");

   } // main
   // ---------------------------------------------------------------------
} // class For01
/* ------------------------------------------------------------------------
Ausgabe des Programms For01:

---------------------------------------------
1 2 3 4 5 6 7 8 9 10 11 12  <-- von Schleife1
-7 -3 1 5 9 13 17 21 25 29  <-- von Schleife2
2 4 8 16 32 64 128 256 512  <-- von Schleife3
---------------------------------------------
For01: Das war's erstmal!
------------------------------------------------------------------------ */
