// Datei GanzRech02.java
/* ------------------------------------------------------------------------
Ein Programm zum Rechnen mit ganzen Zahlen vom Typ long. Anstelle einer
Zahl koennen Sie diesem Programmen auch Namen wie min, max etc. eingeben,
die fuer den groessten bzw. kleinsten long-Wert stehen.
------------------------------------------------------------------------ */
class GanzRech02 {
   static public void main(String[] sonja) {
      AM.printf(
         "----------------------------------------------------------%n" +
         "Diesem Programm koennen Sie Ganzzahlen eingeben, z.B. 123 %n" +
         "oder -47, aber nicht +47! Ausserdem wandelt das Programm  %n" +
         "die folgenden Namen in die entsprechenden Extremwerte des %n" +
         "Typs long um: min, -min, max, -max                        %n" +
         "Sie koennen jede Zahl mit Return abschliessen, oder auch  %n" +
         "mehrere Zahlen, durch Blanks getrennt, eingeben und dann  %n" +
         "erst die Return-Taste druecken.                           %n" +
         "----------------------------------------------------------%n"
      );

      while (true) {
         AM.printf("Zwei Ganzzahlen a und b (999 zum Beenden): ");
         long a = EM.liesLong();
         if (a == 999) break;
         long b = EM.liesLong();

         // Alle long-Werte werden als Strings der Laenge 20 ausgegeben
         // (damit sie "rechtsbuendig und stellengerecht" untereinander
         // stehen)
         AM.printf("a     ist gleich %20d%n",  a    );
         AM.printf("b     ist gleich %20d%n",  b    );
         AM.printf("a + b ist gleich %20d%n",  a + b);
         AM.printf("a - b ist gleich %20d%n",  a - b);
         AM.printf("a * b ist gleich %20d%n",  a * b);
         AM.printf("a / b ist gleich %20d%n",  a / b);
         AM.printf("a %% b ist gleich %20d%n", a % b);

      } // while
      AM.printf("GanzRech02: Das war's erstmal!%n");
   } // main
   // ---------------------------------------------------------------------
} // class GanzRech02
/* ------------------------------------------------------------------------
Ein Dialog mit dem Programm GanzRech02:

----------------------------------------------------------
Diesem Programm koennen Sie Ganzzahlen eingeben, z.B. 123
oder -47, aber nicht +47! Ausserdem wandelt das Programm
die folgenden Namen in die entsprechenden Extremwerte des
Typs long um: min, -min, max, -max
Sie koennen jede Zahl mit Return abschliessen, oder auch
mehrere Zahlen, durch Blanks getrennt, eingeben und dann
erst die Return-Taste druecken.
----------------------------------------------------------
Zwei Ganzzahlen a und b (999 zum Beenden): 5 3
a     ist gleich                    5
b     ist gleich                    3
a + b ist gleich                    8
a - b ist gleich                    2
a * b ist gleich                   15
a / b ist gleich                    1
a % b ist gleich                    2

Zwei Ganzzahlen a und b (999 zum Beenden): min max
a     ist gleich -9223372036854775808
b     ist gleich  9223372036854775807
a + b ist gleich                   -1
a - b ist gleich                    1
a * b ist gleich -9223372036854775808
a / b ist gleich                   -1
a % b ist gleich                   -1

Zwei Ganzzahlen a und b (999 zum Beenden): min -1
a     ist gleich -9223372036854775808
b     ist gleich                   -1
a + b ist gleich  9223372036854775807
a - b ist gleich -9223372036854775807
a * b ist gleich -9223372036854775808
a / b ist gleich -9223372036854775808
a % b ist gleich                    0

Zwei Ganzzahlen a und b (999 zum Beenden): 999
GanzRech02: Das war's erstmal!
------------------------------------------------------------------------ */