// Datei GanzRech03.java
/* ------------------------------------------------------------------------
Dieses Programm liest wiederholt eine Ganzzahl als long-Wert ein und gibt
sie als long-, int-, short, char- und byte-Wert wieder aus (bis der
Benutzer 999 eingibt). Es soll deutlich machen, dass beim Umwandeln des
long-Wertes in die anderen Typen Ueberlaeufe auftreten koennen und soll
zeigen, wie die "falschen Umwandlungsergebnisse" konkret aussehen.
------------------------------------------------------------------------ */
class GanzRech03 {
   static public void main(String [] sonja) {
      AM.printf(
         "----------------------------------------------------------%n" +
         "Diesem Programm koennen Sie Ganzzahlen eingeben, z.B. 123 %n" +
         "oder -47 oder 1234567890123456789, aber nicht +47!        %n" +
         "Die eingegebene Zahl wird in alle 5 Ganzzahltypen (long,  %n" +
         "int, short, char und byte) umgewandelt und wieder ausge-  %n" +
         "geben. Der char-Wert wird zweimal ausgegeben:             %n" +
         "als char-Wert und als int Wert.                           %n" +
         "----------------------------------------------------------%n"
      );

      while (true) {
         AM.printf("Eine Ganzzahl g (999 zum Beenden): ");
         long  g  = EM.liesLong();
         if (g == 999) break;

         // Alle Werte werden als Strings der Laenge 19 ausgegeben:
         AM.printf("(long)      g: %19d%n", (long)      g); // Cast unnoetig!
         AM.printf("(int)       g: %19d%n", (int)       g);
         AM.printf("(short)     g: %19d%n", (short)     g);
         AM.printf("(char)      g: %19c%n", (char)      g);
         AM.printf("(int)(char) g: %19d%n", (int)(char) g);
         AM.printf("(byte)      g: %19d%n", (byte)      g);
      } // while
      AM.printf("GanzRech03: Das war's erstmal!%n");
   } // main
   // ---------------------------------------------------------------------
} // class GanzRech03
/* ------------------------------------------------------------------------
Ein Dialog mit dem Programm GanzRech03:

----------------------------------------------------------
Diesem Programm koennen Sie Ganzzahlen eingeben, z.B. 123
oder -47 oder 1234567890123456789, aber nicht +47!
Die eingegebene Zahl wird in alle 5 Ganzzahltypen (long,
int, short, char und byte) umgewandelt und wieder ausge-
geben. Der char-Wert wird zweimal ausgegeben:
als char-Wert und als int Wert.
----------------------------------------------------------
Eine Ganzzahl g (999 zum Beenden): 123
(long)      g:                 123
(int)       g:                 123
(short)     g:                 123
(char)      g:                   {
(int)(char) g:                 123
(byte)      g:                 123
Eine Ganzzahl g (999 zum Beenden): -47
(long)      g:                 -47
(int)       g:                 -47
(short)     g:                 -47
(char)      g:                   ?
(int)(char) g:               65489
(byte)      g:                 -47
Eine Ganzzahl g (999 zum Beenden): 1234567890123456789
(long)      g: 1234567890123456789
(int)       g:          2112454933
(short)     g:              -32491
(char)      g:                   ?
(int)(char) g:               33045
(byte)      g:                  21
Eine Ganzzahl g (999 zum Beenden): 999
GanzRech03: Das war's erstmal!
------------------------------------------------------------------------ */