// Datei GanzZahl03.java
/* ------------------------------------------------------------------------
Objekte dieser Klasse sind veraenderbare Ganzzahlen (intern dargestellt
durch eine long-Variable).
------------------------------------------------------------------------ */
class GanzZahl03 implements Veraenderbar {

   private long groesse;

   public GanzZahl03(int groesse) {
      this.groesse = groesse;
   } // Konstruktor GanzZahl03

   // Die 4 Methoden der Schnittstelle Veraenderbar (verdopple,
   // verdreifache, halbiere und aendere) werden hier implementiert:
   public void verdopple()    {groesse *= 2;}
   public void verdreifache() {groesse *= 3;}

   public void halbiere()     {groesse /= 2;}

   public void aendere(int prozent) {
      groesse = (groesse * prozent) / 100;
   } // aendere

   // Eine zusaetzliche ("freiwillig programmierte") Methode:
   public String toString() {
      return "GanzZahl03  mit Groesse " + groesse;
   } // toString
} // class GanzZahl03
