// Datei Grabo03.java
/* ------------------------------------------------------------------------
Wenn ein Programm P Grabo03-Fenster erzeugt, dann kann man P beenden, indem
man bei irgendeinem dieser Fenster den Fenster-Schliessen-Knopf anklickt.
Erreicht wird das hier mit Hilfe eines anonymen Objekts einer anonymen
Klasse. Die anonyme Klasse erweitert die Klasse WindowAdapter.
------------------------------------------------------------------------ */
import javax.swing.JFrame;
import java .awt  .Graphics;
import java .awt  .Color;
import java .awt  .event.WindowAdapter;
import java .awt  .event.WindowEvent;

class Grabo03 extends JFrame {
   // ---------------------------------------------------------------------
   Grabo03(String ueberSchrift) {
      super(ueberSchrift);

      this.addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent we) {
            // Wird aufgerufen, wenn der Benutzer auf den
            // Fenster-Schliessen-Knopf klickt.
            pln("Ein Fenster-Schliessen-Ereignis trat auf!");
            pln(we);
            System.exit(0); // Das umgebende Programm wird beendet
         } // windowClosing
      });

   } // Konstruktor Grabo03
   // ---------------------------------------------------------------------
   public void paint(Graphics gert) {
      super.paint(gert); // Sollte man immer so machen!
      gert.setColor(Color.black);
      gert.drawString("Zum Beenden: auf den Fenster-", 20, 45);
      gert.drawString("Schliessen-Knopf  x  klicken!", 20, 60);
   } // paint
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
} // class Grabo03
// ------------------------------------------------------------------------