// Datei Grabo22.java
/* ------------------------------------------------------------------------
Wenn ein Programm P Grabo22-Fenster erzeugt, kann man P beenden, indem
man alle diese Fenster (in beleibiger Reihenfolge) schliesst. P wird
erst beendet, wenn das letzte Fenster geschlossen wird.
------------------------------------------------------------------------ */
import javax.swing.JFrame;
import java .awt  .Graphics;
import java .awt  .event.WindowAdapter;
import java .awt  .event.WindowEvent;

class Grabo22 extends javax.swing.JFrame {
   // ---------------------------------------------------------------------
   static private int anzObjekte = 0;
   // ---------------------------------------------------------------------
   class ProgBeEnder extends WindowAdapter {
      public void windowClosing(WindowEvent e) {
         // Wird aufgerufen, wenn der Benutzer auf den
         // Fenster-Schliessen-Knopf klickt oder eine
         // entsprechende Tastenkombination eingibt
         // (unter Windows: Alt-F4).
         anzObjekte--;

         String obj = (anzObjekte == 1) ? "Objekt" : "Objekte";
         pln("Jetzt gibt es noch " + anzObjekte + " Grabo22-" + obj);
         if (anzObjekte <= 0) System.exit(0);
      } // windowClosing
   } // class ProgBeEnder
   // ---------------------------------------------------------------------
   ProgBeEnder beEnder = new ProgBeEnder();
   // ---------------------------------------------------------------------
   Grabo22(String ueberSchrift) {
      super(ueberSchrift);
      this.addWindowListener(beEnder);
      anzObjekte++;
   }    // Konstruktor Grabo22
   // ---------------------------------------------------------------------
   public void paint(Graphics gerlinde) {
      super.paint(gerlinde); // Sollte man immer so machen!
      gerlinde.setColor(java.awt.Color.black);
      gerlinde.drawString("Zum Beenden: auf den Fenster-", 20, 45);
      gerlinde.drawString("Schliessen-Knopf  x  klicken!", 20, 60);
   } // paint
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   void pln(Object ob) {System.out.println(ob);}
} // class Grabo22
// ------------------------------------------------------------------------