// Datei If01.java
/* ------------------------------------------------------------------------
Verschiedene Formen von if-Anweisungen werden ausgefuehrt.
------------------------------------------------------------------------ */

class If01 {
   // -----------------------------------------------------------
   static public void main(String[] sonja) {

      int a = 17;
      int b = 25;
      // ---------------
      if (a < b) pln("A a: " + a);
      // ---------------
      if (a < b) {
         pln("B a: " + a);
      }
      // ---------------
      if (a < b) {
         pln("C a: " + a);
         pln("D b: " + b);
      }
      // ---------------
      if (a < b) {
         pln("E a: " + a);
         a = b;
      } else {
         pln("E b: " + b);
         b = a;
      } // if

      a = 17; // Auf Anfangswert zuruecksetzen
      // --------------------------------------------------------
      // Eine if-else-if-Anweisung nach dem If-Schema-1:
      if (a < 3) {
         pln("F a ist kleiner als 3!");
      } else if (a < 5) {
         pln("F a ist kleiner als 5!");
      } else if (a < 20) {
         pln("F a ist kleiner als 20!");
      } else if (a < 500) {
         pln("F a ist kleiner als 500!");
      } // if
      // --------------------------------------------------------
      // Eine if-else-if-Anweisung nach dem If-Schema-2:
      if (b < 3) {
         pln("G b ist kleiner als 3!");
      } else if (b < 5) {
         pln("G b ist kleiner als 5!");
      } else if (b < 20) {
         pln("G b ist kleiner als 20!");
      } else if (b < 500) {
         pln("G b ist kleiner als 500!");
      } else {
         pln("G b ist groesser oder gleich 500!");
      } // if

      pln("------------------------");
      pln("If01: Das war's erstmal!");
   } // main
   // -----------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void pln(int     n) {System.out.println(n );}
   // -----------------------------------------------------------
} // class If01
/* ------------------------------------------------------------------------
Ausgabe des Programms If01:

A a: 17
B a: 17
C a: 17
D b: 25
E a: 17
F a ist kleiner als 20!
G b ist kleiner als 500!
------------------------
If01: Das war's erstmal!
------------------------------------------------------------------------ */