// Datei If02.java
/* --------------------------------------------------------------
Das Maximum von 3 Zahlen wird ermittelt.
Die Methode max1 enthaelt eine (hoffentlich abschreckende)
geschachtelte if-if-Anweisung. Die Methode max2 erreicht das
Gleiche mit mehreren einfachen if-Anweisungen.
-------------------------------------------------------------- */
class If02 {
   // -----------------------------------------------------------
   static void max1(int a, int b, int c) {
      // Ermittelt das Maximum von a, b und c und gibt es
      // (zusammen mit a, b und c) aus.

      int max;

      if (a < b) {
         if (b < c) {    // dann
            max = c;     // dann  dann
         } else {        // dann
            max = b;     // dann  sonst
         }               // dann
      } else {
         if (a < c) {    // sonst
            max = c;     // sonst dann
         } else {        // sonst
            max = b;     // sonst sonst        falsche  Zeile
//          max = a;     // sonst sonst        richtige Zeile
         }               // sonst
      } // if

      String abc = a + ", " + b + ", " + c;
      pln("max1: Das Maximum von " + abc + " ist gleich " + max);
   } // max1
   // -----------------------------------------------------------
   static void max2(int a, int b, int c) {
      // Macht das Gleiche wie max1, aber eleganter:
      // Ermittelt das Maximum von a, b und c und gibt es
      // (zusammen mit a, b und c) aus.

      int max = a;

      if (max < b) max = b;
      if (max < c) max = c;

      String abc = a + ", " + b + ", " + c;
      pln("max2: Das Maximum von " + abc + " ist gleich " + max);
   } // max2
   // -----------------------------------------------------------
   static public void main(String[] sonja) {
      // Die Methoden max1 und max2 werden getestet (mit allen
      // Permutationen der Zahlen 10, 20, 30).

      pln("Test der Methode max1: -----------------------");
      max1(10, 20, 30);
      max1(10, 30, 20);
      max1(20, 10, 30);
      max1(20, 30, 10);
      max1(30, 10, 20);
      max1(30, 20, 10);

      pln();

      pln("Test der Methode max2: -----------------------");
      max2(10, 20, 30);
      max2(10, 30, 20);
      max2(20, 10, 30);
      max2(20, 30, 10);
      max2(30, 10, 20);
      max2(30, 20, 10);

      pln("----------------------------------------------");
      pln("If02: Das war's erstmal!");
   } // main
   // -----------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void pln()          {System.out.println();  }
   // -----------------------------------------------------------
} // class If02
/* ------------------------------------------------------------------------
Ausgabe des Programms If02:

Test der Methode max1: -----------------------
max1: Das Maximum von 10, 20, 30 ist gleich 30
max1: Das Maximum von 10, 30, 20 ist gleich 30
max1: Das Maximum von 20, 10, 30 ist gleich 30
max1: Das Maximum von 20, 30, 10 ist gleich 30
max1: Das Maximum von 30, 10, 20 ist gleich 10  // Falsches Ergebnis
max1: Das Maximum von 30, 20, 10 ist gleich 20

Test der Methode max2: -----------------------
max2: Das Maximum von 10, 20, 30 ist gleich 30
max2: Das Maximum von 10, 30, 20 ist gleich 30
max2: Das Maximum von 20, 10, 30 ist gleich 30
max2: Das Maximum von 20, 30, 10 ist gleich 30
max2: Das Maximum von 30, 10, 20 ist gleich 30
max2: Das Maximum von 30, 20, 10 ist gleich 30
----------------------------------------------
If02: Das war's erstmal!
------------------------------------------------------------------------ */