// Datei Init02Tst.java
/* ------------------------------------------------------------------------
Dieses Programm erzeugt zwei Objekte der Klasse Init02 (um zu zeigen,
dass bei jeder Objekterzeugung zuerst alle Objektinitialisierer und
dann der "passende" Konstruktor ausgefuehrt wird).
------------------------------------------------------------------------ */
class Init02Tst {
   // ---------------------------------------------------------------------
   static public void main(String [] sonja) {
      printf("Init02Tst: Jetzt geht es los!\n");

      Init02 ob1 = new Init02(111); // Konstruktor Init02-A
      Init02 ob2 = new Init02(2.2); // Konstruktor Init02-B

      printf("Init02Tst: Das war's erstmal!\n");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   // ---------------------------------------------------------------------
} // class Init02Tst
/* ------------------------------------------------------------------------
Ausgabe des Programms Init02Tst:

Init02Tst: Jetzt geht es los!
---------------------------------------------
Der Objektinitialisierer 1 wurde aufgerufen!
Der Objektinitialisierer 2 wurde aufgerufen!
 85  8 13 86 40 45 81  7 67 73 65 54 26 61 32
Der Konstruktor Init02-A wurde aufgerufen!
---------------------------------------------
---------------------------------------------
Der Objektinitialisierer 1 wurde aufgerufen!
Der Objektinitialisierer 2 wurde aufgerufen!
 29 20 25 18 79 30 51 84 60 58 17 72 84 29 59
Der Konstruktor Init02-B wurde aufgerufen!
---------------------------------------------
Init02Tst: Das war's erstmal!
------------------------------------------------------------------------ */
