rem Datei K10TstB.bat (dies ist eine remark-Zeile)
@echo off
rem -----------------------------------------------------------------
rem Diese Batchdatei compiliert die Quelldateien des Java-Programms
rem K10Tst mit dem Compiler javac und startet das Programm mit
rem dem Interpreter java.
rem
rem Bei dieser B-Version der Batchdatei legt der Compiler javac
rem die .class-Dateien in einem separaten "Baum von Klassen
rem verzeichnissen" ab.
rem 
rem Mit den set-Kommandos (set QV= ... und set KV= ... ) muss
rem der Umgebungsvariablen QV der Pfad zum Quellverzeichnis und
rem der Umgebungsvariablen KV der Pfad zum Klassenverezeichnis
rem zugewiesen werden.
rem -----------------------------------------------------------------
@echo on

set QV=d:/meineDateien/BspJaSp
set KV=c:/meineDateien/Klassen

javac -cp %KV%;%QV% -d %KV% %QV%/p00/K10Tst.java
java  -cp %KV%                   p00/K10Tst