// Datei Layout05.java
/* ------------------------------------------------------------------------
Ein Behaelter copa (die ContentPane eines JFrame-Objekts) wird mit einem
GridLayout versehen und seine ComponentOrientation wird auf RIGHT_TO_LEFT
gesetzt. Dann wird er mit Komponenten gefuellt und angezeigt. Die Compo-
nentOrientation wird veraendert und der Behaelter erneut angezeigt.
------------------------------------------------------------------------ */
import javax.swing.JFrame;
import javax.swing.JButton;
import java .awt  .GridLayout;
import java .awt  .Container;
import java .awt  .ComponentOrientation;

class Layout05 {
   static public void main(String[] susi) {
      pln("Layout05: Jetzt geht es los!");

      JFrame r01 = new JFrame("JFrame-Objekt mit GridLayout!");
      r01.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      Container copa = r01.getContentPane();

      copa.setLayout(new GridLayout(0, 3, 15, 5));
      copa.applyComponentOrientation(ComponentOrientation.RIGHT_TO_LEFT);

      p("Wieviele Komponenten? ");
      int anz = EM.liesInt();
      if (anz < 1) anz = 1;

      for (int i=1; i<=anz; i++) {
         copa.add(new JButton("Knopf" + i));
      }

      r01.setBounds(0,   0, 500, 300);
      r01.setVisible(true);

      p("Weiter mit Return!");
      String s = EM.liesString();
      copa.applyComponentOrientation(ComponentOrientation.LEFT_TO_RIGHT);
//    r01.setVisible(false);
      r01.setVisible(true);

      pln("Layout05: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
//   static void pln()          {System.out.println();  }
   // ---------------------------------------------------------------------
} // class Layout05