// Datei MeineKonstanten.java
/* ------------------------------------------------------------------------
In der Schnittstelle MeineKonstanten werden drei Konstanten vereinbart.
Die Modifizierer "static public final" darf man vor jede Vereinbarung
schreiben, aber wenn man sie weglaesst gelten sie trotzdem.

In einer Klasse K, die die Schnittstelle MeineKonstanten implementiert,
darf man auf die in der Schnittstelle vereinbarten Konstanten mit ihren
einfachen Namen (PI, KRAGENWEITE etc.) zugreifen und muss nicht unbedingt
zusammengesetzte Namen wie MeineKonstanten.PI, MeineKonstanten.KRAGENWEITE
etc. verwenden.
------------------------------------------------------------------------ */
import java.math.BigDecimal;

interface MeineKonstanten {
   double     PI          = 3.14159265358979323846;
   int        KRAGENWEITE = 41;

   static public final // darf man angeben, muss man aber nicht
   BigDecimal MWSt        = new BigDecimal("0.16");
} // class MeineKonstanten
