// Datei Methoden01.java
/* ------------------------------------------------------------------------
Eine Prozedur ohne Parameter namens druckeStrich wird vereinbart und
in der main-Methode mehrmals aufgerurfen.
------------------------------------------------------------------------ */
class Methoden01 {
   // -----------------------------------------------------------
   // Eine Prozedur ("void-Methode") ohne Parameter:
   static void druckeStrich() {
      // Gibt einen aus 20 Gleichheitszeichen bestehenden Strich
      // aus (und schiebt den Cursor danach zum Anfang der
      // naechsten Zeile vor):
      int laenge = 0;
      while (laenge++ < 20) p("=");
      pln();
   } // druckeStrich
   // -----------------------------------------------------------
   static public void main(String[] sonja) {
      // Gibt ein paar Textzeilen getrennt durch Striche aus:
      p("A "); druckeStrich();
      p("B "); pln("Hallo, wie geht's?");
      p("C "); druckeStrich();
      p("D "); pln("Danke, gut!");
      p("E "); druckeStrich();
      p("F "); druckeStrich();
   } // main
   // -----------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   static void pln()          {System.out.println();  }
   // -----------------------------------------------------------
} // class Methoden01
/* ------------------------------------------------------------------------
Ausgabe des Programms Methoden01:

A ====================
B Hallo, wie geht's?
C ====================
D Danke, gut!
E ====================
F ====================
------------------------------------------------------------------------ */
