// Datei Methoden03.java
/* ------------------------------------------------------------------------
Eine Prozedur namens druckeMitRahmen mit einem String-Parameter wird
vereinbart und in der main-Methode mehrmals aufgerufen.
------------------------------------------------------------------------ */
class Methoden03 {
   // ---------------------------------------------------------------------
   // Eine Prozedur mit einem String-Parameter:
   static void druckeMitRahmen(String s) {
      // Gibt den String s umrahmt von
      // Strichzeichen ('|' und '-') aus:

      p("--");  druckeStrich(s.length(), "-");  pln("--");
      p("| ");  p(s);                           pln(" |");
      p("--");  druckeStrich(s.length(), "-");  pln("--");
      pln();

   } // druckeMitRahmen
   // ---------------------------------------------------------------------
   // Eine Prozdur mit 2 Parametern:
   static void druckeStrich(int soHaeufig, String s) {
      // Gibt den String s soHaeufig-Mal aus (ohne den Cursor danach an den
      // Anfang der naechsten Zeile vorzuschieben!):
      int laenge = 0;
      while (laenge++ < soHaeufig) p(s);
   } // druckeStrich
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      // Gibt eine paar unterschiedlich lange Texte mit Rahmen drumrum aus:

      druckeMitRahmen("Hallo!");
      druckeMitRahmen("Wie geht's noch so?");
      druckeMitRahmen("Danke, gut!");
      pln("------------------------------");
      pln("Methoden03: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   static void pln()          {System.out.println();  }
   // ---------------------------------------------------------------------
} // class Methoden03
/* ------------------------------------------------------------------------
Ausgabe des Programms Methoden03:

----------
| Hallo! |
----------

-----------------------
| Wie geht's noch so? |
-----------------------

---------------
| Danke, gut! |
---------------

------------------------------
Methoden03: Das war's erstmal!
------------------------------------------------------------------------ */
