// Datei Operatoren08.java
/* ------------------------------------------------------------------------
Beim Bedingungsoperator op1 ? op2: op3 muss op1 immer zum Typ boolean
gehoeren. op2 und op3 muessen nicht unbedingt zum selben Typ gehoeren,
aber der Ausfuehrer muss einen der Operanden mit einer erweiternden
Typumwandlung in den Typ des anderen Operanden umwandeln koennen.
Dieses Programm zeigt, was das konkret heisst.
------------------------------------------------------------------------ */
class Operatoren08 {
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      plns("Operatoren08: Jetzt geht es los!");

      byte   byte001 =  1;
      char   char001 = '2';
      short  short01 =  3;
      int    int0001 =  4;
      long   long001 =  5;
      float  float01 =  6.0F;
      double double1 =  7.0;

      String string1 = new String("s8");
      Object object1 = new Object();

      plns("---------------------------------------");
      ps("(true  ? byte001 : byte001): "); pln(true  ? byte001 : byte001);
      ps("(false ? byte001 : byte001): "); pln(false ? byte001 : byte001);

      ps("(true  ? byte001 : char001): "); pln(true  ? byte001 : char001);
      ps("(false ? byte001 : char001): "); pln(false ? byte001 : char001);

      ps("(true  ? byte001 : short01): "); pln(true  ? byte001 : short01);
      ps("(false ? byte001 : short01): "); pln(false ? byte001 : short01);

      ps("(true  ? byte001 : int0001): "); pln(true  ? byte001 : int0001);
      ps("(false ? byte001 : int0001): "); pln(false ? byte001 : int0001);

      ps("(true  ? byte001 : long001): "); pln(true  ? byte001 : long001);
      ps("(false ? byte001 : long001): "); pln(false ? byte001 : long001);

      ps("(true  ? byte001 : float01): "); pln(true  ? byte001 : float01);
      ps("(false ? byte001 : float01): "); pln(false ? byte001 : float01);

      ps("(true  ? byte001 : double1): "); pln(true  ? byte001 : double1);
      ps("(false ? byte001 : double1): "); pln(false ? byte001 : double1);
      plns("---------------------------------------");
      ps("(true  ? char001 : char001): "); pln(true  ? char001 : char001);
      ps("(false ? char001 : char001): "); pln(false ? char001 : char001);

      ps("(true  ? char001 : short01): "); pln(true  ? char001 : short01);
      ps("(false ? char001 : short01): "); pln(false ? char001 : short01);

      ps("(true  ? char001 : int0001): "); pln(true  ? char001 : int0001);
      ps("(false ? char001 : int0001): "); pln(false ? char001 : int0001);

      ps("(true  ? char001 : long001): "); pln(true  ? char001 : long001);
      ps("(false ? char001 : long001): "); pln(false ? char001 : long001);

      ps("(true  ? char001 : float01): "); pln(true  ? char001 : float01);
      ps("(false ? char001 : float01): "); pln(false ? char001 : float01);

      ps("(true  ? char001 : double1): "); pln(true  ? char001 : double1);
      ps("(false ? char001 : double1): "); pln(false ? char001 : double1);
      plns("---------------------------------------");
      ps("(true  ? short01 : short01): "); pln(true  ? short01 : short01);
      ps("(false ? short01 : short01): "); pln(false ? short01 : short01);

      ps("(true  ? short01 : int0001): "); pln(true  ? short01 : int0001);
      ps("(false ? short01 : int0001): "); pln(false ? short01 : int0001);

      ps("(true  ? short01 : long001): "); pln(true  ? short01 : long001);
      ps("(false ? short01 : long001): "); pln(false ? short01 : long001);

      ps("(true  ? short01 : float01): "); pln(true  ? short01 : float01);
      ps("(false ? short01 : float01): "); pln(false ? short01 : float01);

      ps("(true  ? short01 : double1): "); pln(true  ? short01 : double1);
      ps("(false ? short01 : double1): "); pln(false ? short01 : double1);
      plns("---------------------------------------");
      ps("(true  ? int0001 : int0001): "); pln(true  ? int0001 : int0001);
      ps("(false ? int0001 : int0001): "); pln(false ? int0001 : int0001);

      ps("(true  ? int0001 : long001): "); pln(true  ? int0001 : long001);
      ps("(false ? int0001 : long001): "); pln(false ? int0001 : long001);

      ps("(true  ? int0001 : float01): "); pln(true  ? int0001 : float01);
      ps("(false ? int0001 : float01): "); pln(false ? int0001 : float01);

      ps("(true  ? int0001 : double1): "); pln(true  ? int0001 : double1);
      ps("(false ? int0001 : double1): "); pln(false ? int0001 : double1);
      plns("---------------------------------------");
      ps("(true  ? long001 : long001): "); pln(true  ? long001 : long001);
      ps("(false ? long001 : long001): "); pln(false ? long001 : long001);

      ps("(true  ? long001 : float01): "); pln(true  ? long001 : float01);
      ps("(false ? long001 : float01): "); pln(false ? long001 : float01);

      ps("(true  ? long001 : double1): "); pln(true  ? long001 : double1);
      ps("(false ? long001 : double1): "); pln(false ? long001 : double1);
      plns("---------------------------------------");
      ps("(true  ? float01 : float01): "); pln(true  ? float01 : float01);
      ps("(false ? float01 : float01): "); pln(false ? float01 : float01);

      ps("(true  ? float01 : double1): "); pln(true  ? float01 : double1);
      ps("(false ? float01 : double1): "); pln(false ? float01 : double1);
      plns("---------------------------------------");
      ps("(true  ? double1 : double1): "); pln(true  ? double1 : double1);
      ps("(false ? double1 : double1): "); pln(false ? double1 : double1);
      plns("---------------------------------------");
      ps("(true  ? object1 : string1): "); pln(true  ? object1 : string1);
      ps("(false ? object1 : string1): "); pln(false ? object1 : string1);
      plns("---------------------------------------");

      plns("Operatoren08: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void plns(Object ob) {System.out.println(ob);}
   static void ps  (Object ob) {System.out.print  (ob);}
   static void pln(byte   p)  {System.out.println("byte  : " + p);}
   static void pln(char   p)  {System.out.println("char  : " + p);}
   static void pln(short  p)  {System.out.println("short : " + p);}
   static void pln(int    p)  {System.out.println("int   : " + p);}
   static void pln(long   p)  {System.out.println("long  : " + p);}
   static void pln(float  p)  {System.out.println("float : " + p);}
   static void pln(double p)  {System.out.println("double: " + p);}
   static void pln(String p)  {System.out.println("String: " + p);}
   static void pln(Object p)  {System.out.println("Object: " + p);}
   // ---------------------------------------------------------------------
} // class Operatoren08
/* ------------------------------------------------------------------------
Ausgabe des Programms Operatoren08:

Operatoren08: Jetzt geht es los!
---------------------------------------
(true  ? byte001 : byte001): byte  : 1
(false ? byte001 : byte001): byte  : 1
(true  ? byte001 : char001): int   : 1
(false ? byte001 : char001): int   : 50
(true  ? byte001 : short01): short : 1
(false ? byte001 : short01): short : 3
(true  ? byte001 : int0001): int   : 1
(false ? byte001 : int0001): int   : 4
(true  ? byte001 : long001): long  : 1
(false ? byte001 : long001): long  : 5
(true  ? byte001 : float01): float : 1.0
(false ? byte001 : float01): float : 6.0
(true  ? byte001 : double1): double: 1.0
(false ? byte001 : double1): double: 7.0
---------------------------------------
(true  ? char001 : char001): char  : 2
(false ? char001 : char001): char  : 2
(true  ? char001 : short01): int   : 50
(false ? char001 : short01): int   : 3
(true  ? char001 : int0001): int   : 50
(false ? char001 : int0001): int   : 4
(true  ? char001 : long001): long  : 50
(false ? char001 : long001): long  : 5
(true  ? char001 : float01): float : 50.0
(false ? char001 : float01): float : 6.0
(true  ? char001 : double1): double: 50.0
(false ? char001 : double1): double: 7.0
---------------------------------------
(true  ? short01 : short01): short : 3
(false ? short01 : short01): short : 3
(true  ? short01 : int0001): int   : 3
(false ? short01 : int0001): int   : 4
(true  ? short01 : long001): long  : 3
(false ? short01 : long001): long  : 5
(true  ? short01 : float01): float : 3.0
(false ? short01 : float01): float : 6.0
(true  ? short01 : double1): double: 3.0
(false ? short01 : double1): double: 7.0
---------------------------------------
(true  ? int0001 : int0001): int   : 4
(false ? int0001 : int0001): int   : 4
(true  ? int0001 : long001): long  : 4
(false ? int0001 : long001): long  : 5
(true  ? int0001 : float01): float : 4.0
(false ? int0001 : float01): float : 6.0
(true  ? int0001 : double1): double: 4.0
(false ? int0001 : double1): double: 7.0
---------------------------------------
(true  ? long001 : long001): long  : 5
(false ? long001 : long001): long  : 5
(true  ? long001 : float01): float : 5.0
(false ? long001 : float01): float : 6.0
(true  ? long001 : double1): double: 5.0
(false ? long001 : double1): double: 7.0
---------------------------------------
(true  ? float01 : float01): float : 6.0
(false ? float01 : float01): float : 6.0
(true  ? float01 : double1): double: 6.0
(false ? float01 : double1): double: 7.0
---------------------------------------
(true  ? double1 : double1): double: 7.0
(false ? double1 : double1): double: 7.0
---------------------------------------
(true  ? object1 : string1): Object: java.lang.Object@150bd4d
(false ? object1 : string1): Object: s8
---------------------------------------
Operatoren08: Das war's erstmal!
------------------------------------------------------------------------ */
