// Datei Person01.java
/* ------------------------------------------------------------------------
Jedes Person01-Objekt enthaelt eine kurze Beschreibung einer Person. Die
Klassenvariable Person01.anzahlPersonen enthaelt in jedem Moment die Anzahl
der bis zu diesem Moment erzeugten Person01-Objekte.
------------------------------------------------------------------------ */
class Person01 {
   // -----------------------------------------------------------
   // Modulaspekt der Klasse Person01:

   // Ein Klassenattribut:
   // Wiviele Objekte dieser Klasse wurden bisher erzeugt?
   static private int anzahlPerson01 = 0;

   // Zwei Klassenmethoden:
   static public void druckeAnzahlPerson01() {
      p("Bisher wurden " + anzahlPerson01 +
        " Person01-Objekte erzeugt!");
   } // druckeAnzahlPerson01

   static public void p(Object ob) {System.out.print(ob);}

   // Ein Konstruktor:
   public Person01(String vor, String nach) {
      vorName  = vor;
      nachName = nach;
      anzahlPerson01++;
   } // Konstruktor Person01

   // -----------------------------------------------------------
   // Bauplanaspekt der Klasse Person01:

   // Zwei Objektttribute:
   private String vorName;
   private String nachName;

   // Eine Objektmethode:
   public void druckeName() {
      p("Name: " + vorName + " " + nachName);
   } // druckeName
   // -----------------------------------------------------------
} // class Person01