// Datei Person02.java
/* ------------------------------------------------------------------------
Jedes Person02-Objekt enthaelt eine etwas laengere Beschreibung einer
Person (laenger als in einem Person01-Objekt).
------------------------------------------------------------------------ */
class Person02 extends Person01 {
   // -----------------------------------------------------------
   // Modulaspekt der Klasse Person02:

   // Ein Klassenattribut:
   // Wiviele Objekte dieser Klasse wurden bisher erzeugt?
   static private int anzahlPerson02 = 0;

   // Eine Klassenmethode:
   static public void druckeAnzahlPerson02() {
      p("Bisher wurden " + anzahlPerson02 +
        " Person02-Objekte erzeugt!");
   } // druckeAnzahlPerson01

   // Ein Konstruktor:
   public Person02(String vor, String nach, int pnr) {
      super(vor, nach);
      personalNr = pnr;
      anzahlPerson02++;
   } // Konstruktor Person02

   // -----------------------------------------------------------
   // Bauplanaspekt der Klasse Person02:

   // Ein Objektattribut:
   private int personalNr;

   // Eine Objektmethode:
   public void druckeAlles() {
      druckeName();
      p(", ");
      p("Pers.-Nr: " + personalNr);
   } // druckeAlles
   // -----------------------------------------------------------
} // class Person02