// Datei Person02Anw01.java
/* ------------------------------------------------------------------------
Daten zu mehreren Personen werden eingelesen, in einer Reihung gespeichert
und wieder ausgegeben.
------------------------------------------------------------------------ */
class Person02Anw01 {
   // ---------------------------------------------------------------------
   static public void liesEin(Person02[] pr) {
      // Die Reihung pr wird mit Objekten gefuellt. Die zum Erzeugen der
      // Person02-Objekte benoetigten Daten werden von der Standardeingabe
      // eingelesen.
      pln("Bitte Daten fuer " + pr.length + " Personen eingeben!");

      for (int i=0; i<pr.length; i++) {
         pln("Daten fuer die Person Nr. " + (i+1) + ":");
         p  ("Vorname:     ");
         String vor  = EM.liesString();
         p  ("Nachname:    ");
         String nach = EM.liesString();
         p  ("Personal-Nr: ");
         int    pnr  = EM.liesInt();

         pr[i] = new Person02(vor, nach, pnr);
      } // for
   } // liesEin
   // ---------------------------------------------------------------------
   static public void gibAus(Person02[] pr) {
      // Die Komponenten der Reihung pr werden in lesbarer Form zur
      // Standardausgabe ausgegben.
      pln("Jetzt kommen die Daten von " + pr.length + " Personen:");

      for (int i=0; i<pr.length; i++) {
         pr[i].druckeAlles();
         pln();
      } // for
   } // gibAus
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      // Eine Reihung von Person02-Objekten wird erzeugt und mit Daten
      // gefuellt. Dann wird die Reihung in lesbarer Form ausgegeben.
      Person02[] reihungVonPersonen = new Person02[3];
      liesEin(reihungVonPersonen);
      gibAus (reihungVonPersonen);
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   static void pln()          {System.out.println();  }
   // ---------------------------------------------------------------------
} // Person02Anw01