// Datei Schleifen01.java
/* ------------------------------------------------------------------------
Das Unterprogramm durch2bis1 enthaelt eine Schleife, die in gewissen
Faellen zu einer Endlosschleife werden kann.
------------------------------------------------------------------------ */
class Schleifen01 {
   private Schleifen01() {} // Damit der jikes-Compiler nicht nervoes wird!
   // ---------------------------------------------------------------------
   static final boolean TEST = true;
   // ---------------------------------------------------------------------
   static void durch2bis1(int n) {
      p("durch2bis1(" + n + "):  ");
      while (n != 1) {
         n = n / 2;
         p(n + " ");
      } // while
      pln();
   } // durch2bis1
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {

      pln("Schleifen01: Jetzt geht es los!");
      pln("-------------------------------");
      while (true) {
         p("Eine Ganzzahl n (0 zum Beenden): ");
         int n = EM.liesInt();
         if (n==0) break;
         durch2bis1(n);
      }

   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   static void pln()          {System.out.println();  }
} // class Schleifen01
/* ------------------------------------------------------------------------
Ein Dialog mit dem Programm Schleifen01 (gekuertzt und nachtraeglich mit
einem kleinen Kommentar versehen):

Schleifen01: Jetzt geht es los!
-------------------------------
Eine Ganzzahl n (0 zum Beenden): 64
durch2bis1(64):  32 16 8 4 2 1
Eine Ganzzahl n (0 zum Beenden): 63
durch2bis1(63):  31 15 7 3 1
Eine Ganzzahl n (0 zum Beenden): 85
durch2bis1(85):  42 21 10 5 2 1
Eine Ganzzahl n (0 zum Beenden): -85
durch2bis1(85):  -42 -21 -10 -5 -2 -1 0 0 0 0 0 0 0 ... // Endlosschleife!
------------------------------------------------------------------------ */
