// Datei SeitenFormatTst.java
/* ------------------------------------------------------------------------
Kleines Programm zum Testen der Klasse SeitenFormat.
------------------------------------------------------------------------ */
class SeitenFormatTst {
   static public void main(String[] sonja) {
      SeitenFormat sf01 = new SeitenFormat(210, 297); // DIN A4
      SeitenFormat sf02 = new SeitenFormat(148, 210); // DIN A5

      pln("A sf01: " + sf01);
      pln("B sf02: " + sf02);

      sf01.verdopple();
      sf02.verdreifache();
      sf02.halbiere();

      pln("C sf01: " + sf01);
      pln("D sf02: " + sf02);

      sf01.aendere( +10);    // plus   10 Prozent
      sf02.aendere(-300);    // minus 300 Prozent

      pln("E sf01: " + sf01);
      pln("F sf02: " + sf02);
      pln("-----------------------------------");
      pln("SeitenFormatTst: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // SeitenFormatTst
/* ------------------------------------------------------------------------
Ausgabe des Programms SeitenFormatTst:

A sf01: SeitenFormat 210.0 mal 297.0 mm
B sf02: SeitenFormat 148.0 mal 210.0 mm
C sf01: SeitenFormat 420.0 mal 594.0 mm
D sf02: SeitenFormat 222.0 mal 315.0 mm
-------------------------------------------
Negativer Param. -300 fuer Methode
aendere in Klasse SeitenFormat ist verboten
und wurde durch  +300 ersetzt!
-------------------------------------------
E sf01: SeitenFormat 42.0 mal 59.4 mm
F sf02: SeitenFormat 666.0 mal 945.0 mm
-----------------------------------
SeitenFormatTst: Das war's erstmal!
------------------------------------------------------------------------ */