// Datei String03.java
/* ------------------------------------------------------------------------
Zeigt, wie man String-Objekte vereinbaren und auf unterschiedliche Weisen
initialisieren kann (mit dem parameterlosen Konstruktor, mit einer
Reihung von byte-Werten br, mit einer Reihung von char-Werten cr, mit einer
Reihung von int-Werten ir, mit Abschnitten solcher Reihungen und mit einem
StringBuilder-Objekt sb).
------------------------------------------------------------------------ */
class String03 {
   // ---------------------------------------------------------------------
   static public void main(String [] sonja) {

      // Hilfsgroessen zum Initialisieren von String-Objekten:
      byte[]        br = new byte[] {'H', 'a', 'l', 'l', 'o', '1', '!'};
      char[]        cr = new char[] {'H', 'a', 'l', 'l', 'o', '2', '!'};
      int []        ir = new int [] { 72,  97, 108, 108, 111,  51,  33};
      StringBuilder sb = new StringBuilder("Hallo6!");

      // Zehn String-Objekte vereinbaren und auf unterschiedliche Weisen
      // initialisieren:
      String s20 = new String();                      // leerer String
      String s21 = new String(br);                    // Hallo1!
      String s22 = new String(br, 1, 5);              // allo1
      String s23 = new String(cr);                    // Hallo2!
      String s24 = new String(cr, 1, 5);              // allo2
      String s25 = new String(ir, 0, 7);              // Hallo3!
      String s26 = new String(ir, 1, 5);              // allo3
      String s27 = new String("Hallo4!");             // Hallo4!
      String s28 = new String(s22.replace('1', '5')); // allo5
      String s29 = new String(sb);                    // Hallo6!

      // Die zehn String-Objekte ausgeben:
      pln("---------------");
      pln("A s20 : "  + s20);                         //
      pln("B s21 : "  + s21);                         // Hallo1!
      pln("C s22 :  " + s22);                         //  allo1
      pln("D s23 : "  + s23);                         // Hallo2!
      pln("E s24 :  " + s24);                         //  allo2
      pln("F s25 : "  + s25);                         // Hallo3!
      pln("G s26 :  " + s26);                         //  allo3
      pln("H s27 : "  + s27);                         // Hallo4!
      pln("I s28 :  " + s28);                         //  allo5
      pln("J s29 : "  + s29);                         // Hallo6!
      pln("---------------");
      pln("String03: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Ein Unterprogramm mit kurzem Namen:
   static void pln(String s) {System.out.println(s);}
   // ---------------------------------------------------------------------
} // class String03
/* ------------------------------------------------------------------------
Ausgabe des Programms String03:

---------------
A s20 :
B s21 : Hallo1!
C s22 :  allo1
D s23 : Hallo2!
E s24 :  allo2
F s25 : Hallo3!
G s26 :  allo3
H s27 : Hallo4!
I s28 :  allo5
J s29 : Hallo6!
---------------
String03: Das war's erstmal!
------------------------------------------------------------------------ */