// Datei String06.java
/* ------------------------------------------------------------------------
Die Funktion vergleiche hat zwei String-Parameter s1 und s2 und
soll immer das gleiche Ergebnis liefern wie die Funktion compareTo
fuer Strings (ohne die Methode compareTo aufzurufen).
------------------------------------------------------------------------ */
class String06 {
   // ---------------------------------------------------------------------
   static public int vergleiche(String s1, String s2) {
      // Liefert den Wert des Ausdrucks s1.compareTo(s2), ohne die
      // Methode compareTo aufzurufen.

      int  minLen = Math.min(s1.length(), s2.length());

      for (int i=0; i<minLen; i++) {
         int diffChar = s1.charAt(i) - s2.charAt(i);
         if (diffChar != 0) return diffChar;
      }

      return s1.length() - s2.length();
   } // vergleiche
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      pln("String06: Jetzt geht es los!");

      String s01 = "Hallo!";

      pln("----------------------------------------");
      pln("A vergleiche(s01, \"H\"))        : " + vergleiche(s01, "H"));
      pln("B vergleiche(s01, \"Ha\"))       : " + vergleiche(s01, "Ha"));
      pln("C vergleiche(s01, \"Hal\"))      : " + vergleiche(s01, "Hal"));
      pln("D vergleiche(s01, \"Hall\"))     : " + vergleiche(s01, "Hall"));
      pln("E vergleiche(s01, \"Hallo\"))    : " + vergleiche(s01, "Hallo"));
      pln("F vergleiche(s01, \"Hallo!\"))   : " + vergleiche(s01, "Hallo!"));
      pln("G vergleiche(s01, \"Hallo!a\"))  : " + vergleiche(s01, "Hallo!a"));
      pln("H vergleiche(s01, \"Hallo!ab\")) : " + vergleiche(s01, "Hallo!ab"));
      pln("I vergleiche(s01, \"Hallo!abc\")): " + vergleiche(s01, "Hallo!abc"));
      pln("----------------------------------------");
      pln("J vergleiche(s01, \"Halll\"))    : " + vergleiche(s01, "Halll"));
      pln("K vergleiche(s01, \"Hallm\"))    : " + vergleiche(s01, "Hallm"));
      pln("L vergleiche(s01, \"Halln\"))    : " + vergleiche(s01, "Halln"));
      pln("M vergleiche(s01, \"Hallo\"))    : " + vergleiche(s01, "Hallo"));
      pln("N vergleiche(s01, \"Hallp\"))    : " + vergleiche(s01, "Hallp"));
      pln("O vergleiche(s01, \"Hallq\"))    : " + vergleiche(s01, "Hallq"));
      pln("P vergleiche(s01, \"Hallr\"))    : " + vergleiche(s01, "Hallr"));
      pln("----------------------------------------");
//    pln("Q vergleiche(s01,  null)       : " + vergleiche(s01,  null));
//    pln("R vergleiche(null, s01)        : " + vergleiche(null, s01 ));

      pln("String06: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class String06
/* ------------------------------------------------------------------------
Ausgabe des Programms String06:

String06: Jetzt geht es los!
----------------------------------------
A vergleiche(s01, "H"))        : 5
B vergleiche(s01, "Ha"))       : 4
C vergleiche(s01, "Hal"))      : 3
D vergleiche(s01, "Hall"))     : 2
E vergleiche(s01, "Hallo"))    : 1
F vergleiche(s01, "Hallo!"))   : 0
G vergleiche(s01, "Hallo!a"))  : -1
H vergleiche(s01, "Hallo!ab")) : -2
I vergleiche(s01, "Hallo!abc")): -3
----------------------------------------
J vergleiche(s01, "Halll"))    : 3
K vergleiche(s01, "Hallm"))    : 2
L vergleiche(s01, "Halln"))    : 1
M vergleiche(s01, "Hallo"))    : 1
N vergleiche(s01, "Hallp"))    : -1
O vergleiche(s01, "Hallq"))    : -2
P vergleiche(s01, "Hallr"))    : -3
----------------------------------------
String06: Das war's erstmal!
---------------------------------------------------------------------------
Fehlermeldungen waehrend der Ausfuehrung des Programms, wenn die
entsprechenden Zeilen keine Kommentare sind:

Exception in thread "main" java.lang.NullPointerException
   at String06.vergleiche(String06.java:10)
   at String06.main(String06.java:47)

Exception in thread "main" java.lang.NullPointerException
   at String06.vergleiche(String06.java:17)
   at String06.main(String06.java:48)
------------------------------------------------------------------------ */
