// Datei Switch06.java
/* ------------------------------------------------------------------------
Der Ausdruck einer switch-Anweisung (der in den runden Klammern nach dem
Schluesselwort switch) muss zu einem der folgenden Typen gehoeren:

byte, char, short, int.

Er darf z.B. nicht zu einem der folgenden Typen gehoeren:

long, float, double, boolean, String, StringBuffer, ... etc.
------------------------------------------------------------------------ */
class Switch06 {
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      // Ein paar sehr kurze switch-Anweisungen mit Ausdruecken
      // verschiedener Typen.
      pln("----------------------------");
      // ------------------------------------------------------------------
      // Variablen verschiedener Typen:
      byte    byte01  = 17;
      char    char01  = 65;
      short   short01 = -5;
      int     int01   = 25;
      long    long01  = 33;
      // ------------------------------------------------------------------
      switch (byte01) {
         case 17: pln("byte  ist erlaubt!");
      } // switch
      // ------------------------------------------------------------------
      switch (char01) {
         case 65: pln("char  ist erlaubt!");
      } // switch
      // ------------------------------------------------------------------
      switch (short01) {
         case -5: pln("short ist erlaubt!");
      } // switch
      // ------------------------------------------------------------------
      switch (int01) {
         case 25: pln("int   ist erlaubt!");
      } // switch
      // ------------------------------------------------------------------
/*
      switch (long01) {
         case 33: pln("long ist leider nicht erlaubt!");
      } // switch
*/
      pln("----------------------------");
      pln("Switch06: Das war's erstmal!");
      // ------------------------------------------------------------------
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
   // ---------------------------------------------------------------------
} // class Switch06
/* ------------------------------------------------------------------------
Ausgabe des Programms Switch06:

byte  ist erlaubt!
char  ist erlaubt!
short ist erlaubt!
int   ist erlaubt!
---------------------------------------------------------------------------
Fehlermeldung des Compilers (jikes von IBM) wenn die switch-Anweisung
mit dem long-Ausdruck nicht auskommentiert ist:

    42.       switch (long01) {
                      <---->
*** Error: The type of a switch statement expression must be either "int",
"short", "char" or "byte". The type of this expression is "long".
------------------------------------------------------------------------ */