// Datei Unicode06.java
/* ------------------------------------------------------------------------
Ein paar Zeichen werden im UTF-8-Code in eine Datei geschrieben
------------------------------------------------------------------------ */
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.nio.charset.Charset;
import java.nio.charset.CharsetDecoder;
import java.nio.charset.CharsetEncoder;

class Unicode06 {
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) throws java.io.IOException {
      printf("Unicode06: Jetzt geht es los!%n");

      Charset        charset = Charset.forName("UTF-8");
      CharsetDecoder byte2char = charset.newDecoder();
      CharsetEncoder char2byte = charset.newEncoder();

      FileOutputStream   fis = new FileOutputStream("Unicode06.tmp");
      OutputStreamWriter osw = new OutputStreamWriter(fis,        char2byte);
//    OutputStreamWriter osw = new OutputStreamWriter(System.out, char2byte);
      osw.write("ABC\n");
      osw.write("\u0041\n");
      osw.write("\u4e01\u4e02\u4e03\u4e04"); osw.write('\n');
      osw.flush();

      printf("Unicode06: Das war's erstmal!%n");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void printf(String f, Object... v) {System.out.printf(f, v);}
   // ---------------------------------------------------------------------
} // class Unicode06
