// Datei Vereinbarungen01.java
/* ------------------------------------------------------------------------
In diesem Programm werden vier Variablen namens otto, dora, beate und name
vereinbart und dabei gleich mit einem Anfangswert versehen ("initiali-
siert"). Als Kommentar werden die Vereinbarungsbefehle ins Deutsche ueber-
setzt.

Nach dem Unterprogramm namens main wird noch ein weiteres Unterprogramm
namens druckeHallo vereinbart. Als Kommentar wird der Vereinbarungs-Befehl
ins Deutsche uebersetzt.

Im Unterprogramm main wird dem Ausfuehrer dreimal befohlen, das Unterpro-
gramm druckeHallo auszufuehren ("das Unterprogramm druckeHallo wird dreimal
aufgerufen"). Das ist erlaubt obwohl die Vereinbarung von druckeHallo erst
*nach* der Vereinbarung von main steht.
------------------------------------------------------------------------ */
class Vereinbarungen01 {
   // ---------------------------------------------------------------------
   static public void main(String[] siegfried) {
      System.out.println("Vereinbarungen01: Jetzt geht es los!");
      // ------------------------------------------------------------------
      int otto = 17;
      // Uebersetzung: Erzeuge eine Variable namens otto vom Typ int
      // mit dem Anfangswert 17.
      // ------------------------------------------------------------------
      double dora = 12.5;
      // Uebersetzung: Erzeuge eine Variable namens dora vom Typ float
      // mit dem Anfangswert 12.5
      // ------------------------------------------------------------------
      boolean beate = true;
      // Uebersetzung: Erzeuge eine Variable namens beate vom Typ boolean
      // mit dem Anfangswert true.
      // ------------------------------------------------------------------
      String name = "Sarah!";
      // Uebersetzung: Erzeuge eine Variable namens name vom Typ String
      // mit dem Anfangszielwert "Hallo!".

      // Warum man Variablen der Typen int, float, boolean etc. mit einem
      // (Anfangs-) Wert versieht, String-Variablen dagegen mit einem
      // (Anfangs-) Zielwert wird spaeter erklaert.
      // ------------------------------------------------------------------
      // Die Namen der vereinbarten Variablen und die Werte der Variablen
      // zur Standardausgabe ausgeben:
      System.out.println("A otto:  " + otto);
      System.out.println("B dora:  " + dora);
      System.out.println("C beate: " + beate);
      System.out.println("D name:  " + name);
      System.out.println();                       // Eine Zeile leer lassen
      // ------------------------------------------------------------------
      // Das unten vereinbarte Unterprogramm druckeHallo dreimal aufrufen:
      //
      //                 Uebersetzung der Aufruf-Befehle:
      druckeHallo();  // Fuehre das Unterprogramm druckeHallo aus!
      druckeHallo();  // Fuehre das Unterprogramm druckeHallo aus!
      druckeHallo();  // Fuehre das Unterprogramm druckeHallo aus!
      // ------------------------------------------------------------------
      System.out.println("Vereinbarungen01: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Vereinbarung eines Unterprogramms:
   static void druckeHallo() {
      System.out.println("Hallo!");
      System.out.println("------");
   } // druckeHallo

   // Uebersetzung: Erzeuge ein Unterprogramm namens druckeHallo mit dem
   // Rueckgabetyp void und 0 Parametern, dessen Rumpf aus folgenden
   // Befehlen besteht:
   // 1. Berechne den Wert des Ausdrucks "Hallo!" und wende das
   // Unterprogramm System.out.println darauf an!
   // 2. Berechne den Wert des Ausdrucks "------" und wende das
   // Unterprogramm System.out.println darauf an!
   // ---------------------------------------------------------------------
} // class Vereinbarungen01
/* ------------------------------------------------------------------------
Ausgabe des Programms Vereinbarungen01:

Vereinbarungen01: Jetzt geht es los!
A otto:  17
B dora:  12.5
C beate: true
D name:  Sarah!

Hallo!
------
Hallo!
------
Hallo!
------
Vereinbarungen01: Das war's erstmal!
------------------------------------------------------------------------ */