// Datei Wettlauf03.java
/* ------------------------------------------------------------------------
Graphikelemente (ein buntes Rechteck und 2 Texte) werden in
ein JFrame-Fenster ausgegeben. In diesem Beispiel wird dazu
die Klasse JFrame erweitert und die von ihr geerbte paint-
Methde ueberschrieben. Empfehlenswert! Hier findet KEIN Wettlauf
zwischen Faeden (threads) statt (siehe auch Wettlauf01 und Wettlauf02).
------------------------------------------------------------------------ */
import javax.swing.JFrame;
import java .awt  .Graphics;
import java .awt  .Color;

class Wettlauf03 extends JFrame {
   // ---------------------------------------------------------------------
   // Ein Konstruktor mit Titel-Parameter:
   Wettlauf03(String titel) {super(titel);}
   // ---------------------------------------------------------------------
   // Der Programmierer vereinbart die Methode paint, gibt dem Ausfuehrer
   // aber nicht den Befehl, sie auszufuehren. Der Ausfuehrer fuehrt die
   // Methode paint aus, wenn er das fuer noetig haelt (evtl. mehrmals):

   public void paint(Graphics g) {
      super.paint(g); // Sollte man immer so machen!

      // Ein buntes Rechteck zeichnen:
      g.setColor(Color.magenta);
      g.fillRect(0, 0, 300, 150);

      // Zwei Texte in schwarzer Schrift zeichnen:
      g.setColor(Color.black);
      g.drawString("TEXT: Ist da was Buntes?",   10, 180);
      g.drawString("Ist der TEXT noch da?",      10, 200);

   } // paint
   // ---------------------------------------------------------------------
   static public void main(String [] sonja) {
      // Ein Wettlauf03-Objekt (d.h. ein JFrame-Objekt mit kleinen Zusaetzen)
      // erzeugen und sichtbar machen:
      Wettlauf03  meinRahmen = new Wettlauf03("Wettlauf03-Rahmen");
      meinRahmen.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      meinRahmen.setBounds(200, 100, 500, 250);
      meinRahmen.setVisible(true);
      System.out.println("Wettlauf03: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
} // class Wettlauf03
