// Datei While04.java
/* ------------------------------------------------------------------------
Eine if-Anweisung wird durch zwei while-Anweisungen ersetzt.
Eine kleine Denksportaufgabe, aber kein Vorbild fuer ernsthafte
Programme.
------------------------------------------------------------------------ */
class While04 {
   // ---------------------------------------------------------------------
   static void mitIf(int n1, int n2) {
      if (n1 < n2) {
         pln("A  n1 ist       kleiner als n2!");
      } else {
         pln("B  n1 ist nicht kleiner als n2!");
      }
   } // mitIf
   // ---------------------------------------------------------------------
   static void mitWhile(int n1, int n2) {
      while (n1 < n2) {
         pln("C  n1 ist       kleiner als n2!");
         break;
      }

      while (! (n1 < n2)) {
         pln("D  n1 ist nicht kleiner als n2!");
         break;
      }
   } // mitWhile
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
   static public void main(String[] sonja) {
      mitIf(1, 2);
      mitIf(2, 1);
      mitWhile(1, 2);
      mitWhile(2, 1);
      pln("-------------------------------");
      pln("While04: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
} // class While04
/* ------------------------------------------------------------------------
Ausgabe des Programms While04:

A  n1 ist       kleiner als n2!
B  n1 ist nicht kleiner als n2!
C  n1 ist       kleiner als n2!
D  n1 ist nicht kleiner als n2!
-------------------------------
While04: Das war's erstmal!
------------------------------------------------------------------------ */