// Datei Zuweisungen01.java
/* ------------------------------------------------------------------------
In diesem Programm werden vier Variablen namens otto, dora, beate und name
vereinbart und initialisiert (ganz aehnlich wie im Programm
Vereinbarungen01).

Mit Zuweisungs-Anweisungen werden die Werte der Variablen veraendert. Als
Kommentar ist angegeben, wie man die Zuweisungsbefehle vorliest und wie
man sie ins Deutsche uebersetzt.

Vor und nach dem Veraendern werden die Namen und Werte der Variablen zur
Standardausgabe (d.h. zum Bildschirm) ausgegeben.
------------------------------------------------------------------------ */
class Zuweisungen01 {
   static public void main(String[] siegfried) {
      System.out.println("Zuweisungen01: Jetzt geht es los!");
      System.out.println("---------------------------------");
      // ------------------------------------------------------------------
      // Vier Variablen vereinbaren und initialisieren:
      int     otto  = 17;
      double  dora  = 12.5;
      boolean beate = true;
      String  name  = "Sarah!";
      // ------------------------------------------------------------------
      // Die Namen der vereinbarten Variablen und die Werte der Variablen
      // zur Standardausgabe ausgeben:
      System.out.println("A otto:  " + otto);
      System.out.println("B dora:  " + dora);
      System.out.println("C beate: " + beate);
      System.out.println("D name:  " + name);
      System.out.println();                       // Eine Zeile leer lassen
      // ------------------------------------------------------------------
      // Die Werte der Variablen durch Zuweisungs-Anweisungen veraendern:
      //
                                // So liest man die Zuweisungen vor:
      otto  = otto + 3;         // otto  wird zu  otto plus 3
      dora  = dora / 2;         // dora  wird zu  dora durch 2
      beate = 20 < otto;        // beate wird zu  20 kleiner als otto
      name  = "Hallo " + name;  // name  wird zu  "Hallo " plus name
      // ---------------------------------------------------------------------
      // So uebersetzt man die Zuweisungen ins Deutsche:
      //
      // otto = otto + 3; Uebersetzung: Berechne den Wert des Ausdrucks
      //        otto + 3  und tue ihn in die Variable  otto!
      //
      // dora = dora / 2; Uebersetzung: Berechne den Wert des Ausdrucks
      //        dora / 2  und tue ihn in die Variable  dora!
      //
      // beate = 20 < otto; Uebersetzung: Berechne den Wert des Ausdrucks
      //         20 < otto  und tue ihn in die Variable beate!
      //
      // name = "Hallo " + name; Uebersetzung: Berechne den Wert des
      // Ausdrucks "Hallo " + name und tue ihn in die Variable name!
      // ---------------------------------------------------------------------
      // Die Namen der vereinbarten Variablen und ihre veraenderten Werte
      // noch mal zur Standardausgabe ausgeben ("zur Kontrolle"):
      System.out.println("E otto:  " + otto);
      System.out.println("F dora:  " + dora);
      System.out.println("G beate: " + beate);
      System.out.println("H name:  " + name);
      // ---------------------------------------------------------------------
      System.out.println("---------------------------------");
      System.out.println("Zuweisungen01: Das war's erstmal!");
   } // main
   // ------------------------------------------------------------------------
} // class Zuweisungen01
/* ------------------------------------------------------------------------
Ausgabe des Programms Zuweisungen01:

Zuweisungen01: Jetzt geht es los!
---------------------------------
A otto:  17
B dora:  12.5
C beate: true
D name:  Sarah!

E otto:  20
F dora:  6.25
G beate: false
H name:  Hallo Sarah!
---------------------------------
Zuweisungen01: Das war's erstmal!
------------------------------------------------------------------------ */