// Datei RodentMotiontListener.java
/* ------------------------------------------------------------------------
Jedes Objekt dieser Klasse enthaelt ein Behandlerobjekt des Typs
MouseMotionListener und zwei Methoden namens addThisListener und
removeThisListener, mit denen man dieses Behandlerobjekt bei einem
Component-Objekt an- bzw. abmelden kann.
------------------------------------------------------------------------ */
package myja.awt.event;

import java.awt      .Component;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.event.MouseWheelListener;
import myja.awt.event.RodentListener;
// ========================================================================
public class RodentMotiontListener extends RodentListener {
   public MouseMotionListener mml;

   public void addThisListener(Component comp) {
      comp.addMouseMotionListener(this.mml);
   } // addThisListener

   public void removeThisListener(Component comp) {
      comp.removeMouseMotionListener(this.mml);
   } // removeThisListener

   public RodentMotiontListener(MouseMotionListener mml) {
      this.mml = mml;
   } // Konstruktor RodentMotiontListener
} // RodentMotiontListener
// ========================================================================