// Datei RodentWheelListener.java
/* ------------------------------------------------------------------------
Jedes Objekt dieser Klasse enthaelt ein Behandlerobjekt des Typs
MouseWheelListener und zwei Methoden namens addThisListener und
removeThisListener, mit denen man dieses Behandlerobjekt bei einem
Component-Objekt an- bzw. abmelden kann.
------------------------------------------------------------------------ */
package myja.awt.event;

import java.awt      .Component;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.event.MouseWheelListener;
import myja.awt.event.RodentListener;
// ========================================================================
public class RodentWheelListener extends RodentListener {
   public MouseWheelListener mwl;

   public void addThisListener(Component comp) {
      comp.addMouseWheelListener(this.mwl);
   } // addThisListener

   public void removeThisListener(Component comp) {
      comp.removeMouseWheelListener(this.mwl);
   } // removeThisListener


   public RodentWheelListener(MouseWheelListener mwl) {
      this.mwl = mwl;
   } // Konstruktor RodentWheelListener
} // RodentWheelListener
// ========================================================================