// Datei K12.java
/* ------------------------------------------------------------------------
Diese Klasse K12 gehoehrt zum selben Paket wie K10, beerbt K10 nicht und
versucht, auf alle 16 in K10 vereinbarten Elemente zuzugreifen.

Abkuerzungen: KA: Klassenattribut, KM: Klassenmethode
              OA: Objektattribut,  OM: Objektmethode
------------------------------------------------------------------------ */
package p00.p10;

public class K12 {
   K10 ob10 = new K10();

   // Eine Reihung, die mit Klassenelementen der Klasse K10
   // initialisiert wird:
   public String[] ke12 = {
      K10.   publicKA,
      K10.   publicKM(),
      K10.protectedKA,
      K10.protectedKM(),
      K10.paketweitKA,
      K10.paketweitKM(),
//    K10.  privateKA,
//    K10.  privateKM(),
   };

   // Eine Reihung, die mit Objektelementen der Klasse K10
   // initialisiert wird:
   public String[] oe12 = {
      ob10.   publicOA,
      ob10.   publicOM(),
      ob10.protectedOA,
      ob10.protectedOM(),
      ob10.paketweitOA,
      ob10.paketweitOM(),
//    ob10.  privateOA,
//    ob10.  privateOM(),
   };

} // class K12
/* ------------------------------------------------------------------------
4 Fehlermeldungen des Compilers jikes von IBM, wenn die entsprechenden
Zeillen keine Kommentare sind:

    23.     K10.  privateKA,
                  <------->
*** Error: The field "privateKA" in type "p00/p10/K10" is private and
not accessible here.


    24.     K10.  privateKM(),
            <--------------->
*** Error: Method "java.lang.String privateKM();" in class "p00/p10/K10"
has private access. Therefore, it is not accessible in class "p00/p10/K12".


    36.     ob10.  privateOA,
                   <------->
*** Error: The field "privateOA" in type "p00/p10/K10" is private and
not accessible here.


    37.     ob10.  privateOM(),
            <---------------->
*** Error: Method "java.lang.String privateOM();" in class "p00/p10/K10"
has private access. Therefore, it is not accessible in class "p00/p10/K12".

------------------------------------------------------------------------ */
